
	(*  C.  Write the step response to a separate file.  *)

	stepFunName = "stepresp";
	stepfilename = StringJoin[ stepFunName, ".m" ];
	file = OpenWrite[ stepfilename ];
	m = Unique[ "m" ];
	WriteString[ file, "function f = ", stepFunName,
		     "(", x, ", ",  a, ", ", b, ", ", m, ")\n"  ];
	WriteString[ file, "%", ToUpperCase[ stepFunName ],
		     " computes the step response of an ",
		     "analog filter with any number of pole pairs.\n",
		     "%\n",
		     "%\tThis function takes four arguments:\n",
		     "%\t  ", x, " is time\n",
		     "%\t  ", a, " are the real values of the poles\n",
		     "%\t  ", b, " are imaginary values of the poles\n",
		     "%\t  ", m, " scales the step response\n" ];
	WriteString[ file, nn, " = length(", a, ");\n" ];
	bodyvar = MatlabCodeGen[ stepResponse[a, b, nn, x], file ];
	WriteString[ file, "f = ", m, ".*", ToString[bodyvar], ";\n" ];
	WriteString[ file, "end\n" ];

	Close[file];

	Print[ "Matlab function for the step response ",
	       "is in the file '", stepfilename, "'." ];
