function [gf,GC]=costder1(x)
% COSTDER1 computes the gradient of the cost function
%	for an analog filter having 1 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b
a = x(1:1);
b = x(2:2);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr51 = -(pi./b(1));
tpa = expr51;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr52 = -1./99;
expr53 = ws.^(-1);
expr54 = (a(1).^2 + b(1).^2).^2;
expr55 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr56 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr57 = 4./99;
expr58 = a(1);
expr59 = a(1).^2 + b(1).^2;
expr60 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr61 = expr52.*expr53.*expr54.*expr55.*expr56.*Wms + expr53.*expr57.*expr58.*expr59.*expr60.*Wms;
integrate5 = trapz(w5, expr61);
w6 = [0:wp./100:wp];
expr62 = wp.^(-1);
expr63 = -1./2;
expr64 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr65 = ((a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr66 = sqrt((a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr67 = 2.*expr62.*(expr59.*expr63.*expr64.*expr65 + 2.*expr58.*expr66).*(-1 + expr59.*expr66).*Wmp;
integrate6 = trapz(w6, expr67);
w7 = [wp:(-wp + ws)./100:ws];
expr68 = (-wp + ws).^(-1);
expr69 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr70 = ((a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr71 = sqrt((a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr72 = ws./(wp - ws);
expr73 = -(w7./(wp - ws));
expr74 = 2.*expr68.*(expr59.*expr63.*expr69.*expr70 + 2.*expr58.*expr71).*(expr59.*expr71 + expr72 + expr73).*Wmt;
integrate7 = trapz(w7, expr74);
w8 = [0:wmax./100:wmax];
expr75 = wmax.^(-1);
expr76 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr77 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr78 = -3./2;
expr79 = wmax.^(-3);
expr80 = -2.*wmax;
expr81 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr82 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr83 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr84 = -wmax.^2 - a(1).^2 + b(1).^2;
expr85 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr86 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr87 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr88 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr89 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr90 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr91 = -2.*wmax.*a(1);
expr92 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr93 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr94 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr95 = 2.*expr75.*Wph.*(expr76 + expr77 + expr78.*expr79.*(expr80 + expr81 + expr82 + expr83 - expr84.*(expr85 + expr86) + expr87 + expr88).*w8).*(expr89 + expr90 + expr78.*expr79.*(expr91 - expr84.*expr92 + expr93 + expr94).*w8);
integrate8 = trapz(w8, expr95);
expr96 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
expr97 = (200.*WO.*exp((-2.*pi.*tpc.*a(1))./b(1)).*sin(pi.*tpc).*(cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1)))./b(1);
expr98 = (-200.*pi.*tpc.*WO.*exp((-2.*pi.*tpc.*a(1))./b(1)).*(cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1)).^2)./b(1);
expr99 = expr97 + expr98 + integrate5 + integrate6 + integrate7 + integrate8 + expr96.*WQ;
gf(1) = expr99;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr100 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr101 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr102 = b(1);
expr103 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr104 = expr100.*expr101.*expr52.*expr53.*expr54.*Wms + expr102.*expr103.*expr53.*expr57.*expr59.*Wms;
integrate9 = trapz(w9, expr104);
w10 = [0:wp./100:wp];
expr105 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr106 = ((a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr107 = sqrt((a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr108 = 2.*(-1 + expr107.*expr59).*expr62.*(2.*expr102.*expr107 + expr105.*expr106.*expr59.*expr63).*Wmp;
integrate10 = trapz(w10, expr108);
w11 = [wp:(-wp + ws)./100:ws];
expr109 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr110 = ((a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr111 = sqrt((a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr112 = -(w11./(wp - ws));
expr113 = 2.*(2.*expr102.*expr111 + expr109.*expr110.*expr59.*expr63).*expr68.*(expr112 + expr111.*expr59 + expr72).*Wmt;
integrate11 = trapz(w11, expr113);
w12 = [0:wmax./100:wmax];
expr114 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr115 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr116 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr117 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr118 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr119 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr120 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr121 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr122 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr123 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr124 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr125 = 2.*expr75.*Wph.*(expr114 + expr115 + expr78.*expr79.*(expr116 + expr117 + expr118 + expr121 + expr122 - (expr119 + expr120).*expr84).*w12).*(expr123 + expr124 + expr78.*expr79.*(expr91 - expr84.*expr92 + expr93 + expr94).*w12);
integrate12 = trapz(w12, expr125);
expr126 = -(WQ.*b(1))./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
expr127 = exp((-2.*pi.*tpc.*a(1))./b(1));
expr128 = b(1).^(-2);
expr129 = sin(pi.*tpc);
expr130 = cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1);
expr131 = (cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1)).^2;
expr132 = expr126 + integrate10 + integrate11 + integrate12 + integrate9 - 200.*expr127.*expr128.*expr129.*expr130.*expr58.*WO + 200.*expr127.*expr128.*expr131.*expr58.*pi.*tpc.*WO;
gf(2) = expr132;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
GC(1, 1) = expr96;

%%   First derivative w/r to a(1) of constraint #2
expr133 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr134 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr135 = 2.*(expr134 + expr54).^expr63.*expr58 + expr133.*(expr134 + expr54).^expr78.*expr59.*expr63;
GC(1, 2) = expr135;

%%   First derivative w/r to a(1) of constraint #3
expr136 = 1./2;
expr137 = -2.*(expr134 + expr54).^expr63.*expr58 + expr133.*expr136.*(expr134 + expr54).^expr78.*expr59;
GC(1, 3) = expr137;

%%   First derivative w/r to a(1) of constraint #4
expr138 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr139 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr140 = 2.*(expr139 + expr54).^expr63.*expr58 + expr138.*(expr139 + expr54).^expr78.*expr59.*expr63;
GC(1, 4) = expr140;

%%   First derivative w/r to a(1) of constraint #5
expr141 = -2.*(expr139 + expr54).^expr63.*expr58 + expr136.*expr138.*(expr139 + expr54).^expr78.*expr59;
GC(1, 5) = expr141;

%%   First derivative w/r to a(1) of constraint #6
expr142 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr143 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr144 = 2.*(expr143 + expr54).^expr63.*expr58 + expr142.*(expr143 + expr54).^expr78.*expr59.*expr63;
GC(1, 6) = expr144;

%%   First derivative w/r to a(1) of constraint #7
expr145 = -2.*(expr143 + expr54).^expr63.*expr58 + expr136.*expr142.*(expr143 + expr54).^expr78.*expr59;
GC(1, 7) = expr145;

%%   First derivative w/r to a(1) of constraint #8
expr146 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr147 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr148 = 2.*(expr147 + expr54).^expr63.*expr58 + expr146.*(expr147 + expr54).^expr78.*expr59.*expr63;
GC(1, 8) = expr148;

%%   First derivative w/r to a(1) of constraint #9
expr149 = -2.*(expr147 + expr54).^expr63.*expr58 + expr136.*expr146.*(expr147 + expr54).^expr78.*expr59;
GC(1, 9) = expr149;

%%   First derivative w/r to a(1) of constraint #10
expr150 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr151 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr152 = 2.*(expr151 + expr54).^expr63.*expr58 + expr150.*(expr151 + expr54).^expr78.*expr59.*expr63;
GC(1, 10) = expr152;

%%   First derivative w/r to a(1) of constraint #11
expr153 = -2.*(expr151 + expr54).^expr63.*expr58 + expr136.*expr150.*(expr151 + expr54).^expr78.*expr59;
GC(1, 11) = expr153;

%%   First derivative w/r to a(1) of constraint #12
expr154 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr155 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr156 = 2.*(expr155 + expr54).^expr63.*expr58 + expr154.*(expr155 + expr54).^expr78.*expr59.*expr63;
GC(1, 12) = expr156;

%%   First derivative w/r to a(1) of constraint #13
expr157 = -2.*(expr155 + expr54).^expr63.*expr58 + expr136.*expr154.*(expr155 + expr54).^expr78.*expr59;
GC(1, 13) = expr157;

%%   First derivative w/r to a(1) of constraint #14
expr158 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr159 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr160 = 2.*(expr159 + expr54).^expr63.*expr58 + expr158.*(expr159 + expr54).^expr78.*expr59.*expr63;
GC(1, 14) = expr160;

%%   First derivative w/r to a(1) of constraint #15
expr161 = -2.*(expr159 + expr54).^expr63.*expr58 + expr136.*expr158.*(expr159 + expr54).^expr78.*expr59;
GC(1, 15) = expr161;

%%   First derivative w/r to a(1) of constraint #16
expr162 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr163 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr164 = 2.*(expr163 + expr54).^expr63.*expr58 + expr162.*(expr163 + expr54).^expr78.*expr59.*expr63;
GC(1, 16) = expr164;

%%   First derivative w/r to a(1) of constraint #17
expr165 = -2.*(expr163 + expr54).^expr63.*expr58 + expr136.*expr162.*(expr163 + expr54).^expr78.*expr59;
GC(1, 17) = expr165;

%%   First derivative w/r to a(1) of constraint #18
expr166 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr167 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr168 = 2.*(expr167 + expr54).^expr63.*expr58 + expr166.*(expr167 + expr54).^expr78.*expr59.*expr63;
GC(1, 18) = expr168;

%%   First derivative w/r to a(1) of constraint #19
expr169 = -2.*(expr167 + expr54).^expr63.*expr58 + expr136.*expr166.*(expr167 + expr54).^expr78.*expr59;
GC(1, 19) = expr169;

%%   First derivative w/r to a(1) of constraint #20
expr170 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr171 = ((a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr172 = sqrt((a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr173 = 2.*expr172.*expr58 + expr170.*expr171.*expr59.*expr63;
GC(1, 20) = expr173;

%%   First derivative w/r to a(1) of constraint #21
expr174 = -2.*expr172.*expr58 + expr136.*expr170.*expr171.*expr59;
GC(1, 21) = expr174;

%%   First derivative w/r to a(1) of constraint #22
expr175 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr176 = ((a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2))).^(-3./2);
expr177 = sqrt((a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr178 = 2.*expr177.*expr58 + expr175.*expr176.*expr59.*expr63;
GC(1, 22) = expr178;

%%   First derivative w/r to a(1) of constraint #23
expr179 = -((exp(-((pi.*tpc.*a(1))./b(1))).*sin(pi.*tpc))./b(1));
expr180 = (pi.*tpc.*exp(-((pi.*tpc.*a(1))./b(1))).*(cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1)))./b(1);
expr181 = expr179 + expr180;
GC(1, 23) = expr181;

%%   First derivative w/r to b(1) of constraint #1
expr182 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(2, 1) = expr182;

%%   First derivative w/r to b(1) of constraint #2
expr183 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr184 = 2.*expr102.*(expr134 + expr54).^expr63 + expr183.*(expr134 + expr54).^expr78.*expr59.*expr63;
GC(2, 2) = expr184;

%%   First derivative w/r to b(1) of constraint #3
expr185 = -2.*expr102.*(expr134 + expr54).^expr63 + expr136.*expr183.*(expr134 + expr54).^expr78.*expr59;
GC(2, 3) = expr185;

%%   First derivative w/r to b(1) of constraint #4
expr186 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr187 = 2.*expr102.*(expr139 + expr54).^expr63 + expr186.*(expr139 + expr54).^expr78.*expr59.*expr63;
GC(2, 4) = expr187;

%%   First derivative w/r to b(1) of constraint #5
expr188 = -2.*expr102.*(expr139 + expr54).^expr63 + expr136.*expr186.*(expr139 + expr54).^expr78.*expr59;
GC(2, 5) = expr188;

%%   First derivative w/r to b(1) of constraint #6
expr189 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr190 = 2.*expr102.*(expr143 + expr54).^expr63 + expr189.*(expr143 + expr54).^expr78.*expr59.*expr63;
GC(2, 6) = expr190;

%%   First derivative w/r to b(1) of constraint #7
expr191 = -2.*expr102.*(expr143 + expr54).^expr63 + expr136.*expr189.*(expr143 + expr54).^expr78.*expr59;
GC(2, 7) = expr191;

%%   First derivative w/r to b(1) of constraint #8
expr192 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr193 = 2.*expr102.*(expr147 + expr54).^expr63 + expr192.*(expr147 + expr54).^expr78.*expr59.*expr63;
GC(2, 8) = expr193;

%%   First derivative w/r to b(1) of constraint #9
expr194 = -2.*expr102.*(expr147 + expr54).^expr63 + expr136.*expr192.*(expr147 + expr54).^expr78.*expr59;
GC(2, 9) = expr194;

%%   First derivative w/r to b(1) of constraint #10
expr195 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr196 = 2.*expr102.*(expr151 + expr54).^expr63 + expr195.*(expr151 + expr54).^expr78.*expr59.*expr63;
GC(2, 10) = expr196;

%%   First derivative w/r to b(1) of constraint #11
expr197 = -2.*expr102.*(expr151 + expr54).^expr63 + expr136.*expr195.*(expr151 + expr54).^expr78.*expr59;
GC(2, 11) = expr197;

%%   First derivative w/r to b(1) of constraint #12
expr198 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr199 = 2.*expr102.*(expr155 + expr54).^expr63 + expr198.*(expr155 + expr54).^expr78.*expr59.*expr63;
GC(2, 12) = expr199;

%%   First derivative w/r to b(1) of constraint #13
expr200 = -2.*expr102.*(expr155 + expr54).^expr63 + expr136.*expr198.*(expr155 + expr54).^expr78.*expr59;
GC(2, 13) = expr200;

%%   First derivative w/r to b(1) of constraint #14
expr201 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr202 = 2.*expr102.*(expr159 + expr54).^expr63 + expr201.*(expr159 + expr54).^expr78.*expr59.*expr63;
GC(2, 14) = expr202;

%%   First derivative w/r to b(1) of constraint #15
expr203 = -2.*expr102.*(expr159 + expr54).^expr63 + expr136.*expr201.*(expr159 + expr54).^expr78.*expr59;
GC(2, 15) = expr203;

%%   First derivative w/r to b(1) of constraint #16
expr204 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr205 = 2.*expr102.*(expr163 + expr54).^expr63 + expr204.*(expr163 + expr54).^expr78.*expr59.*expr63;
GC(2, 16) = expr205;

%%   First derivative w/r to b(1) of constraint #17
expr206 = -2.*expr102.*(expr163 + expr54).^expr63 + expr136.*expr204.*(expr163 + expr54).^expr78.*expr59;
GC(2, 17) = expr206;

%%   First derivative w/r to b(1) of constraint #18
expr207 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr208 = 2.*expr102.*(expr167 + expr54).^expr63 + expr207.*(expr167 + expr54).^expr78.*expr59.*expr63;
GC(2, 18) = expr208;

%%   First derivative w/r to b(1) of constraint #19
expr209 = -2.*expr102.*(expr167 + expr54).^expr63 + expr136.*expr207.*(expr167 + expr54).^expr78.*expr59;
GC(2, 19) = expr209;

%%   First derivative w/r to b(1) of constraint #20
expr210 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr211 = 2.*expr102.*expr172 + expr171.*expr210.*expr59.*expr63;
GC(2, 20) = expr211;

%%   First derivative w/r to b(1) of constraint #21
expr212 = -2.*expr102.*expr172 + expr136.*expr171.*expr210.*expr59;
GC(2, 21) = expr212;

%%   First derivative w/r to b(1) of constraint #22
expr213 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr214 = 2.*expr102.*expr177 + expr176.*expr213.*expr59.*expr63;
GC(2, 22) = expr214;

%%   First derivative w/r to b(1) of constraint #23
expr215 = (a(1).*exp(-((pi.*tpc.*a(1))./b(1))).*sin(pi.*tpc))./b(1).^2;
expr216 = -((pi.*tpc.*a(1).*exp(-((pi.*tpc.*a(1))./b(1))).*(cos(pi.*tpc) + (a(1).*sin(pi.*tpc))./b(1)))./b(1).^2);
expr217 = expr215 + expr216;
GC(2, 23) = expr217;

end
