function [gf,GC]=costder2(x)
% COSTDER2 computes the gradient of the cost function
%	for an analog filter having 2 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b
a = x(1:2);
b = x(3:4);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr90 = 1./2;
expr91 = -angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr92 = -angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr93 = b(1).^(-1);
expr94 = -angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr95 = -angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr96 = b(2).^(-1);
expr97 = expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi));
tpa = expr97;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr98 = -1./99;
expr99 = ws.^(-1);
expr100 = (a(1).^2 + b(1).^2).^2;
expr101 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr102 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr103 = (a(2).^2 + b(2).^2).^2;
expr104 = ((a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr105 = 4./99;
expr106 = a(1);
expr107 = a(1).^2 + b(1).^2;
expr108 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr109 = expr103.*expr104.*expr105.*expr106.*expr107.*expr108.*expr99.*Wms + expr100.*expr101.*expr102.*expr103.*expr104.*expr98.*expr99.*Wms;
integrate5 = trapz(w5, expr109);
w6 = [0:wp./100:wp];
expr110 = wp.^(-1);
expr111 = -1./2;
expr112 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr113 = a(2).^2 + b(2).^2;
expr114 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr115 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr116 = -3./2;
expr117 = 2.*expr110.*(-1 + expr107.*expr113.*(expr114.*expr115).^expr111).*(2.*expr106.*expr113.*(expr114.*expr115).^expr111 + expr107.*expr111.*expr112.*expr113.*expr114.*(expr114.*expr115).^expr116).*Wmp;
integrate6 = trapz(w6, expr117);
w7 = [wp:(-wp + ws)./100:ws];
expr118 = (-wp + ws).^(-1);
expr119 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr120 = (a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2));
expr121 = (a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2));
expr122 = ws./(wp - ws);
expr123 = -(w7./(wp - ws));
expr124 = 2.*expr118.*(2.*expr106.*expr113.*(expr120.*expr121).^expr111 + expr107.*expr111.*expr113.*expr119.*expr120.*(expr120.*expr121).^expr116).*(expr107.*expr113.*(expr120.*expr121).^expr111 + expr122 + expr123).*Wmt;
integrate7 = trapz(w7, expr124);
w8 = [0:wmax./100:wmax];
expr125 = wmax.^(-1);
expr126 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr127 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr128 = wmax.^(-3);
expr129 = -2.*wmax;
expr130 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr131 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr132 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr133 = -wmax.^2 - a(1).^2 + b(1).^2;
expr134 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr135 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr136 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr137 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr138 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr139 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr140 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr141 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr142 = -2.*wmax.*a(1);
expr143 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr144 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr145 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr146 = -2.*wmax.*a(2);
expr147 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr148 = -wmax.^2 - a(2).^2 + b(2).^2;
expr149 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr150 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr151 = expr126 + expr127 + expr116.*expr128.*(expr129 + expr130 + expr131 + expr132 - expr133.*(expr134 + expr135) + expr136 + expr137).*w8;
expr152 = expr138 + expr139 + expr140 + expr141 - 3.*expr128.*((expr142 - expr133.*expr143 + expr144 + expr145).*expr90 + (expr146 - expr147.*expr148 + expr149 + expr150).*expr90).*w8;
expr153 = 2.*expr125.*expr151.*expr152.*Wph;
integrate8 = trapz(w8, expr153);
expr154 = 1./4;
expr155 = sqrt((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2))).^(-1);
expr156 = sqrt(a(2).^2 + b(2).^2)./(a(2).*sqrt(a(1).^2 + b(1).^2));
expr157 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).^2.*a(2)));
expr158 = ((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr159 = b(1).*cos(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr160 = a(1).*sin(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr161 = b(1);
expr162 = sin(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr163 = ((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr164 = b(2).*cos(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr165 = a(2).*sin(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr166 = a(2);
expr167 = b(2);
expr168 = sin(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr169 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr170 = 2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr171 = (a(1) - a(2)).^(-2);
expr172 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr173 = b(1) - b(2);
expr174 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr175 = cos(angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2))) + angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2))));
expr176 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr177 = (-a(1) + a(2)).^(-2);
expr178 = -b(1) + b(2);
expr179 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr180 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr181 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr182 = -2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr183 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr184 = cos(angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2))) + angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2))));
expr185 = expr154.*expr155.*(expr156 + expr157).*WQ;
expr186 = expr158.^expr111;
expr187 = expr159 + expr160;
expr188 = exp(expr106.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr189 = cos(expr161.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr190 = -((expr106 - (expr107.*expr162)./(expr159 + expr160)).*expr93.*sin(expr161.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc));
expr191 = expr163.^expr111;
expr192 = expr164 + expr165;
expr193 = exp(expr166.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr194 = cos(expr167.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr195 = -((expr166 - (expr113.*expr168)./(expr164 + expr165)).*expr96.*sin(expr167.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc));
expr196 = expr158.^expr116;
expr197 = expr169 + expr170;
expr198 = expr162 - expr161.*expr162.*(-(expr171.*expr172.*expr173) + expr174) + expr106.*(-(expr171.*expr172.*expr173) + expr174).*expr175;
expr199 = expr106.*expr90.*(-((expr171.*expr172.*expr173 + expr176).*expr93) - (-(expr177.*expr178.*expr179) + expr180).*expr96).*tpc;
expr200 = expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc;
expr201 = expr106 - (expr107.*expr162)./(expr159 + expr160);
expr202 = -((expr171.*expr172.*expr173 + expr176).*expr93) - (-(expr177.*expr178.*expr179) + expr180).*expr96;
expr203 = (-2.*expr106.*expr162)./(expr159 + expr160);
expr204 = -((expr107.*(-(expr171.*expr172.*expr173) + expr174).*expr175)./(expr159 + expr160));
expr205 = (expr107.*expr162.*(expr162 - expr161.*expr162.*(-(expr171.*expr172.*expr173) + expr174) + expr106.*(-(expr171.*expr172.*expr173) + expr174).*expr175))./(expr159 + expr160).^2;
expr206 = sin(expr161.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr207 = expr163.^expr116;
expr208 = expr181 + expr182;
expr209 = -(expr167.*expr168.*(expr177.*expr178.*expr179 + expr183)) + expr166.*(expr177.*expr178.*expr179 + expr183).*expr184;
expr210 = expr166 - (expr113.*expr168)./(expr164 + expr165);
expr211 = -((expr113.*(expr177.*expr178.*expr179 + expr183).*expr184)./(expr164 + expr165));
expr212 = (expr113.*expr168.*(-(expr167.*expr168.*(expr177.*expr178.*expr179 + expr183)) + expr166.*(expr177.*expr178.*expr179 + expr183).*expr184))./(expr164 + expr165).^2;
expr213 = sin(expr167.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr214 = -1 + expr113.*expr186.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr93 + expr107.*expr191.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr96;
expr215 = expr111.*expr113.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr196.*expr197.*expr93;
expr216 = expr113.*expr186.*(1 - expr188.*(expr189 + expr190)).*expr198.*expr93;
expr217 = 2.*expr106.*expr191.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr96;
expr218 = expr107.*expr111.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr207.*expr208.*expr96;
expr219 = expr107.*expr191.*(1 - expr193.*(expr194 + expr195)).*expr209.*expr96;
expr220 = -(expr188.*(expr189 + expr190).*(expr199 + expr200)) - expr188.*(-((1 + expr203 + expr204 + expr205).*expr206.*expr93) + expr111.*expr189.*expr201.*expr202.*tpc + expr111.*expr161.*expr202.*expr206.*tpc);
expr221 = expr107.*expr191.*expr192.*expr96.*(expr111.*expr166.*expr193.*(expr194 + expr195).*expr202.*tpc - expr193.*(-((expr211 + expr212).*expr213.*expr96) + expr111.*expr194.*expr202.*expr210.*tpc + expr111.*expr167.*expr202.*expr213.*tpc));
expr222 = expr185 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*expr214.*(expr215 + expr216 + expr217 + expr218 + expr219 + expr221 + expr113.*expr186.*expr187.*expr220.*expr93).*WO;
gf(1) = expr222;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr223 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr224 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr225 = ((a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr226 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr227 = expr103.*expr105.*expr107.*expr161.*expr225.*expr226.*expr99.*Wms + expr100.*expr103.*expr223.*expr224.*expr225.*expr98.*expr99.*Wms;
integrate9 = trapz(w9, expr227);
w10 = [0:wp./100:wp];
expr228 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr229 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr230 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr231 = 2.*expr110.*(-1 + expr107.*expr113.*(expr229.*expr230).^expr111).*(2.*expr113.*expr161.*(expr229.*expr230).^expr111 + expr107.*expr111.*expr113.*expr228.*expr229.*(expr229.*expr230).^expr116).*Wmp;
integrate10 = trapz(w10, expr231);
w11 = [wp:(-wp + ws)./100:ws];
expr232 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr233 = (a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2));
expr234 = (a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2));
expr235 = -(w11./(wp - ws));
expr236 = 2.*expr118.*(2.*expr113.*expr161.*(expr233.*expr234).^expr111 + expr107.*expr111.*expr113.*expr232.*expr233.*(expr233.*expr234).^expr116).*(expr122 + expr107.*expr113.*(expr233.*expr234).^expr111 + expr235).*Wmt;
integrate11 = trapz(w11, expr236);
w12 = [0:wmax./100:wmax];
expr237 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr238 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr239 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr240 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr241 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr242 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr243 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr244 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr245 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr246 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr247 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr248 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr249 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr250 = expr237 + expr238 + expr116.*expr128.*(expr239 + expr240 + expr241 - expr133.*(expr242 + expr243) + expr244 + expr245).*w12;
expr251 = expr246 + expr247 + expr248 + expr249 - 3.*expr128.*((expr142 - expr133.*expr143 + expr144 + expr145).*expr90 + (expr146 - expr147.*expr148 + expr149 + expr150).*expr90).*w12;
expr252 = 2.*expr125.*expr250.*expr251.*Wph;
integrate12 = trapz(w12, expr252);
expr253 = a(1).^(-1);
expr254 = a(2).^(-1);
expr255 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr256 = sqrt(a(2).^2 + b(2).^2);
expr257 = b(1).^(-2);
expr258 = 2.*((a(1) - a(2)).^2 + (b(1) - b(2)).^2).*(b(1) + b(2));
expr259 = 2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr260 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr261 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr262 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr263 = -(1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr264 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr265 = -(1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr266 = 2.*(b(1) + b(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr267 = -2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr268 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr269 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr270 = expr154.*expr155.*expr161.*expr253.*expr254.*expr255.*expr256.*WQ;
expr271 = expr258 + expr259;
expr272 = expr175 - expr161.*expr162.*(expr260 + expr261) + expr106.*expr175.*(expr260 + expr261);
expr273 = -((expr262 + expr263).*expr93) - (expr264 + expr265).*expr96 + expr257.*(expr91 + expr92 + pi);
expr274 = expr161.*expr90.*(-((expr262 + expr263).*expr93) - (expr264 + expr265).*expr96 + expr257.*(expr91 + expr92 + pi)).*tpc;
expr275 = (expr106 - (expr107.*expr162)./(expr159 + expr160)).*expr257.*sin(expr161.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr276 = (-2.*expr161.*expr162)./(expr159 + expr160);
expr277 = -((expr107.*expr175.*(expr260 + expr261))./(expr159 + expr160));
expr278 = (expr107.*expr162.*(expr175 - expr161.*expr162.*(expr260 + expr261) + expr106.*expr175.*(expr260 + expr261)))./(expr159 + expr160).^2;
expr279 = expr266 + expr267;
expr280 = -(expr167.*expr168.*(expr268 + expr269)) + expr166.*expr184.*(expr268 + expr269);
expr281 = -((expr113.*expr184.*(expr268 + expr269))./(expr164 + expr165)) + (expr113.*expr168.*(-(expr167.*expr168.*(expr268 + expr269)) + expr166.*expr184.*(expr268 + expr269)))./(expr164 + expr165).^2;
expr282 = -(expr113.*expr186.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr257);
expr283 = expr111.*expr113.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr196.*expr271.*expr93;
expr284 = expr113.*expr186.*(1 - expr188.*(expr189 + expr190)).*expr272.*expr93;
expr285 = 2.*expr161.*expr191.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr96;
expr286 = expr107.*expr111.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr207.*expr279.*expr96;
expr287 = expr107.*expr191.*(1 - expr193.*(expr194 + expr195)).*expr280.*expr96;
expr288 = -(expr188.*(-(expr206.*(expr200 + expr274)) + expr275 - expr189.*expr201.*(expr200 + expr274).*expr93 - expr206.*(expr276 + expr277 + expr278).*expr93)) + expr106.*expr111.*expr188.*(expr189 + expr190).*expr273.*tpc;
expr289 = expr107.*expr191.*expr192.*expr96.*(expr111.*expr166.*expr193.*(expr194 + expr195).*expr273.*tpc - expr193.*(-(expr213.*expr281.*expr96) + expr111.*expr194.*expr210.*expr273.*tpc + expr111.*expr167.*expr213.*expr273.*tpc));
expr290 = expr270 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*expr214.*(expr282 + expr283 + expr284 + expr285 + expr286 + expr287 + expr289 + expr113.*expr186.*expr187.*expr288.*expr93).*WO;
gf(3) = expr290;

%% Derivative for a(2)
w13 = [ws:(99.*ws)./100:100.*ws];
expr291 = ((a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr292 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr293 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr294 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr295 = expr100.*expr105.*expr113.*expr166.*expr291.*expr294.*expr99.*Wms + expr100.*expr103.*expr291.*expr292.*expr293.*expr98.*expr99.*Wms;
integrate13 = trapz(w13, expr295);
w14 = [0:wp./100:wp];
expr296 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr297 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr298 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr299 = 2.*expr110.*(-1 + expr107.*expr113.*(expr296.*expr298).^expr111).*(2.*expr107.*expr166.*(expr296.*expr298).^expr111 + expr107.*expr111.*expr113.*expr296.*expr297.*(expr296.*expr298).^expr116).*Wmp;
integrate14 = trapz(w14, expr299);
w15 = [wp:(-wp + ws)./100:ws];
expr300 = (a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2));
expr301 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr302 = (a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2));
expr303 = -(w15./(wp - ws));
expr304 = 2.*expr118.*(2.*expr107.*expr166.*(expr300.*expr302).^expr111 + expr107.*expr111.*expr113.*expr300.*expr301.*(expr300.*expr302).^expr116).*(expr122 + expr107.*expr113.*(expr300.*expr302).^expr111 + expr303).*Wmt;
integrate15 = trapz(w15, expr304);
w16 = [0:wmax./100:wmax];
expr305 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr306 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr307 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr308 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr309 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr310 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr311 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr312 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr313 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr314 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr315 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr316 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr317 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr318 = expr305 + expr306 + expr116.*expr128.*(expr129 + expr307 + expr308 + expr309 - expr148.*(expr310 + expr311) + expr312 + expr313).*w16;
expr319 = expr314 + expr315 + expr316 + expr317 - 3.*expr128.*((expr142 - expr133.*expr143 + expr144 + expr145).*expr90 + (expr146 - expr147.*expr148 + expr149 + expr150).*expr90).*w16;
expr320 = 2.*expr125.*expr318.*expr319.*Wph;
integrate16 = trapz(w16, expr320);
expr321 = sqrt(a(1).^2 + b(1).^2)./(a(1).*sqrt(a(2).^2 + b(2).^2));
expr322 = -((sqrt(a(1).^2 + b(1).^2).*sqrt(a(2).^2 + b(2).^2))./(a(1).*a(2).^2));
expr323 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) - b(2)).^2);
expr324 = -2.*(a(1) - a(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr325 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (-b(1) + b(2)).^2);
expr326 = 2.*(-a(1) + a(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr327 = expr154.*expr155.*(expr321 + expr322).*WQ;
expr328 = -(expr161.*expr162.*(expr171.*expr172.*expr173 + expr176)) + expr106.*expr175.*(expr171.*expr172.*expr173 + expr176);
expr329 = expr323 + expr324;
expr330 = -((-(expr171.*expr172.*expr173) + expr174).*expr93) - (expr177.*expr178.*expr179 + expr183).*expr96;
expr331 = -((expr107.*expr175.*(expr171.*expr172.*expr173 + expr176))./(expr159 + expr160));
expr332 = (expr107.*expr162.*(-(expr161.*expr162.*(expr171.*expr172.*expr173 + expr176)) + expr106.*expr175.*(expr171.*expr172.*expr173 + expr176)))./(expr159 + expr160).^2;
expr333 = expr168 - expr167.*expr168.*(-(expr177.*expr178.*expr179) + expr180) + expr166.*(-(expr177.*expr178.*expr179) + expr180).*expr184;
expr334 = expr325 + expr326;
expr335 = expr166.*expr90.*(-((-(expr171.*expr172.*expr173) + expr174).*expr93) - (expr177.*expr178.*expr179 + expr183).*expr96).*tpc;
expr336 = (-2.*expr166.*expr168)./(expr164 + expr165);
expr337 = -((expr113.*(-(expr177.*expr178.*expr179) + expr180).*expr184)./(expr164 + expr165));
expr338 = (expr113.*expr168.*(expr168 - expr167.*expr168.*(-(expr177.*expr178.*expr179) + expr180) + expr166.*(-(expr177.*expr178.*expr179) + expr180).*expr184))./(expr164 + expr165).^2;
expr339 = 2.*expr166.*expr186.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr93;
expr340 = expr113.*expr186.*(1 - expr188.*(expr189 + expr190)).*expr328.*expr93;
expr341 = expr111.*expr113.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr196.*expr329.*expr93;
expr342 = expr107.*expr191.*(1 - expr193.*(expr194 + expr195)).*expr333.*expr96;
expr343 = expr107.*expr111.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr207.*expr334.*expr96;
expr344 = expr113.*expr186.*expr187.*expr93.*(expr106.*expr111.*expr188.*(expr189 + expr190).*expr330.*tpc - expr188.*(-(expr206.*(expr331 + expr332).*expr93) + expr111.*expr189.*expr201.*expr330.*tpc + expr111.*expr161.*expr206.*expr330.*tpc));
expr345 = -(expr193.*(expr194 + expr195).*(expr200 + expr335)) - expr193.*(-(expr213.*(1 + expr336 + expr337 + expr338).*expr96) + expr111.*expr194.*expr210.*expr330.*tpc + expr111.*expr167.*expr213.*expr330.*tpc);
expr346 = expr327 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*expr214.*(expr339 + expr340 + expr341 + expr342 + expr343 + expr344 + expr107.*expr191.*expr192.*expr345.*expr96).*WO;
gf(2) = expr346;

%% Derivative for b(2)
w17 = [ws:(99.*ws)./100:100.*ws];
expr347 = ((a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr348 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr349 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr350 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr351 = expr100.*expr105.*expr113.*expr167.*expr347.*expr350.*expr99.*Wms + expr100.*expr103.*expr347.*expr348.*expr349.*expr98.*expr99.*Wms;
integrate17 = trapz(w17, expr351);
w18 = [0:wp./100:wp];
expr352 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr353 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr354 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr355 = 2.*expr110.*(-1 + expr107.*expr113.*(expr352.*expr354).^expr111).*(2.*expr107.*expr167.*(expr352.*expr354).^expr111 + expr107.*expr111.*expr113.*expr352.*expr353.*(expr352.*expr354).^expr116).*Wmp;
integrate18 = trapz(w18, expr355);
w19 = [wp:(-wp + ws)./100:ws];
expr356 = (a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2));
expr357 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr358 = (a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2));
expr359 = -(w19./(wp - ws));
expr360 = 2.*expr118.*(2.*expr107.*expr167.*(expr356.*expr358).^expr111 + expr107.*expr111.*expr113.*expr356.*expr357.*(expr356.*expr358).^expr116).*(expr122 + expr107.*expr113.*(expr356.*expr358).^expr111 + expr359).*Wmt;
integrate19 = trapz(w19, expr360);
w20 = [0:wmax./100:wmax];
expr361 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr362 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr363 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr364 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr365 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr366 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr367 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr368 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr369 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr370 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr371 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr372 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr373 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr374 = expr361 + expr362 + expr116.*expr128.*(expr363 + expr364 + expr365 - expr148.*(expr366 + expr367) + expr368 + expr369).*w20;
expr375 = expr370 + expr371 + expr372 + expr373 - 3.*expr128.*((expr142 - expr133.*expr143 + expr144 + expr145).*expr90 + (expr146 - expr147.*expr148 + expr149 + expr150).*expr90).*w20;
expr376 = 2.*expr125.*expr374.*expr375.*Wph;
integrate20 = trapz(w20, expr376);
expr377 = sqrt(a(1).^2 + b(1).^2);
expr378 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr379 = -2.*(b(1) - b(2)).*((a(1) - a(2)).^2 + (b(1) + b(2)).^2);
expr380 = b(2).^(-2);
expr381 = 2.*(-b(1) + b(2)).*((-a(1) + a(2)).^2 + (b(1) + b(2)).^2);
expr382 = expr154.*expr155.*expr167.*expr253.*expr254.*expr377.*expr378.*WQ;
expr383 = -(expr161.*expr162.*(expr261 + expr262)) + expr106.*expr175.*(expr261 + expr262);
expr384 = expr258 + expr379;
expr385 = -((expr260 + expr263).*expr93) - (expr265 + expr268).*expr96 + expr380.*(expr94 + expr95 + pi);
expr386 = -((expr107.*expr175.*(expr261 + expr262))./(expr159 + expr160)) + (expr107.*expr162.*(-(expr161.*expr162.*(expr261 + expr262)) + expr106.*expr175.*(expr261 + expr262)))./(expr159 + expr160).^2;
expr387 = expr184 - expr167.*expr168.*(expr264 + expr269) + expr166.*expr184.*(expr264 + expr269);
expr388 = expr266 + expr381;
expr389 = expr167.*expr90.*(-((expr260 + expr263).*expr93) - (expr265 + expr268).*expr96 + expr380.*(expr94 + expr95 + pi)).*tpc;
expr390 = (expr166 - (expr113.*expr168)./(expr164 + expr165)).*expr380.*sin(expr167.*expr90.*(-(expr93.*(expr91 + expr92 + pi)) - expr96.*(expr94 + expr95 + pi)).*tpc);
expr391 = (-2.*expr167.*expr168)./(expr164 + expr165);
expr392 = -((expr113.*expr184.*(expr264 + expr269))./(expr164 + expr165));
expr393 = (expr113.*expr168.*(expr184 - expr167.*expr168.*(expr264 + expr269) + expr166.*expr184.*(expr264 + expr269)))./(expr164 + expr165).^2;
expr394 = -(expr107.*expr191.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr380);
expr395 = 2.*expr167.*expr186.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr93;
expr396 = expr113.*expr186.*(1 - expr188.*(expr189 + expr190)).*expr383.*expr93;
expr397 = expr111.*expr113.*expr187.*(1 - expr188.*(expr189 + expr190)).*expr196.*expr384.*expr93;
expr398 = expr107.*expr191.*(1 - expr193.*(expr194 + expr195)).*expr387.*expr96;
expr399 = expr107.*expr111.*expr192.*(1 - expr193.*(expr194 + expr195)).*expr207.*expr388.*expr96;
expr400 = -(expr193.*(-(expr213.*(expr200 + expr389)) + expr390 - expr194.*expr210.*(expr200 + expr389).*expr96 - expr213.*(expr391 + expr392 + expr393).*expr96)) + expr111.*expr166.*expr193.*(expr194 + expr195).*expr385.*tpc;
expr401 = expr113.*expr186.*expr187.*expr93.*(expr106.*expr111.*expr188.*(expr189 + expr190).*expr385.*tpc - expr188.*(-(expr206.*expr386.*expr93) + expr111.*expr189.*expr201.*expr385.*tpc + expr111.*expr161.*expr206.*expr385.*tpc));
expr402 = expr382 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*expr214.*(expr394 + expr395 + expr396 + expr397 + expr398 + expr399 + expr401 + expr107.*expr191.*expr192.*expr400.*expr96).*WO;
gf(4) = expr402;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr403 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr403;

%%   First derivative w/r to a(1) of constraint #2
expr404 = 0;
GC(1, 2) = expr404;

%%   First derivative w/r to a(1) of constraint #3
expr405 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr406 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr407 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr408 = 2.*expr106.*expr113.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr111.*expr113.*expr405.*(expr103 + expr406).*((expr103 + expr406).*(expr100 + expr407)).^expr116;
GC(1, 3) = expr408;

%%   First derivative w/r to a(1) of constraint #4
expr409 = -2.*expr106.*expr113.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr113.*expr405.*(expr103 + expr406).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr90;
GC(1, 4) = expr409;

%%   First derivative w/r to a(1) of constraint #5
expr410 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr411 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr412 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr413 = 2.*expr106.*expr113.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr111.*expr113.*expr410.*(expr103 + expr411).*((expr103 + expr411).*(expr100 + expr412)).^expr116;
GC(1, 5) = expr413;

%%   First derivative w/r to a(1) of constraint #6
expr414 = -2.*expr106.*expr113.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr113.*expr410.*(expr103 + expr411).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr90;
GC(1, 6) = expr414;

%%   First derivative w/r to a(1) of constraint #7
expr415 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr416 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr417 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr418 = 2.*expr106.*expr113.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr111.*expr113.*expr415.*(expr103 + expr416).*((expr103 + expr416).*(expr100 + expr417)).^expr116;
GC(1, 7) = expr418;

%%   First derivative w/r to a(1) of constraint #8
expr419 = -2.*expr106.*expr113.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr113.*expr415.*(expr103 + expr416).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr90;
GC(1, 8) = expr419;

%%   First derivative w/r to a(1) of constraint #9
expr420 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr421 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr422 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr423 = 2.*expr106.*expr113.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr111.*expr113.*expr420.*(expr103 + expr421).*((expr103 + expr421).*(expr100 + expr422)).^expr116;
GC(1, 9) = expr423;

%%   First derivative w/r to a(1) of constraint #10
expr424 = -2.*expr106.*expr113.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr113.*expr420.*(expr103 + expr421).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr90;
GC(1, 10) = expr424;

%%   First derivative w/r to a(1) of constraint #11
expr425 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr426 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr427 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr428 = 2.*expr106.*expr113.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr111.*expr113.*expr425.*(expr103 + expr426).*((expr103 + expr426).*(expr100 + expr427)).^expr116;
GC(1, 11) = expr428;

%%   First derivative w/r to a(1) of constraint #12
expr429 = -2.*expr106.*expr113.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr113.*expr425.*(expr103 + expr426).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr90;
GC(1, 12) = expr429;

%%   First derivative w/r to a(1) of constraint #13
expr430 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr431 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr432 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr433 = 2.*expr106.*expr113.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr111.*expr113.*expr430.*(expr103 + expr431).*((expr103 + expr431).*(expr100 + expr432)).^expr116;
GC(1, 13) = expr433;

%%   First derivative w/r to a(1) of constraint #14
expr434 = -2.*expr106.*expr113.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr113.*expr430.*(expr103 + expr431).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr90;
GC(1, 14) = expr434;

%%   First derivative w/r to a(1) of constraint #15
expr435 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr436 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr437 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr438 = 2.*expr106.*expr113.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr111.*expr113.*expr435.*(expr103 + expr436).*((expr103 + expr436).*(expr100 + expr437)).^expr116;
GC(1, 15) = expr438;

%%   First derivative w/r to a(1) of constraint #16
expr439 = -2.*expr106.*expr113.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr113.*expr435.*(expr103 + expr436).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr90;
GC(1, 16) = expr439;

%%   First derivative w/r to a(1) of constraint #17
expr440 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr441 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr442 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr443 = 2.*expr106.*expr113.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr111.*expr113.*expr440.*(expr103 + expr441).*((expr103 + expr441).*(expr100 + expr442)).^expr116;
GC(1, 17) = expr443;

%%   First derivative w/r to a(1) of constraint #18
expr444 = -2.*expr106.*expr113.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr113.*expr440.*(expr103 + expr441).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr90;
GC(1, 18) = expr444;

%%   First derivative w/r to a(1) of constraint #19
expr445 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr446 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr447 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr448 = 2.*expr106.*expr113.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr111.*expr113.*expr445.*(expr103 + expr446).*((expr103 + expr446).*(expr100 + expr447)).^expr116;
GC(1, 19) = expr448;

%%   First derivative w/r to a(1) of constraint #20
expr449 = -2.*expr106.*expr113.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr113.*expr445.*(expr103 + expr446).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr90;
GC(1, 20) = expr449;

%%   First derivative w/r to a(1) of constraint #21
expr450 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr451 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr452 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr453 = 2.*expr106.*expr113.*(expr451.*expr452).^expr111 + expr107.*expr111.*expr113.*expr450.*expr451.*(expr451.*expr452).^expr116;
GC(1, 21) = expr453;

%%   First derivative w/r to a(1) of constraint #22
expr454 = -2.*expr106.*expr113.*(expr451.*expr452).^expr111 + expr107.*expr113.*expr450.*expr451.*(expr451.*expr452).^expr116.*expr90;
GC(1, 22) = expr454;

%%   First derivative w/r to a(1) of constraint #23
expr455 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr456 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr457 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr458 = 2.*expr106.*expr113.*(expr456.*expr457).^expr111 + expr107.*expr111.*expr113.*expr455.*expr456.*(expr456.*expr457).^expr116;
GC(1, 23) = expr458;

%%   First derivative w/r to a(1) of constraint #24
expr459 = expr215 + expr216 + expr217 + expr218 + expr219 + expr221 + expr113.*expr186.*expr187.*expr220.*expr93;
GC(1, 24) = expr459;

%%   First derivative w/r to a(2) of constraint #1
expr460 = 0;
GC(2, 1) = expr460;

%%   First derivative w/r to a(2) of constraint #2
expr461 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr461;

%%   First derivative w/r to a(2) of constraint #3
expr462 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr463 = 2.*expr107.*expr166.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr407).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr462;
GC(2, 3) = expr463;

%%   First derivative w/r to a(2) of constraint #4
expr464 = -2.*expr107.*expr166.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr113.*(expr100 + expr407).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr462.*expr90;
GC(2, 4) = expr464;

%%   First derivative w/r to a(2) of constraint #5
expr465 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr466 = 2.*expr107.*expr166.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr412).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr465;
GC(2, 5) = expr466;

%%   First derivative w/r to a(2) of constraint #6
expr467 = -2.*expr107.*expr166.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr113.*(expr100 + expr412).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr465.*expr90;
GC(2, 6) = expr467;

%%   First derivative w/r to a(2) of constraint #7
expr468 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr469 = 2.*expr107.*expr166.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr417).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr468;
GC(2, 7) = expr469;

%%   First derivative w/r to a(2) of constraint #8
expr470 = -2.*expr107.*expr166.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr113.*(expr100 + expr417).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr468.*expr90;
GC(2, 8) = expr470;

%%   First derivative w/r to a(2) of constraint #9
expr471 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr472 = 2.*expr107.*expr166.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr422).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr471;
GC(2, 9) = expr472;

%%   First derivative w/r to a(2) of constraint #10
expr473 = -2.*expr107.*expr166.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr113.*(expr100 + expr422).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr471.*expr90;
GC(2, 10) = expr473;

%%   First derivative w/r to a(2) of constraint #11
expr474 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr475 = 2.*expr107.*expr166.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr427).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr474;
GC(2, 11) = expr475;

%%   First derivative w/r to a(2) of constraint #12
expr476 = -2.*expr107.*expr166.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr113.*(expr100 + expr427).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr474.*expr90;
GC(2, 12) = expr476;

%%   First derivative w/r to a(2) of constraint #13
expr477 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr478 = 2.*expr107.*expr166.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr432).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr477;
GC(2, 13) = expr478;

%%   First derivative w/r to a(2) of constraint #14
expr479 = -2.*expr107.*expr166.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr113.*(expr100 + expr432).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr477.*expr90;
GC(2, 14) = expr479;

%%   First derivative w/r to a(2) of constraint #15
expr480 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr481 = 2.*expr107.*expr166.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr437).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr480;
GC(2, 15) = expr481;

%%   First derivative w/r to a(2) of constraint #16
expr482 = -2.*expr107.*expr166.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr113.*(expr100 + expr437).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr480.*expr90;
GC(2, 16) = expr482;

%%   First derivative w/r to a(2) of constraint #17
expr483 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr484 = 2.*expr107.*expr166.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr442).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr483;
GC(2, 17) = expr484;

%%   First derivative w/r to a(2) of constraint #18
expr485 = -2.*expr107.*expr166.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr113.*(expr100 + expr442).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr483.*expr90;
GC(2, 18) = expr485;

%%   First derivative w/r to a(2) of constraint #19
expr486 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr487 = 2.*expr107.*expr166.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr447).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr486;
GC(2, 19) = expr487;

%%   First derivative w/r to a(2) of constraint #20
expr488 = -2.*expr107.*expr166.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr113.*(expr100 + expr447).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr486.*expr90;
GC(2, 20) = expr488;

%%   First derivative w/r to a(2) of constraint #21
expr489 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr490 = 2.*expr107.*expr166.*(expr451.*expr452).^expr111 + expr107.*expr111.*expr113.*expr452.*(expr451.*expr452).^expr116.*expr489;
GC(2, 21) = expr490;

%%   First derivative w/r to a(2) of constraint #22
expr491 = -2.*expr107.*expr166.*(expr451.*expr452).^expr111 + expr107.*expr113.*expr452.*(expr451.*expr452).^expr116.*expr489.*expr90;
GC(2, 22) = expr491;

%%   First derivative w/r to a(2) of constraint #23
expr492 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr493 = 2.*expr107.*expr166.*(expr456.*expr457).^expr111 + expr107.*expr111.*expr113.*expr457.*(expr456.*expr457).^expr116.*expr492;
GC(2, 23) = expr493;

%%   First derivative w/r to a(2) of constraint #24
expr494 = expr339 + expr340 + expr341 + expr342 + expr343 + expr344 + expr107.*expr191.*expr192.*expr345.*expr96;
GC(2, 24) = expr494;

%%   First derivative w/r to b(1) of constraint #1
expr495 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(3, 1) = expr495;

%%   First derivative w/r to b(1) of constraint #2
expr496 = 0;
GC(3, 2) = expr496;

%%   First derivative w/r to b(1) of constraint #3
expr497 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr498 = 2.*expr113.*expr161.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr406).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr497;
GC(3, 3) = expr498;

%%   First derivative w/r to b(1) of constraint #4
expr499 = -2.*expr113.*expr161.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr113.*(expr103 + expr406).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr497.*expr90;
GC(3, 4) = expr499;

%%   First derivative w/r to b(1) of constraint #5
expr500 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr501 = 2.*expr113.*expr161.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr411).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr500;
GC(3, 5) = expr501;

%%   First derivative w/r to b(1) of constraint #6
expr502 = -2.*expr113.*expr161.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr113.*(expr103 + expr411).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr500.*expr90;
GC(3, 6) = expr502;

%%   First derivative w/r to b(1) of constraint #7
expr503 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr504 = 2.*expr113.*expr161.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr416).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr503;
GC(3, 7) = expr504;

%%   First derivative w/r to b(1) of constraint #8
expr505 = -2.*expr113.*expr161.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr113.*(expr103 + expr416).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr503.*expr90;
GC(3, 8) = expr505;

%%   First derivative w/r to b(1) of constraint #9
expr506 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr507 = 2.*expr113.*expr161.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr421).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr506;
GC(3, 9) = expr507;

%%   First derivative w/r to b(1) of constraint #10
expr508 = -2.*expr113.*expr161.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr113.*(expr103 + expr421).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr506.*expr90;
GC(3, 10) = expr508;

%%   First derivative w/r to b(1) of constraint #11
expr509 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr510 = 2.*expr113.*expr161.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr426).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr509;
GC(3, 11) = expr510;

%%   First derivative w/r to b(1) of constraint #12
expr511 = -2.*expr113.*expr161.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr113.*(expr103 + expr426).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr509.*expr90;
GC(3, 12) = expr511;

%%   First derivative w/r to b(1) of constraint #13
expr512 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr513 = 2.*expr113.*expr161.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr431).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr512;
GC(3, 13) = expr513;

%%   First derivative w/r to b(1) of constraint #14
expr514 = -2.*expr113.*expr161.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr113.*(expr103 + expr431).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr512.*expr90;
GC(3, 14) = expr514;

%%   First derivative w/r to b(1) of constraint #15
expr515 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr516 = 2.*expr113.*expr161.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr436).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr515;
GC(3, 15) = expr516;

%%   First derivative w/r to b(1) of constraint #16
expr517 = -2.*expr113.*expr161.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr113.*(expr103 + expr436).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr515.*expr90;
GC(3, 16) = expr517;

%%   First derivative w/r to b(1) of constraint #17
expr518 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr519 = 2.*expr113.*expr161.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr441).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr518;
GC(3, 17) = expr519;

%%   First derivative w/r to b(1) of constraint #18
expr520 = -2.*expr113.*expr161.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr113.*(expr103 + expr441).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr518.*expr90;
GC(3, 18) = expr520;

%%   First derivative w/r to b(1) of constraint #19
expr521 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr522 = 2.*expr113.*expr161.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr111.*expr113.*(expr103 + expr446).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr521;
GC(3, 19) = expr522;

%%   First derivative w/r to b(1) of constraint #20
expr523 = -2.*expr113.*expr161.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr113.*(expr103 + expr446).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr521.*expr90;
GC(3, 20) = expr523;

%%   First derivative w/r to b(1) of constraint #21
expr524 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr525 = 2.*expr113.*expr161.*(expr451.*expr452).^expr111 + expr107.*expr111.*expr113.*expr451.*(expr451.*expr452).^expr116.*expr524;
GC(3, 21) = expr525;

%%   First derivative w/r to b(1) of constraint #22
expr526 = -2.*expr113.*expr161.*(expr451.*expr452).^expr111 + expr107.*expr113.*expr451.*(expr451.*expr452).^expr116.*expr524.*expr90;
GC(3, 22) = expr526;

%%   First derivative w/r to b(1) of constraint #23
expr527 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr528 = 2.*expr113.*expr161.*(expr456.*expr457).^expr111 + expr107.*expr111.*expr113.*expr456.*(expr456.*expr457).^expr116.*expr527;
GC(3, 23) = expr528;

%%   First derivative w/r to b(1) of constraint #24
expr529 = expr282 + expr283 + expr284 + expr285 + expr286 + expr287 + expr289 + expr113.*expr186.*expr187.*expr288.*expr93;
GC(3, 24) = expr529;

%%   First derivative w/r to b(2) of constraint #1
expr530 = 0;
GC(4, 1) = expr530;

%%   First derivative w/r to b(2) of constraint #2
expr531 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(4, 2) = expr531;

%%   First derivative w/r to b(2) of constraint #3
expr532 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr533 = 2.*expr107.*expr167.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr407).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr532;
GC(4, 3) = expr533;

%%   First derivative w/r to b(2) of constraint #4
expr534 = -2.*expr107.*expr167.*((expr103 + expr406).*(expr100 + expr407)).^expr111 + expr107.*expr113.*(expr100 + expr407).*((expr103 + expr406).*(expr100 + expr407)).^expr116.*expr532.*expr90;
GC(4, 4) = expr534;

%%   First derivative w/r to b(2) of constraint #5
expr535 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr536 = 2.*expr107.*expr167.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr412).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr535;
GC(4, 5) = expr536;

%%   First derivative w/r to b(2) of constraint #6
expr537 = -2.*expr107.*expr167.*((expr103 + expr411).*(expr100 + expr412)).^expr111 + expr107.*expr113.*(expr100 + expr412).*((expr103 + expr411).*(expr100 + expr412)).^expr116.*expr535.*expr90;
GC(4, 6) = expr537;

%%   First derivative w/r to b(2) of constraint #7
expr538 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr539 = 2.*expr107.*expr167.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr417).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr538;
GC(4, 7) = expr539;

%%   First derivative w/r to b(2) of constraint #8
expr540 = -2.*expr107.*expr167.*((expr103 + expr416).*(expr100 + expr417)).^expr111 + expr107.*expr113.*(expr100 + expr417).*((expr103 + expr416).*(expr100 + expr417)).^expr116.*expr538.*expr90;
GC(4, 8) = expr540;

%%   First derivative w/r to b(2) of constraint #9
expr541 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr542 = 2.*expr107.*expr167.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr422).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr541;
GC(4, 9) = expr542;

%%   First derivative w/r to b(2) of constraint #10
expr543 = -2.*expr107.*expr167.*((expr103 + expr421).*(expr100 + expr422)).^expr111 + expr107.*expr113.*(expr100 + expr422).*((expr103 + expr421).*(expr100 + expr422)).^expr116.*expr541.*expr90;
GC(4, 10) = expr543;

%%   First derivative w/r to b(2) of constraint #11
expr544 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr545 = 2.*expr107.*expr167.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr427).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr544;
GC(4, 11) = expr545;

%%   First derivative w/r to b(2) of constraint #12
expr546 = -2.*expr107.*expr167.*((expr103 + expr426).*(expr100 + expr427)).^expr111 + expr107.*expr113.*(expr100 + expr427).*((expr103 + expr426).*(expr100 + expr427)).^expr116.*expr544.*expr90;
GC(4, 12) = expr546;

%%   First derivative w/r to b(2) of constraint #13
expr547 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr548 = 2.*expr107.*expr167.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr432).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr547;
GC(4, 13) = expr548;

%%   First derivative w/r to b(2) of constraint #14
expr549 = -2.*expr107.*expr167.*((expr103 + expr431).*(expr100 + expr432)).^expr111 + expr107.*expr113.*(expr100 + expr432).*((expr103 + expr431).*(expr100 + expr432)).^expr116.*expr547.*expr90;
GC(4, 14) = expr549;

%%   First derivative w/r to b(2) of constraint #15
expr550 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr551 = 2.*expr107.*expr167.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr437).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr550;
GC(4, 15) = expr551;

%%   First derivative w/r to b(2) of constraint #16
expr552 = -2.*expr107.*expr167.*((expr103 + expr436).*(expr100 + expr437)).^expr111 + expr107.*expr113.*(expr100 + expr437).*((expr103 + expr436).*(expr100 + expr437)).^expr116.*expr550.*expr90;
GC(4, 16) = expr552;

%%   First derivative w/r to b(2) of constraint #17
expr553 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr554 = 2.*expr107.*expr167.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr442).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr553;
GC(4, 17) = expr554;

%%   First derivative w/r to b(2) of constraint #18
expr555 = -2.*expr107.*expr167.*((expr103 + expr441).*(expr100 + expr442)).^expr111 + expr107.*expr113.*(expr100 + expr442).*((expr103 + expr441).*(expr100 + expr442)).^expr116.*expr553.*expr90;
GC(4, 18) = expr555;

%%   First derivative w/r to b(2) of constraint #19
expr556 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr557 = 2.*expr107.*expr167.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr111.*expr113.*(expr100 + expr447).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr556;
GC(4, 19) = expr557;

%%   First derivative w/r to b(2) of constraint #20
expr558 = -2.*expr107.*expr167.*((expr103 + expr446).*(expr100 + expr447)).^expr111 + expr107.*expr113.*(expr100 + expr447).*((expr103 + expr446).*(expr100 + expr447)).^expr116.*expr556.*expr90;
GC(4, 20) = expr558;

%%   First derivative w/r to b(2) of constraint #21
expr559 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr560 = 2.*expr107.*expr167.*(expr451.*expr452).^expr111 + expr107.*expr111.*expr113.*expr452.*(expr451.*expr452).^expr116.*expr559;
GC(4, 21) = expr560;

%%   First derivative w/r to b(2) of constraint #22
expr561 = -2.*expr107.*expr167.*(expr451.*expr452).^expr111 + expr107.*expr113.*expr452.*(expr451.*expr452).^expr116.*expr559.*expr90;
GC(4, 22) = expr561;

%%   First derivative w/r to b(2) of constraint #23
expr562 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr563 = 2.*expr107.*expr167.*(expr456.*expr457).^expr111 + expr107.*expr111.*expr113.*expr457.*(expr456.*expr457).^expr116.*expr562;
GC(4, 23) = expr563;

%%   First derivative w/r to b(2) of constraint #24
expr564 = expr394 + expr395 + expr396 + expr397 + expr398 + expr399 + expr401 + expr107.*expr191.*expr192.*expr400.*expr96;
GC(4, 24) = expr564;

end
