function [gf,GC]=costder3(x)
% COSTDER3 computes the gradient of the cost function
%	for an analog filter having 3 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b
a = x(1:3);
b = x(4:6);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr143 = 1./3;
expr144 = -angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr145 = -angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr146 = -angle(1 + (i.*(b(1) - b(3)))./(a(1) - a(3)));
expr147 = -angle(1 + (i.*(b(1) + b(3)))./(a(1) - a(3)));
expr148 = b(1).^(-1);
expr149 = -angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr150 = -angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr151 = -angle(1 + (i.*(b(2) - b(3)))./(a(2) - a(3)));
expr152 = -angle(1 + (i.*(b(2) + b(3)))./(a(2) - a(3)));
expr153 = b(2).^(-1);
expr154 = -angle(1 + (i.*(-b(1) + b(3)))./(-a(1) + a(3)));
expr155 = -angle(1 + (i.*(b(1) + b(3)))./(-a(1) + a(3)));
expr156 = -angle(1 + (i.*(-b(2) + b(3)))./(-a(2) + a(3)));
expr157 = -angle(1 + (i.*(b(2) + b(3)))./(-a(2) + a(3)));
expr158 = b(3).^(-1);
expr159 = expr143.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi));
tpa = expr159;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr160 = -1./99;
expr161 = ws.^(-1);
expr162 = (a(1).^2 + b(1).^2).^2;
expr163 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr164 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr165 = (a(2).^2 + b(2).^2).^2;
expr166 = ((a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr167 = (a(3).^2 + b(3).^2).^2;
expr168 = ((a(3).^2 + b(3).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr169 = 4./99;
expr170 = a(1);
expr171 = a(1).^2 + b(1).^2;
expr172 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr173 = expr160.*expr161.*expr162.*expr163.*expr164.*expr165.*expr166.*expr167.*expr168.*Wms + expr161.*expr165.*expr166.*expr167.*expr168.*expr169.*expr170.*expr171.*expr172.*Wms;
integrate5 = trapz(w5, expr173);
w6 = [0:wp./100:wp];
expr174 = wp.^(-1);
expr175 = -1./2;
expr176 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr177 = a(2).^2 + b(2).^2;
expr178 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr179 = a(3).^2 + b(3).^2;
expr180 = (a(3).^2 + b(3).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(3).^2 - b(3).^2));
expr181 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr182 = -3./2;
expr183 = -1 + expr171.*expr177.*expr179.*(expr178.*expr180.*expr181).^expr175;
expr184 = 2.*expr170.*expr177.*expr179.*(expr178.*expr180.*expr181).^expr175 + expr171.*expr175.*expr176.*expr177.*expr178.*expr179.*expr180.*(expr178.*expr180.*expr181).^expr182;
expr185 = 2.*expr174.*expr183.*expr184.*Wmp;
integrate6 = trapz(w6, expr185);
w7 = [wp:(-wp + ws)./100:ws];
expr186 = (-wp + ws).^(-1);
expr187 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr188 = (a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2));
expr189 = (a(3).^2 + b(3).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(3).^2 - b(3).^2));
expr190 = (a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2));
expr191 = ws./(wp - ws);
expr192 = -(w7./(wp - ws));
expr193 = 2.*expr170.*expr177.*expr179.*(expr188.*expr189.*expr190).^expr175 + expr171.*expr175.*expr177.*expr179.*expr187.*expr188.*expr189.*(expr188.*expr189.*expr190).^expr182;
expr194 = expr171.*expr177.*expr179.*(expr188.*expr189.*expr190).^expr175 + expr191 + expr192;
expr195 = 2.*expr186.*expr193.*expr194.*Wmt;
integrate7 = trapz(w7, expr195);
w8 = [0:wmax./100:wmax];
expr196 = wmax.^(-1);
expr197 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr198 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr199 = wmax.^(-3);
expr200 = -2.*wmax;
expr201 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr202 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr203 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr204 = -wmax.^2 - a(1).^2 + b(1).^2;
expr205 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr206 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr207 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr208 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr209 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr210 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr211 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr212 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr213 = angle(1 + (i.*(w8 - b(3)))./a(3));
expr214 = angle(1 + (i.*(w8 + b(3)))./a(3));
expr215 = 1./2;
expr216 = -2.*wmax.*a(1);
expr217 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr218 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr219 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr220 = -2.*wmax.*a(2);
expr221 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr222 = -wmax.^2 - a(2).^2 + b(2).^2;
expr223 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr224 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr225 = -2.*wmax.*a(3);
expr226 = angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3));
expr227 = -wmax.^2 - a(3).^2 + b(3).^2;
expr228 = -(a(3).*b(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr229 = a(3).*b(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr230 = expr197 + expr198 + expr182.*expr199.*(expr200 + expr201 + expr202 + expr203 - expr204.*(expr205 + expr206) + expr207 + expr208).*w8;
expr231 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w8;
expr232 = 2.*expr196.*expr230.*(expr209 + expr210 + expr211 + expr212 + expr213 + expr214 + expr231).*Wph;
integrate8 = trapz(w8, expr232);
expr233 = -1./8;
expr234 = a(1).^(-1);
expr235 = a(2).^(-1);
expr236 = a(3).^(-1);
expr237 = sqrt(a(1).^2 + b(1).^2);
expr238 = sqrt(a(2).^2 + b(2).^2);
expr239 = sqrt(a(3).^2 + b(3).^2);
expr240 = -2./3;
expr241 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr242 = 1./8;
expr243 = a(1).^(-2);
expr244 = (a(1) - a(2)).^2 + (b(1) - b(2)).^2;
expr245 = (a(1) - a(2)).^2 + (b(1) + b(2)).^2;
expr246 = (a(1) - a(3)).^2 + (b(1) - b(3)).^2;
expr247 = (a(1) - a(3)).^2 + (b(1) + b(3)).^2;
expr248 = b(1);
expr249 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr250 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr251 = angle(1 + (i.*(b(1) - b(3)))./(a(1) - a(3)));
expr252 = angle(1 + (i.*(b(1) + b(3)))./(a(1) - a(3)));
expr253 = (-a(1) + a(2)).^2 + (-b(1) + b(2)).^2;
expr254 = (-a(1) + a(2)).^2 + (b(1) + b(2)).^2;
expr255 = (a(2) - a(3)).^2 + (b(2) - b(3)).^2;
expr256 = (a(2) - a(3)).^2 + (b(2) + b(3)).^2;
expr257 = b(2);
expr258 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr259 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr260 = angle(1 + (i.*(b(2) - b(3)))./(a(2) - a(3)));
expr261 = angle(1 + (i.*(b(2) + b(3)))./(a(2) - a(3)));
expr262 = a(2);
expr263 = (-a(1) + a(3)).^2 + (-b(1) + b(3)).^2;
expr264 = (-a(1) + a(3)).^2 + (b(1) + b(3)).^2;
expr265 = (-a(2) + a(3)).^2 + (-b(2) + b(3)).^2;
expr266 = (-a(2) + a(3)).^2 + (b(2) + b(3)).^2;
expr267 = b(3);
expr268 = angle(1 + (i.*(-b(1) + b(3)))./(-a(1) + a(3)));
expr269 = angle(1 + (i.*(b(1) + b(3)))./(-a(1) + a(3)));
expr270 = angle(1 + (i.*(-b(2) + b(3)))./(-a(2) + a(3)));
expr271 = angle(1 + (i.*(b(2) + b(3)))./(-a(2) + a(3)));
expr272 = a(3);
expr273 = a(1) - a(3);
expr274 = a(1) - a(2);
expr275 = (a(1) - a(2)).^(-2);
expr276 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr277 = b(1) - b(2);
expr278 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr279 = (a(1) - a(3)).^(-2);
expr280 = (1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2).^(-1);
expr281 = b(1) - b(3);
expr282 = -((b(1) + b(3))./((a(1) - a(3)).^2.*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2)));
expr283 = (-a(1) + a(2)).^(-2);
expr284 = -b(1) + b(2);
expr285 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr286 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr287 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr288 = (b(1) + b(3))./((a(1) - a(3)).^2.*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2));
expr289 = (-a(1) + a(3)).^(-2);
expr290 = -b(1) + b(3);
expr291 = (1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2).^(-1);
expr292 = -((b(1) + b(3))./((-a(1) + a(3)).^2.*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr293 = -1./3;
expr294 = -a(1) + a(2);
expr295 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr296 = -a(1) + a(3);
expr297 = (b(1) + b(3))./((-a(1) + a(3)).^2.*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr298 = expr143.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*(expr233.*expr235.*expr236.*expr238.*expr239.*expr241 + expr235.*expr236.*expr237.*expr238.*expr239.*expr242.*expr243).*WQ;
expr299 = (expr244.*expr245.*expr246.*expr247).^expr175;
expr300 = expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252);
expr301 = exp(expr143.*expr170.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr302 = cos(expr143.*expr248.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr303 = expr170 - (expr171.*sin(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252));
expr304 = sin(expr143.*expr248.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr305 = (expr253.*expr254.*expr255.*expr256).^expr175;
expr306 = expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261);
expr307 = exp(expr143.*expr262.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr308 = cos(expr143.*expr257.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr309 = expr262 - (expr177.*sin(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261));
expr310 = sin(expr143.*expr257.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr311 = (expr263.*expr264.*expr265.*expr266).^expr175;
expr312 = expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271);
expr313 = exp(expr143.*expr272.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr314 = cos(expr143.*expr267.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr315 = expr272 - (expr179.*sin(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271));
expr316 = sin(expr143.*expr267.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc);
expr317 = (expr244.*expr245.*expr246.*expr247).^expr182;
expr318 = 2.*expr244.*expr245.*expr246.*expr273 + 2.*expr244.*expr245.*expr247.*expr273 + 2.*expr244.*expr246.*expr247.*expr274 + 2.*expr245.*expr246.*expr247.*expr274;
expr319 = expr170.*(-(expr275.*expr276.*expr277) + expr278 - expr279.*expr280.*expr281 + expr282).*cos(expr249 + expr250 + expr251 + expr252);
expr320 = sin(expr249 + expr250 + expr251 + expr252);
expr321 = -(expr248.*(-(expr275.*expr276.*expr277) + expr278 - expr279.*expr280.*expr281 + expr282).*sin(expr249 + expr250 + expr251 + expr252));
expr322 = expr143.*expr170.*(-(expr153.*(-(expr283.*expr284.*expr285) + expr286)) - expr148.*(expr275.*expr276.*expr277 + expr279.*expr280.*expr281 + expr287 + expr288) - expr158.*(-(expr289.*expr290.*expr291) + expr292)).*tpc;
expr323 = expr143.*(-(expr148.*(expr144 + expr145 + expr146 + expr147 + pi)) - expr153.*(expr149 + expr150 + expr151 + expr152 + pi) - expr158.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc;
expr324 = -(expr153.*(-(expr283.*expr284.*expr285) + expr286)) - expr148.*(expr275.*expr276.*expr277 + expr279.*expr280.*expr281 + expr287 + expr288) - expr158.*(-(expr289.*expr290.*expr291) + expr292);
expr325 = -(expr275.*expr276.*expr277) + expr278 - expr279.*expr280.*expr281 + expr282;
expr326 = cos(expr249 + expr250 + expr251 + expr252);
expr327 = (expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)).^(-1);
expr328 = (-2.*expr170.*sin(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252));
expr329 = (expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)).^(-2);
expr330 = (expr253.*expr254.*expr255.*expr256).^expr182;
expr331 = -2.*expr253.*expr255.*expr256.*expr294 - 2.*expr254.*expr255.*expr256.*expr294;
expr332 = expr262.*(expr283.*expr284.*expr285 + expr295).*cos(expr258 + expr259 + expr260 + expr261) - expr257.*(expr283.*expr284.*expr285 + expr295).*sin(expr258 + expr259 + expr260 + expr261);
expr333 = -((expr177.*(expr283.*expr284.*expr285 + expr295).*cos(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)));
expr334 = sin(expr258 + expr259 + expr260 + expr261);
expr335 = (expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)).^(-2);
expr336 = (expr263.*expr264.*expr265.*expr266).^expr182;
expr337 = -2.*expr263.*expr265.*expr266.*expr296 - 2.*expr264.*expr265.*expr266.*expr296;
expr338 = expr272.*(expr289.*expr290.*expr291 + expr297).*cos(expr268 + expr269 + expr270 + expr271) - expr267.*(expr289.*expr290.*expr291 + expr297).*sin(expr268 + expr269 + expr270 + expr271);
expr339 = -((expr179.*(expr289.*expr290.*expr291 + expr297).*cos(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)));
expr340 = sin(expr268 + expr269 + expr270 + expr271);
expr341 = (expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)).^(-2);
expr342 = expr148.*expr177.*expr179.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304));
expr343 = expr153.*expr171.*expr179.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310));
expr344 = expr158.*expr171.*expr177.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316));
expr345 = 2.*expr153.*expr170.*expr179.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310));
expr346 = 2.*expr158.*expr170.*expr177.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316));
expr347 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr318;
expr348 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*(expr319 + expr320 + expr321);
expr349 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr331;
expr350 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr332;
expr351 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr337;
expr352 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr338;
expr353 = -(expr301.*(expr302 - expr148.*expr303.*expr304).*(expr322 + expr323));
expr354 = -(expr301.*(-(expr148.*expr304.*(1 - expr171.*expr325.*expr326.*expr327 + expr328 + expr171.*expr320.*(expr319 + expr320 + expr321).*expr329)) + expr293.*expr302.*expr303.*expr324.*tpc + expr248.*expr293.*expr304.*expr324.*tpc));
expr355 = expr262.*expr293.*expr307.*(expr308 - expr153.*expr309.*expr310).*expr324.*tpc;
expr356 = -(expr307.*(-(expr153.*expr310.*(expr333 + expr177.*expr332.*expr334.*expr335)) + expr293.*expr308.*expr309.*expr324.*tpc + expr257.*expr293.*expr310.*expr324.*tpc));
expr357 = expr272.*expr293.*expr313.*(expr314 - expr158.*expr315.*expr316).*expr324.*tpc;
expr358 = -(expr313.*(-(expr158.*expr316.*(expr339 + expr179.*expr338.*expr340.*expr341)) + expr293.*expr314.*expr315.*expr324.*tpc + expr267.*expr293.*expr316.*expr324.*tpc));
expr359 = -1 + expr342 + expr343 + expr344;
expr360 = expr345 + expr346 + expr347 + expr348 + expr349 + expr350 + expr351 + expr352 + expr148.*expr177.*expr179.*expr299.*expr300.*(expr353 + expr354) + expr153.*expr171.*expr179.*expr305.*expr306.*(expr355 + expr356) + expr158.*expr171.*expr177.*expr311.*expr312.*(expr357 + expr358);
expr361 = expr298 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*expr359.*expr360.*WO;
gf(1) = expr361;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr362 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr363 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr364 = ((a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr365 = ((a(3).^2 + b(3).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr366 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr367 = expr160.*expr161.*expr162.*expr165.*expr167.*expr362.*expr363.*expr364.*expr365.*Wms + expr161.*expr165.*expr167.*expr169.*expr171.*expr248.*expr364.*expr365.*expr366.*Wms;
integrate9 = trapz(w9, expr367);
w10 = [0:wp./100:wp];
expr368 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr369 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr370 = (a(3).^2 + b(3).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(3).^2 - b(3).^2));
expr371 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr372 = -1 + expr171.*expr177.*expr179.*(expr369.*expr370.*expr371).^expr175;
expr373 = 2.*expr177.*expr179.*expr248.*(expr369.*expr370.*expr371).^expr175 + expr171.*expr175.*expr177.*expr179.*expr368.*expr369.*expr370.*(expr369.*expr370.*expr371).^expr182;
expr374 = 2.*expr174.*expr372.*expr373.*Wmp;
integrate10 = trapz(w10, expr374);
w11 = [wp:(-wp + ws)./100:ws];
expr375 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr376 = (a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2));
expr377 = (a(3).^2 + b(3).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(3).^2 - b(3).^2));
expr378 = (a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2));
expr379 = -(w11./(wp - ws));
expr380 = 2.*expr177.*expr179.*expr248.*(expr376.*expr377.*expr378).^expr175 + expr171.*expr175.*expr177.*expr179.*expr375.*expr376.*expr377.*(expr376.*expr377.*expr378).^expr182;
expr381 = expr191 + expr171.*expr177.*expr179.*(expr376.*expr377.*expr378).^expr175 + expr379;
expr382 = 2.*expr186.*expr380.*expr381.*Wmt;
integrate11 = trapz(w11, expr382);
w12 = [0:wmax./100:wmax];
expr383 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr384 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr385 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr386 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr387 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr388 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr389 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr390 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr391 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr392 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr393 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr394 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr395 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr396 = angle(1 + (i.*(w12 - b(3)))./a(3));
expr397 = angle(1 + (i.*(w12 + b(3)))./a(3));
expr398 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w12;
expr399 = expr383 + expr384 + expr182.*expr199.*(expr385 + expr386 + expr387 - expr204.*(expr388 + expr389) + expr390 + expr391).*w12;
expr400 = 2.*expr196.*(expr392 + expr393 + expr394 + expr395 + expr396 + expr397 + expr398).*expr399.*Wph;
integrate12 = trapz(w12, expr400);
expr401 = -1./24;
expr402 = b(1).^(-2);
expr403 = b(1) + b(3);
expr404 = b(1) + b(2);
expr405 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr406 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr407 = 1./((a(1) - a(3)).*(1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2));
expr408 = 1./((a(1) - a(3)).*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2));
expr409 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr410 = -(1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr411 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr412 = -(1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr413 = -(1./((a(1) - a(3)).*(1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2)));
expr414 = -(1./((a(1) - a(3)).*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2)));
expr415 = 1./((-a(1) + a(3)).*(1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr416 = -(1./((-a(1) + a(3)).*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr417 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr418 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr419 = -(1./((-a(1) + a(3)).*(1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr420 = 1./((-a(1) + a(3)).*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr421 = expr234.*expr235.*expr236.*expr238.*expr239.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*expr241.*expr248.*expr401.*WQ;
expr422 = 2.*expr245.*expr246.*expr247.*expr277 + 2.*expr244.*expr245.*expr247.*expr281 + 2.*expr244.*expr245.*expr246.*expr403 + 2.*expr244.*expr246.*expr247.*expr404;
expr423 = cos(expr249 + expr250 + expr251 + expr252) + expr170.*(expr405 + expr406 + expr407 + expr408).*cos(expr249 + expr250 + expr251 + expr252) - expr248.*(expr405 + expr406 + expr407 + expr408).*sin(expr249 + expr250 + expr251 + expr252);
expr424 = -(expr153.*(expr409 + expr410)) - expr148.*(expr411 + expr412 + expr413 + expr414) - expr158.*(expr415 + expr416) + expr402.*(expr144 + expr145 + expr146 + expr147 + pi);
expr425 = expr143.*expr248.*(-(expr153.*(expr409 + expr410)) - expr148.*(expr411 + expr412 + expr413 + expr414) - expr158.*(expr415 + expr416) + expr402.*(expr144 + expr145 + expr146 + expr147 + pi)).*tpc;
expr426 = -((expr171.*(expr405 + expr406 + expr407 + expr408).*cos(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)));
expr427 = (-2.*expr248.*sin(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252));
expr428 = -2.*expr254.*expr255.*expr256.*expr284 + 2.*expr253.*expr255.*expr256.*expr404;
expr429 = expr262.*(expr417 + expr418).*cos(expr258 + expr259 + expr260 + expr261) - expr257.*(expr417 + expr418).*sin(expr258 + expr259 + expr260 + expr261);
expr430 = -((expr177.*(expr417 + expr418).*cos(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)));
expr431 = -2.*expr264.*expr265.*expr266.*expr290 + 2.*expr263.*expr265.*expr266.*expr403;
expr432 = expr272.*(expr419 + expr420).*cos(expr268 + expr269 + expr270 + expr271) - expr267.*(expr419 + expr420).*sin(expr268 + expr269 + expr270 + expr271);
expr433 = -((expr179.*(expr419 + expr420).*cos(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)));
expr434 = 2.*expr153.*expr179.*expr248.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310));
expr435 = 2.*expr158.*expr177.*expr248.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316));
expr436 = -(expr177.*expr179.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr402);
expr437 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr422;
expr438 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr423;
expr439 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr428;
expr440 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr429;
expr441 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr431;
expr442 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr432;
expr443 = -(expr301.*(expr303.*expr304.*expr402 - expr148.*expr302.*expr303.*(expr323 + expr425) - expr304.*(expr323 + expr425) - expr148.*expr304.*(expr171.*expr320.*expr329.*expr423 + expr426 + expr427)));
expr444 = expr170.*expr293.*expr301.*(expr302 - expr148.*expr303.*expr304).*expr424.*tpc;
expr445 = expr262.*expr293.*expr307.*(expr308 - expr153.*expr309.*expr310).*expr424.*tpc;
expr446 = -(expr307.*(-(expr153.*expr310.*(expr177.*expr334.*expr335.*expr429 + expr430)) + expr293.*expr308.*expr309.*expr424.*tpc + expr257.*expr293.*expr310.*expr424.*tpc));
expr447 = expr272.*expr293.*expr313.*(expr314 - expr158.*expr315.*expr316).*expr424.*tpc;
expr448 = -(expr313.*(-(expr158.*expr316.*(expr179.*expr340.*expr341.*expr432 + expr433)) + expr293.*expr314.*expr315.*expr424.*tpc + expr267.*expr293.*expr316.*expr424.*tpc));
expr449 = expr434 + expr435 + expr436 + expr437 + expr438 + expr439 + expr440 + expr441 + expr442 + expr148.*expr177.*expr179.*expr299.*expr300.*(expr443 + expr444) + expr153.*expr171.*expr179.*expr305.*expr306.*(expr445 + expr446) + expr158.*expr171.*expr177.*expr311.*expr312.*(expr447 + expr448);
expr450 = expr421 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*expr359.*expr449.*WO;
gf(4) = expr450;

%% Derivative for a(2)
w13 = [ws:(99.*ws)./100:100.*ws];
expr451 = ((a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr452 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr453 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr454 = ((a(3).^2 + b(3).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr455 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr456 = expr160.*expr161.*expr162.*expr165.*expr167.*expr451.*expr452.*expr453.*expr454.*Wms + expr161.*expr162.*expr167.*expr169.*expr177.*expr262.*expr451.*expr454.*expr455.*Wms;
integrate13 = trapz(w13, expr456);
w14 = [0:wp./100:wp];
expr457 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr458 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr459 = (a(3).^2 + b(3).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(3).^2 - b(3).^2));
expr460 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr461 = -1 + expr171.*expr177.*expr179.*(expr457.*expr459.*expr460).^expr175;
expr462 = 2.*expr171.*expr179.*expr262.*(expr457.*expr459.*expr460).^expr175 + expr171.*expr175.*expr177.*expr179.*expr457.*expr458.*expr459.*(expr457.*expr459.*expr460).^expr182;
expr463 = 2.*expr174.*expr461.*expr462.*Wmp;
integrate14 = trapz(w14, expr463);
w15 = [wp:(-wp + ws)./100:ws];
expr464 = (a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2));
expr465 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr466 = (a(3).^2 + b(3).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(3).^2 - b(3).^2));
expr467 = (a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2));
expr468 = -(w15./(wp - ws));
expr469 = 2.*expr171.*expr179.*expr262.*(expr464.*expr466.*expr467).^expr175 + expr171.*expr175.*expr177.*expr179.*expr464.*expr465.*expr466.*(expr464.*expr466.*expr467).^expr182;
expr470 = expr191 + expr171.*expr177.*expr179.*(expr464.*expr466.*expr467).^expr175 + expr468;
expr471 = 2.*expr186.*expr469.*expr470.*Wmt;
integrate15 = trapz(w15, expr471);
w16 = [0:wmax./100:wmax];
expr472 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr473 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr474 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr475 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr476 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr477 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr478 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr479 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr480 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr481 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr482 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr483 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr484 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr485 = angle(1 + (i.*(w16 - b(3)))./a(3));
expr486 = angle(1 + (i.*(w16 + b(3)))./a(3));
expr487 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w16;
expr488 = expr472 + expr473 + expr182.*expr199.*(expr200 + expr474 + expr475 + expr476 - expr222.*(expr477 + expr478) + expr479 + expr480).*w16;
expr489 = 2.*expr196.*(expr481 + expr482 + expr483 + expr484 + expr485 + expr486 + expr487).*expr488.*Wph;
integrate16 = trapz(w16, expr489);
expr490 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr491 = a(2).^(-2);
expr492 = (a(2) - a(3)).^(-2);
expr493 = (1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2).^(-1);
expr494 = b(2) - b(3);
expr495 = (b(2) + b(3))./((a(2) - a(3)).^2.*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2));
expr496 = (-a(2) + a(3)).^(-2);
expr497 = -b(2) + b(3);
expr498 = (1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2).^(-1);
expr499 = -((b(2) + b(3))./((-a(2) + a(3)).^2.*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr500 = a(2) - a(3);
expr501 = -((b(2) + b(3))./((a(2) - a(3)).^2.*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2)));
expr502 = -a(2) + a(3);
expr503 = (b(2) + b(3))./((-a(2) + a(3)).^2.*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr504 = expr143.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*(expr233.*expr234.*expr236.*expr237.*expr239.*expr490 + expr234.*expr236.*expr237.*expr238.*expr239.*expr242.*expr491).*WQ;
expr505 = -2.*expr244.*expr246.*expr247.*expr274 - 2.*expr245.*expr246.*expr247.*expr274;
expr506 = expr170.*(expr275.*expr276.*expr277 + expr287).*cos(expr249 + expr250 + expr251 + expr252) - expr248.*(expr275.*expr276.*expr277 + expr287).*sin(expr249 + expr250 + expr251 + expr252);
expr507 = -(expr148.*(-(expr275.*expr276.*expr277) + expr278)) - expr153.*(expr283.*expr284.*expr285 + expr295 + expr492.*expr493.*expr494 + expr495) - expr158.*(-(expr496.*expr497.*expr498) + expr499);
expr508 = -((expr171.*(expr275.*expr276.*expr277 + expr287).*cos(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)));
expr509 = 2.*expr253.*expr255.*expr256.*expr294 + 2.*expr254.*expr255.*expr256.*expr294 + 2.*expr253.*expr254.*expr255.*expr500 + 2.*expr253.*expr254.*expr256.*expr500;
expr510 = expr262.*(-(expr283.*expr284.*expr285) + expr286 - expr492.*expr493.*expr494 + expr501).*cos(expr258 + expr259 + expr260 + expr261);
expr511 = -(expr257.*(-(expr283.*expr284.*expr285) + expr286 - expr492.*expr493.*expr494 + expr501).*sin(expr258 + expr259 + expr260 + expr261));
expr512 = expr143.*expr262.*(-(expr148.*(-(expr275.*expr276.*expr277) + expr278)) - expr153.*(expr283.*expr284.*expr285 + expr295 + expr492.*expr493.*expr494 + expr495) - expr158.*(-(expr496.*expr497.*expr498) + expr499)).*tpc;
expr513 = -(expr283.*expr284.*expr285) + expr286 - expr492.*expr493.*expr494 + expr501;
expr514 = cos(expr258 + expr259 + expr260 + expr261);
expr515 = (expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)).^(-1);
expr516 = (-2.*expr262.*sin(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261));
expr517 = -2.*expr263.*expr264.*expr265.*expr502 - 2.*expr263.*expr264.*expr266.*expr502;
expr518 = expr272.*(expr496.*expr497.*expr498 + expr503).*cos(expr268 + expr269 + expr270 + expr271) - expr267.*(expr496.*expr497.*expr498 + expr503).*sin(expr268 + expr269 + expr270 + expr271);
expr519 = -((expr179.*(expr496.*expr497.*expr498 + expr503).*cos(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)));
expr520 = 2.*expr148.*expr179.*expr262.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304));
expr521 = 2.*expr158.*expr171.*expr262.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316));
expr522 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr505;
expr523 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr506;
expr524 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr509;
expr525 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*(expr334 + expr510 + expr511);
expr526 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr517;
expr527 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr518;
expr528 = expr170.*expr293.*expr301.*(expr302 - expr148.*expr303.*expr304).*expr507.*tpc;
expr529 = -(expr301.*(-(expr148.*expr304.*(expr171.*expr320.*expr329.*expr506 + expr508)) + expr293.*expr302.*expr303.*expr507.*tpc + expr248.*expr293.*expr304.*expr507.*tpc));
expr530 = -(expr307.*(expr308 - expr153.*expr309.*expr310).*(expr323 + expr512));
expr531 = -(expr307.*(-(expr153.*expr310.*(1 + expr177.*expr334.*expr335.*(expr334 + expr510 + expr511) - expr177.*expr513.*expr514.*expr515 + expr516)) + expr293.*expr308.*expr309.*expr507.*tpc + expr257.*expr293.*expr310.*expr507.*tpc));
expr532 = expr272.*expr293.*expr313.*(expr314 - expr158.*expr315.*expr316).*expr507.*tpc;
expr533 = -(expr313.*(-(expr158.*expr316.*(expr179.*expr340.*expr341.*expr518 + expr519)) + expr293.*expr314.*expr315.*expr507.*tpc + expr267.*expr293.*expr316.*expr507.*tpc));
expr534 = expr520 + expr521 + expr522 + expr523 + expr524 + expr525 + expr526 + expr527 + expr148.*expr177.*expr179.*expr299.*expr300.*(expr528 + expr529) + expr153.*expr171.*expr179.*expr305.*expr306.*(expr530 + expr531) + expr158.*expr171.*expr177.*expr311.*expr312.*(expr532 + expr533);
expr535 = expr504 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*expr359.*expr534.*WO;
gf(2) = expr535;

%% Derivative for b(2)
w17 = [ws:(99.*ws)./100:100.*ws];
expr536 = ((a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr537 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr538 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr539 = ((a(3).^2 + b(3).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr540 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr541 = expr160.*expr161.*expr162.*expr165.*expr167.*expr536.*expr537.*expr538.*expr539.*Wms + expr161.*expr162.*expr167.*expr169.*expr177.*expr257.*expr536.*expr539.*expr540.*Wms;
integrate17 = trapz(w17, expr541);
w18 = [0:wp./100:wp];
expr542 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr543 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr544 = (a(3).^2 + b(3).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(3).^2 - b(3).^2));
expr545 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr546 = -1 + expr171.*expr177.*expr179.*(expr542.*expr544.*expr545).^expr175;
expr547 = 2.*expr171.*expr179.*expr257.*(expr542.*expr544.*expr545).^expr175 + expr171.*expr175.*expr177.*expr179.*expr542.*expr543.*expr544.*(expr542.*expr544.*expr545).^expr182;
expr548 = 2.*expr174.*expr546.*expr547.*Wmp;
integrate18 = trapz(w18, expr548);
w19 = [wp:(-wp + ws)./100:ws];
expr549 = (a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2));
expr550 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr551 = (a(3).^2 + b(3).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(3).^2 - b(3).^2));
expr552 = (a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2));
expr553 = -(w19./(wp - ws));
expr554 = 2.*expr171.*expr179.*expr257.*(expr549.*expr551.*expr552).^expr175 + expr171.*expr175.*expr177.*expr179.*expr549.*expr550.*expr551.*(expr549.*expr551.*expr552).^expr182;
expr555 = expr191 + expr171.*expr177.*expr179.*(expr549.*expr551.*expr552).^expr175 + expr553;
expr556 = 2.*expr186.*expr554.*expr555.*Wmt;
integrate19 = trapz(w19, expr556);
w20 = [0:wmax./100:wmax];
expr557 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr558 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr559 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr560 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr561 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr562 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr563 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr564 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr565 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr566 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr567 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr568 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr569 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr570 = angle(1 + (i.*(w20 - b(3)))./a(3));
expr571 = angle(1 + (i.*(w20 + b(3)))./a(3));
expr572 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w20;
expr573 = expr557 + expr558 + expr182.*expr199.*(expr559 + expr560 + expr561 - expr222.*(expr562 + expr563) + expr564 + expr565).*w20;
expr574 = 2.*expr196.*(expr566 + expr567 + expr568 + expr569 + expr570 + expr571 + expr572).*expr573.*Wph;
integrate20 = trapz(w20, expr574);
expr575 = b(2).^(-2);
expr576 = -(1./((a(2) - a(3)).*(1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2)));
expr577 = -(1./((a(2) - a(3)).*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2)));
expr578 = 1./((-a(2) + a(3)).*(1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr579 = -(1./((-a(2) + a(3)).*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr580 = b(2) + b(3);
expr581 = 1./((a(2) - a(3)).*(1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2));
expr582 = 1./((a(2) - a(3)).*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2));
expr583 = -(1./((-a(2) + a(3)).*(1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr584 = 1./((-a(2) + a(3)).*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr585 = expr234.*expr235.*expr236.*expr237.*expr239.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*expr257.*expr401.*expr490.*WQ;
expr586 = -2.*expr245.*expr246.*expr247.*expr277 + 2.*expr244.*expr246.*expr247.*expr404;
expr587 = expr170.*(expr406 + expr411).*cos(expr249 + expr250 + expr251 + expr252) - expr248.*(expr406 + expr411).*sin(expr249 + expr250 + expr251 + expr252);
expr588 = -(expr148.*(expr405 + expr412)) - expr153.*(expr410 + expr417 + expr576 + expr577) - expr158.*(expr578 + expr579) + expr575.*(expr149 + expr150 + expr151 + expr152 + pi);
expr589 = -((expr171.*(expr406 + expr411).*cos(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)));
expr590 = 2.*expr254.*expr255.*expr256.*expr284 + 2.*expr253.*expr255.*expr256.*expr404 + 2.*expr253.*expr254.*expr256.*expr494 + 2.*expr253.*expr254.*expr255.*expr580;
expr591 = cos(expr258 + expr259 + expr260 + expr261) + expr262.*(expr409 + expr418 + expr581 + expr582).*cos(expr258 + expr259 + expr260 + expr261) - expr257.*(expr409 + expr418 + expr581 + expr582).*sin(expr258 + expr259 + expr260 + expr261);
expr592 = expr143.*expr257.*(-(expr148.*(expr405 + expr412)) - expr153.*(expr410 + expr417 + expr576 + expr577) - expr158.*(expr578 + expr579) + expr575.*(expr149 + expr150 + expr151 + expr152 + pi)).*tpc;
expr593 = -((expr177.*(expr409 + expr418 + expr581 + expr582).*cos(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)));
expr594 = (-2.*expr257.*sin(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261));
expr595 = -2.*expr263.*expr264.*expr266.*expr497 + 2.*expr263.*expr264.*expr265.*expr580;
expr596 = expr272.*(expr583 + expr584).*cos(expr268 + expr269 + expr270 + expr271) - expr267.*(expr583 + expr584).*sin(expr268 + expr269 + expr270 + expr271);
expr597 = -((expr179.*(expr583 + expr584).*cos(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)));
expr598 = 2.*expr148.*expr179.*expr257.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304));
expr599 = 2.*expr158.*expr171.*expr257.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316));
expr600 = -(expr171.*expr179.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr575);
expr601 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr586;
expr602 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr587;
expr603 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr590;
expr604 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr591;
expr605 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr595;
expr606 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr596;
expr607 = -(expr307.*(expr309.*expr310.*expr575 - expr153.*expr308.*expr309.*(expr323 + expr592) - expr310.*(expr323 + expr592) - expr153.*expr310.*(expr177.*expr334.*expr335.*expr591 + expr593 + expr594)));
expr608 = expr262.*expr293.*expr307.*(expr308 - expr153.*expr309.*expr310).*expr588.*tpc;
expr609 = expr170.*expr293.*expr301.*(expr302 - expr148.*expr303.*expr304).*expr588.*tpc;
expr610 = -(expr301.*(-(expr148.*expr304.*(expr171.*expr320.*expr329.*expr587 + expr589)) + expr293.*expr302.*expr303.*expr588.*tpc + expr248.*expr293.*expr304.*expr588.*tpc));
expr611 = expr272.*expr293.*expr313.*(expr314 - expr158.*expr315.*expr316).*expr588.*tpc;
expr612 = -(expr313.*(-(expr158.*expr316.*(expr179.*expr340.*expr341.*expr596 + expr597)) + expr293.*expr314.*expr315.*expr588.*tpc + expr267.*expr293.*expr316.*expr588.*tpc));
expr613 = expr598 + expr599 + expr600 + expr601 + expr602 + expr603 + expr604 + expr605 + expr606 + expr153.*expr171.*expr179.*expr305.*expr306.*(expr607 + expr608) + expr148.*expr177.*expr179.*expr299.*expr300.*(expr609 + expr610) + expr158.*expr171.*expr177.*expr311.*expr312.*(expr611 + expr612);
expr614 = expr585 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*expr359.*expr613.*WO;
gf(5) = expr614;

%% Derivative for a(3)
w21 = [ws:(99.*ws)./100:100.*ws];
expr615 = ((a(1).^2 + b(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr616 = ((a(2).^2 + b(2).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr617 = 4.*w21.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr618 = ((a(3).^2 + b(3).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(3).^2 - b(3).^2))).^(-2);
expr619 = ((a(3).^2 + b(3).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr620 = expr160.*expr161.*expr162.*expr165.*expr167.*expr615.*expr616.*expr617.*expr618.*Wms + expr161.*expr162.*expr165.*expr169.*expr179.*expr272.*expr615.*expr616.*expr619.*Wms;
integrate21 = trapz(w21, expr620);
w22 = [0:wp./100:wp];
expr621 = (a(1).^2 + b(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(1).^2 - b(1).^2));
expr622 = (a(2).^2 + b(2).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(2).^2 - b(2).^2));
expr623 = 4.*w22.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr624 = (a(3).^2 + b(3).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(3).^2 - b(3).^2));
expr625 = -1 + expr171.*expr177.*expr179.*(expr621.*expr622.*expr624).^expr175;
expr626 = 2.*expr171.*expr177.*expr272.*(expr621.*expr622.*expr624).^expr175 + expr171.*expr175.*expr177.*expr179.*expr621.*expr622.*expr623.*(expr621.*expr622.*expr624).^expr182;
expr627 = 2.*expr174.*expr625.*expr626.*Wmp;
integrate22 = trapz(w22, expr627);
w23 = [wp:(-wp + ws)./100:ws];
expr628 = (a(1).^2 + b(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(1).^2 - b(1).^2));
expr629 = (a(2).^2 + b(2).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(2).^2 - b(2).^2));
expr630 = 4.*w23.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr631 = (a(3).^2 + b(3).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(3).^2 - b(3).^2));
expr632 = -(w23./(wp - ws));
expr633 = 2.*expr171.*expr177.*expr272.*(expr628.*expr629.*expr631).^expr175 + expr171.*expr175.*expr177.*expr179.*expr628.*expr629.*expr630.*(expr628.*expr629.*expr631).^expr182;
expr634 = expr191 + expr171.*expr177.*expr179.*(expr628.*expr629.*expr631).^expr175 + expr632;
expr635 = 2.*expr186.*expr633.*expr634.*Wmt;
integrate23 = trapz(w23, expr635);
w24 = [0:wmax./100:wmax];
expr636 = -((w24 - b(3))./(a(3).^2.*(1 + (w24 - b(3)).^2./a(3).^2)));
expr637 = -((w24 + b(3))./(a(3).^2.*(1 + (w24 + b(3)).^2./a(3).^2)));
expr638 = 2.*a(3).*(angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3)));
expr639 = (2.*(wmax - b(3)).^2.*b(3))./(a(3).^2.*(1 + (wmax - b(3)).^2./a(3).^2));
expr640 = (-2.*b(3).*(wmax + b(3)).^2)./(a(3).^2.*(1 + (wmax + b(3)).^2./a(3).^2));
expr641 = -((wmax - b(3))./(a(3).^2.*(1 + (wmax - b(3)).^2./a(3).^2)));
expr642 = -((wmax + b(3))./(a(3).^2.*(1 + (wmax + b(3)).^2./a(3).^2)));
expr643 = -(b(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr644 = b(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr645 = angle(1 + (i.*(w24 - b(1)))./a(1));
expr646 = angle(1 + (i.*(w24 + b(1)))./a(1));
expr647 = angle(1 + (i.*(w24 - b(2)))./a(2));
expr648 = angle(1 + (i.*(w24 + b(2)))./a(2));
expr649 = angle(1 + (i.*(w24 - b(3)))./a(3));
expr650 = angle(1 + (i.*(w24 + b(3)))./a(3));
expr651 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w24;
expr652 = expr636 + expr637 + expr182.*expr199.*(expr200 + expr638 + expr639 + expr640 - expr227.*(expr641 + expr642) + expr643 + expr644).*w24;
expr653 = 2.*expr196.*(expr645 + expr646 + expr647 + expr648 + expr649 + expr650 + expr651).*expr652.*Wph;
integrate24 = trapz(w24, expr653);
expr654 = sqrt(a(3).^2 + b(3).^2).^(-1);
expr655 = a(3).^(-2);
expr656 = expr143.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*(expr233.*expr234.*expr235.*expr237.*expr238.*expr654 + expr234.*expr235.*expr237.*expr238.*expr239.*expr242.*expr655).*WQ;
expr657 = -2.*expr244.*expr245.*expr246.*expr273 - 2.*expr244.*expr245.*expr247.*expr273;
expr658 = expr170.*(expr279.*expr280.*expr281 + expr288).*cos(expr249 + expr250 + expr251 + expr252) - expr248.*(expr279.*expr280.*expr281 + expr288).*sin(expr249 + expr250 + expr251 + expr252);
expr659 = -(expr148.*(-(expr279.*expr280.*expr281) + expr282)) - expr153.*(-(expr492.*expr493.*expr494) + expr501) - expr158.*(expr289.*expr290.*expr291 + expr297 + expr496.*expr497.*expr498 + expr503);
expr660 = -((expr171.*(expr279.*expr280.*expr281 + expr288).*cos(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)));
expr661 = -2.*expr253.*expr254.*expr255.*expr500 - 2.*expr253.*expr254.*expr256.*expr500;
expr662 = expr262.*(expr492.*expr493.*expr494 + expr495).*cos(expr258 + expr259 + expr260 + expr261) - expr257.*(expr492.*expr493.*expr494 + expr495).*sin(expr258 + expr259 + expr260 + expr261);
expr663 = -((expr177.*(expr492.*expr493.*expr494 + expr495).*cos(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)));
expr664 = 2.*expr263.*expr265.*expr266.*expr296 + 2.*expr264.*expr265.*expr266.*expr296 + 2.*expr263.*expr264.*expr265.*expr502 + 2.*expr263.*expr264.*expr266.*expr502;
expr665 = expr272.*(-(expr289.*expr290.*expr291) + expr292 - expr496.*expr497.*expr498 + expr499).*cos(expr268 + expr269 + expr270 + expr271);
expr666 = -(expr267.*(-(expr289.*expr290.*expr291) + expr292 - expr496.*expr497.*expr498 + expr499).*sin(expr268 + expr269 + expr270 + expr271));
expr667 = expr143.*expr272.*(-(expr148.*(-(expr279.*expr280.*expr281) + expr282)) - expr153.*(-(expr492.*expr493.*expr494) + expr501) - expr158.*(expr289.*expr290.*expr291 + expr297 + expr496.*expr497.*expr498 + expr503)).*tpc;
expr668 = -(expr289.*expr290.*expr291) + expr292 - expr496.*expr497.*expr498 + expr499;
expr669 = cos(expr268 + expr269 + expr270 + expr271);
expr670 = (expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)).^(-1);
expr671 = (-2.*expr272.*sin(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271));
expr672 = 2.*expr148.*expr177.*expr272.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304));
expr673 = 2.*expr153.*expr171.*expr272.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310));
expr674 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr657;
expr675 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr658;
expr676 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr661;
expr677 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr662;
expr678 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr664;
expr679 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*(expr340 + expr665 + expr666);
expr680 = expr170.*expr293.*expr301.*(expr302 - expr148.*expr303.*expr304).*expr659.*tpc;
expr681 = -(expr301.*(-(expr148.*expr304.*(expr171.*expr320.*expr329.*expr658 + expr660)) + expr293.*expr302.*expr303.*expr659.*tpc + expr248.*expr293.*expr304.*expr659.*tpc));
expr682 = expr262.*expr293.*expr307.*(expr308 - expr153.*expr309.*expr310).*expr659.*tpc;
expr683 = -(expr307.*(-(expr153.*expr310.*(expr177.*expr334.*expr335.*expr662 + expr663)) + expr293.*expr308.*expr309.*expr659.*tpc + expr257.*expr293.*expr310.*expr659.*tpc));
expr684 = -(expr313.*(expr314 - expr158.*expr315.*expr316).*(expr323 + expr667));
expr685 = -(expr313.*(-(expr158.*expr316.*(1 + expr179.*expr340.*expr341.*(expr340 + expr665 + expr666) - expr179.*expr668.*expr669.*expr670 + expr671)) + expr293.*expr314.*expr315.*expr659.*tpc + expr267.*expr293.*expr316.*expr659.*tpc));
expr686 = expr672 + expr673 + expr674 + expr675 + expr676 + expr677 + expr678 + expr679 + expr148.*expr177.*expr179.*expr299.*expr300.*(expr680 + expr681) + expr153.*expr171.*expr179.*expr305.*expr306.*(expr682 + expr683) + expr158.*expr171.*expr177.*expr311.*expr312.*(expr684 + expr685);
expr687 = expr656 + integrate21 + integrate22 + integrate23 + integrate24 + 200.*expr359.*expr686.*WO;
gf(3) = expr687;

%% Derivative for b(3)
w25 = [ws:(99.*ws)./100:100.*ws];
expr688 = ((a(1).^2 + b(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr689 = ((a(2).^2 + b(2).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr690 = -4.*w25.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr691 = ((a(3).^2 + b(3).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(3).^2 - b(3).^2))).^(-2);
expr692 = ((a(3).^2 + b(3).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr693 = expr160.*expr161.*expr162.*expr165.*expr167.*expr688.*expr689.*expr690.*expr691.*Wms + expr161.*expr162.*expr165.*expr169.*expr179.*expr267.*expr688.*expr689.*expr692.*Wms;
integrate25 = trapz(w25, expr693);
w26 = [0:wp./100:wp];
expr694 = (a(1).^2 + b(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(1).^2 - b(1).^2));
expr695 = (a(2).^2 + b(2).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(2).^2 - b(2).^2));
expr696 = -4.*w26.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr697 = (a(3).^2 + b(3).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(3).^2 - b(3).^2));
expr698 = -1 + expr171.*expr177.*expr179.*(expr694.*expr695.*expr697).^expr175;
expr699 = 2.*expr171.*expr177.*expr267.*(expr694.*expr695.*expr697).^expr175 + expr171.*expr175.*expr177.*expr179.*expr694.*expr695.*expr696.*(expr694.*expr695.*expr697).^expr182;
expr700 = 2.*expr174.*expr698.*expr699.*Wmp;
integrate26 = trapz(w26, expr700);
w27 = [wp:(-wp + ws)./100:ws];
expr701 = (a(1).^2 + b(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(1).^2 - b(1).^2));
expr702 = (a(2).^2 + b(2).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(2).^2 - b(2).^2));
expr703 = -4.*w27.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr704 = (a(3).^2 + b(3).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(3).^2 - b(3).^2));
expr705 = -(w27./(wp - ws));
expr706 = 2.*expr171.*expr177.*expr267.*(expr701.*expr702.*expr704).^expr175 + expr171.*expr175.*expr177.*expr179.*expr701.*expr702.*expr703.*(expr701.*expr702.*expr704).^expr182;
expr707 = expr191 + expr171.*expr177.*expr179.*(expr701.*expr702.*expr704).^expr175 + expr705;
expr708 = 2.*expr186.*expr706.*expr707.*Wmt;
integrate27 = trapz(w27, expr708);
w28 = [0:wmax./100:wmax];
expr709 = -(1./(a(3).*(1 + (w28 - b(3)).^2./a(3).^2)));
expr710 = 1./(a(3).*(1 + (w28 + b(3)).^2./a(3).^2));
expr711 = -2.*(angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3))).*b(3);
expr712 = (2.*(wmax - b(3)).*b(3))./(a(3).*(1 + (wmax - b(3)).^2./a(3).^2));
expr713 = (2.*b(3).*(wmax + b(3)))./(a(3).*(1 + (wmax + b(3)).^2./a(3).^2));
expr714 = -(1./(a(3).*(1 + (wmax - b(3)).^2./a(3).^2)));
expr715 = 1./(a(3).*(1 + (wmax + b(3)).^2./a(3).^2));
expr716 = -(a(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr717 = a(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr718 = angle(1 + (i.*(w28 - b(1)))./a(1));
expr719 = angle(1 + (i.*(w28 + b(1)))./a(1));
expr720 = angle(1 + (i.*(w28 - b(2)))./a(2));
expr721 = angle(1 + (i.*(w28 + b(2)))./a(2));
expr722 = angle(1 + (i.*(w28 - b(3)))./a(3));
expr723 = angle(1 + (i.*(w28 + b(3)))./a(3));
expr724 = -3.*expr199.*(expr215.*(expr216 - expr204.*expr217 + expr218 + expr219) + expr215.*(expr220 - expr221.*expr222 + expr223 + expr224) + expr215.*(expr225 - expr226.*expr227 + expr228 + expr229)).*w28;
expr725 = expr709 + expr710 + expr182.*expr199.*(expr711 + expr712 + expr713 - expr227.*(expr714 + expr715) + expr716 + expr717).*w28;
expr726 = 2.*expr196.*(expr718 + expr719 + expr720 + expr721 + expr722 + expr723 + expr724).*expr725.*Wph;
integrate28 = trapz(w28, expr726);
expr727 = b(3).^(-2);
expr728 = expr234.*expr235.*expr236.*expr237.*expr238.*(expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239).^expr240.*expr267.*expr401.*expr654.*WQ;
expr729 = -2.*expr244.*expr245.*expr247.*expr281 + 2.*expr244.*expr245.*expr246.*expr403;
expr730 = expr170.*(expr408 + expr413).*cos(expr249 + expr250 + expr251 + expr252) - expr248.*(expr408 + expr413).*sin(expr249 + expr250 + expr251 + expr252);
expr731 = -(expr148.*(expr407 + expr414)) - expr153.*(expr577 + expr581) - expr158.*(expr416 + expr419 + expr579 + expr583) + expr727.*(expr154 + expr155 + expr156 + expr157 + pi);
expr732 = -((expr171.*(expr408 + expr413).*cos(expr249 + expr250 + expr251 + expr252))./(expr248.*cos(expr249 + expr250 + expr251 + expr252) + expr170.*sin(expr249 + expr250 + expr251 + expr252)));
expr733 = -2.*expr253.*expr254.*expr256.*expr494 + 2.*expr253.*expr254.*expr255.*expr580;
expr734 = expr262.*(expr576 + expr582).*cos(expr258 + expr259 + expr260 + expr261) - expr257.*(expr576 + expr582).*sin(expr258 + expr259 + expr260 + expr261);
expr735 = -((expr177.*(expr576 + expr582).*cos(expr258 + expr259 + expr260 + expr261))./(expr257.*cos(expr258 + expr259 + expr260 + expr261) + expr262.*sin(expr258 + expr259 + expr260 + expr261)));
expr736 = 2.*expr264.*expr265.*expr266.*expr290 + 2.*expr263.*expr265.*expr266.*expr403 + 2.*expr263.*expr264.*expr266.*expr497 + 2.*expr263.*expr264.*expr265.*expr580;
expr737 = cos(expr268 + expr269 + expr270 + expr271) + expr272.*(expr415 + expr420 + expr578 + expr584).*cos(expr268 + expr269 + expr270 + expr271) - expr267.*(expr415 + expr420 + expr578 + expr584).*sin(expr268 + expr269 + expr270 + expr271);
expr738 = expr143.*expr267.*(-(expr148.*(expr407 + expr414)) - expr153.*(expr577 + expr581) - expr158.*(expr416 + expr419 + expr579 + expr583) + expr727.*(expr154 + expr155 + expr156 + expr157 + pi)).*tpc;
expr739 = -((expr179.*(expr415 + expr420 + expr578 + expr584).*cos(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271)));
expr740 = (-2.*expr267.*sin(expr268 + expr269 + expr270 + expr271))./(expr267.*cos(expr268 + expr269 + expr270 + expr271) + expr272.*sin(expr268 + expr269 + expr270 + expr271));
expr741 = 2.*expr148.*expr177.*expr267.*expr299.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304));
expr742 = 2.*expr153.*expr171.*expr267.*expr305.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310));
expr743 = -(expr171.*expr177.*expr311.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr727);
expr744 = expr148.*expr175.*expr177.*expr179.*expr300.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr317.*expr729;
expr745 = expr148.*expr177.*expr179.*expr299.*(1 - expr301.*(expr302 - expr148.*expr303.*expr304)).*expr730;
expr746 = expr153.*expr171.*expr175.*expr179.*expr306.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr330.*expr733;
expr747 = expr153.*expr171.*expr179.*expr305.*(1 - expr307.*(expr308 - expr153.*expr309.*expr310)).*expr734;
expr748 = expr158.*expr171.*expr175.*expr177.*expr312.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr336.*expr736;
expr749 = expr158.*expr171.*expr177.*expr311.*(1 - expr313.*(expr314 - expr158.*expr315.*expr316)).*expr737;
expr750 = -(expr313.*(expr315.*expr316.*expr727 - expr158.*expr314.*expr315.*(expr323 + expr738) - expr316.*(expr323 + expr738) - expr158.*expr316.*(expr179.*expr340.*expr341.*expr737 + expr739 + expr740)));
expr751 = expr272.*expr293.*expr313.*(expr314 - expr158.*expr315.*expr316).*expr731.*tpc;
expr752 = expr170.*expr293.*expr301.*(expr302 - expr148.*expr303.*expr304).*expr731.*tpc;
expr753 = -(expr301.*(-(expr148.*expr304.*(expr171.*expr320.*expr329.*expr730 + expr732)) + expr293.*expr302.*expr303.*expr731.*tpc + expr248.*expr293.*expr304.*expr731.*tpc));
expr754 = expr262.*expr293.*expr307.*(expr308 - expr153.*expr309.*expr310).*expr731.*tpc;
expr755 = -(expr307.*(-(expr153.*expr310.*(expr177.*expr334.*expr335.*expr734 + expr735)) + expr293.*expr308.*expr309.*expr731.*tpc + expr257.*expr293.*expr310.*expr731.*tpc));
expr756 = expr741 + expr742 + expr743 + expr744 + expr745 + expr746 + expr747 + expr748 + expr749 + expr158.*expr171.*expr177.*expr311.*expr312.*(expr750 + expr751) + expr148.*expr177.*expr179.*expr299.*expr300.*(expr752 + expr753) + expr153.*expr171.*expr179.*expr305.*expr306.*(expr754 + expr755);
expr757 = expr728 + integrate25 + integrate26 + integrate27 + integrate28 + 200.*expr359.*expr756.*WO;
gf(6) = expr757;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr758 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr758;

%%   First derivative w/r to a(1) of constraint #2
expr759 = 0;
GC(1, 2) = expr759;

%%   First derivative w/r to a(1) of constraint #3
expr760 = 0;
GC(1, 3) = expr760;

%%   First derivative w/r to a(1) of constraint #4
expr761 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr762 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr763 = (wp.^2.*(wp.^2./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr764 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr765 = 2.*expr170.*expr177.*expr179.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr766 = expr171.*expr175.*expr177.*expr179.*expr761.*(expr165 + expr762).*(expr167 + expr763).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr767 = expr765 + expr766;
GC(1, 4) = expr767;

%%   First derivative w/r to a(1) of constraint #5
expr768 = -2.*expr170.*expr177.*expr179.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr769 = expr171.*expr177.*expr179.*expr215.*expr761.*(expr165 + expr762).*(expr167 + expr763).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr770 = expr768 + expr769;
GC(1, 5) = expr770;

%%   First derivative w/r to a(1) of constraint #6
expr771 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr772 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr773 = (wp.^2.*(wp.^2./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr774 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr775 = 2.*expr170.*expr177.*expr179.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr776 = expr171.*expr175.*expr177.*expr179.*expr771.*(expr165 + expr772).*(expr167 + expr773).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr777 = expr775 + expr776;
GC(1, 6) = expr777;

%%   First derivative w/r to a(1) of constraint #7
expr778 = -2.*expr170.*expr177.*expr179.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr779 = expr171.*expr177.*expr179.*expr215.*expr771.*(expr165 + expr772).*(expr167 + expr773).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr780 = expr778 + expr779;
GC(1, 7) = expr780;

%%   First derivative w/r to a(1) of constraint #8
expr781 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr782 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr783 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr784 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr785 = 2.*expr170.*expr177.*expr179.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr786 = expr171.*expr175.*expr177.*expr179.*expr781.*(expr165 + expr782).*(expr167 + expr783).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr787 = expr785 + expr786;
GC(1, 8) = expr787;

%%   First derivative w/r to a(1) of constraint #9
expr788 = -2.*expr170.*expr177.*expr179.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr789 = expr171.*expr177.*expr179.*expr215.*expr781.*(expr165 + expr782).*(expr167 + expr783).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr790 = expr788 + expr789;
GC(1, 9) = expr790;

%%   First derivative w/r to a(1) of constraint #10
expr791 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr792 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr793 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr794 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr795 = 2.*expr170.*expr177.*expr179.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr796 = expr171.*expr175.*expr177.*expr179.*expr791.*(expr165 + expr792).*(expr167 + expr793).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr797 = expr795 + expr796;
GC(1, 10) = expr797;

%%   First derivative w/r to a(1) of constraint #11
expr798 = -2.*expr170.*expr177.*expr179.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr799 = expr171.*expr177.*expr179.*expr215.*expr791.*(expr165 + expr792).*(expr167 + expr793).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr800 = expr798 + expr799;
GC(1, 11) = expr800;

%%   First derivative w/r to a(1) of constraint #12
expr801 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr802 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr803 = (wp.^2.*(wp.^2./4 + 2.*(a(3).^2 - b(3).^2)))./4;
expr804 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr805 = 2.*expr170.*expr177.*expr179.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr806 = expr171.*expr175.*expr177.*expr179.*expr801.*(expr165 + expr802).*(expr167 + expr803).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr807 = expr805 + expr806;
GC(1, 12) = expr807;

%%   First derivative w/r to a(1) of constraint #13
expr808 = -2.*expr170.*expr177.*expr179.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr809 = expr171.*expr177.*expr179.*expr215.*expr801.*(expr165 + expr802).*(expr167 + expr803).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr810 = expr808 + expr809;
GC(1, 13) = expr810;

%%   First derivative w/r to a(1) of constraint #14
expr811 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr812 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr813 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr814 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr815 = 2.*expr170.*expr177.*expr179.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr816 = expr171.*expr175.*expr177.*expr179.*expr811.*(expr165 + expr812).*(expr167 + expr813).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr817 = expr815 + expr816;
GC(1, 14) = expr817;

%%   First derivative w/r to a(1) of constraint #15
expr818 = -2.*expr170.*expr177.*expr179.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr819 = expr171.*expr177.*expr179.*expr215.*expr811.*(expr165 + expr812).*(expr167 + expr813).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr820 = expr818 + expr819;
GC(1, 15) = expr820;

%%   First derivative w/r to a(1) of constraint #16
expr821 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr822 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr823 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr824 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr825 = 2.*expr170.*expr177.*expr179.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr826 = expr171.*expr175.*expr177.*expr179.*expr821.*(expr165 + expr822).*(expr167 + expr823).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr827 = expr825 + expr826;
GC(1, 16) = expr827;

%%   First derivative w/r to a(1) of constraint #17
expr828 = -2.*expr170.*expr177.*expr179.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr829 = expr171.*expr177.*expr179.*expr215.*expr821.*(expr165 + expr822).*(expr167 + expr823).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr830 = expr828 + expr829;
GC(1, 17) = expr830;

%%   First derivative w/r to a(1) of constraint #18
expr831 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr832 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr833 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr834 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr835 = 2.*expr170.*expr177.*expr179.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr836 = expr171.*expr175.*expr177.*expr179.*expr831.*(expr165 + expr832).*(expr167 + expr833).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr837 = expr835 + expr836;
GC(1, 18) = expr837;

%%   First derivative w/r to a(1) of constraint #19
expr838 = -2.*expr170.*expr177.*expr179.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr839 = expr171.*expr177.*expr179.*expr215.*expr831.*(expr165 + expr832).*(expr167 + expr833).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr840 = expr838 + expr839;
GC(1, 19) = expr840;

%%   First derivative w/r to a(1) of constraint #20
expr841 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr842 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr843 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr844 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr845 = 2.*expr170.*expr177.*expr179.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr846 = expr171.*expr175.*expr177.*expr179.*expr841.*(expr165 + expr842).*(expr167 + expr843).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr847 = expr845 + expr846;
GC(1, 20) = expr847;

%%   First derivative w/r to a(1) of constraint #21
expr848 = -2.*expr170.*expr177.*expr179.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr849 = expr171.*expr177.*expr179.*expr215.*expr841.*(expr165 + expr842).*(expr167 + expr843).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr850 = expr848 + expr849;
GC(1, 21) = expr850;

%%   First derivative w/r to a(1) of constraint #22
expr851 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr852 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr853 = (a(3).^2 + b(3).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(3).^2 - b(3).^2));
expr854 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr855 = 2.*expr170.*expr177.*expr179.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr175.*expr177.*expr179.*expr851.*expr852.*expr853.*(expr852.*expr853.*expr854).^expr182;
GC(1, 22) = expr855;

%%   First derivative w/r to a(1) of constraint #23
expr856 = -2.*expr170.*expr177.*expr179.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr177.*expr179.*expr215.*expr851.*expr852.*expr853.*(expr852.*expr853.*expr854).^expr182;
GC(1, 23) = expr856;

%%   First derivative w/r to a(1) of constraint #24
expr857 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr858 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr859 = (a(3).^2 + b(3).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(3).^2 - b(3).^2));
expr860 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr861 = 2.*expr170.*expr177.*expr179.*(expr858.*expr859.*expr860).^expr175 + expr171.*expr175.*expr177.*expr179.*expr857.*expr858.*expr859.*(expr858.*expr859.*expr860).^expr182;
GC(1, 24) = expr861;

%%   First derivative w/r to a(1) of constraint #25
GC(1, 25) = expr360;

%%   First derivative w/r to a(2) of constraint #1
expr862 = 0;
GC(2, 1) = expr862;

%%   First derivative w/r to a(2) of constraint #2
expr863 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr863;

%%   First derivative w/r to a(2) of constraint #3
expr864 = 0;
GC(2, 3) = expr864;

%%   First derivative w/r to a(2) of constraint #4
expr865 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr866 = 2.*expr171.*expr179.*expr262.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr867 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr763).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182.*expr865;
expr868 = expr866 + expr867;
GC(2, 4) = expr868;

%%   First derivative w/r to a(2) of constraint #5
expr869 = -2.*expr171.*expr179.*expr262.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr870 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr763).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182.*expr865;
expr871 = expr869 + expr870;
GC(2, 5) = expr871;

%%   First derivative w/r to a(2) of constraint #6
expr872 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr873 = 2.*expr171.*expr179.*expr262.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr874 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr773).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182.*expr872;
expr875 = expr873 + expr874;
GC(2, 6) = expr875;

%%   First derivative w/r to a(2) of constraint #7
expr876 = -2.*expr171.*expr179.*expr262.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr877 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr773).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182.*expr872;
expr878 = expr876 + expr877;
GC(2, 7) = expr878;

%%   First derivative w/r to a(2) of constraint #8
expr879 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr880 = 2.*expr171.*expr179.*expr262.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr881 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr783).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182.*expr879;
expr882 = expr880 + expr881;
GC(2, 8) = expr882;

%%   First derivative w/r to a(2) of constraint #9
expr883 = -2.*expr171.*expr179.*expr262.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr884 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr783).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182.*expr879;
expr885 = expr883 + expr884;
GC(2, 9) = expr885;

%%   First derivative w/r to a(2) of constraint #10
expr886 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr887 = 2.*expr171.*expr179.*expr262.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr888 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr793).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182.*expr886;
expr889 = expr887 + expr888;
GC(2, 10) = expr889;

%%   First derivative w/r to a(2) of constraint #11
expr890 = -2.*expr171.*expr179.*expr262.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr891 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr793).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182.*expr886;
expr892 = expr890 + expr891;
GC(2, 11) = expr892;

%%   First derivative w/r to a(2) of constraint #12
expr893 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr894 = 2.*expr171.*expr179.*expr262.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr895 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr803).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182.*expr893;
expr896 = expr894 + expr895;
GC(2, 12) = expr896;

%%   First derivative w/r to a(2) of constraint #13
expr897 = -2.*expr171.*expr179.*expr262.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr898 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr803).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182.*expr893;
expr899 = expr897 + expr898;
GC(2, 13) = expr899;

%%   First derivative w/r to a(2) of constraint #14
expr900 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr901 = 2.*expr171.*expr179.*expr262.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr902 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr813).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182.*expr900;
expr903 = expr901 + expr902;
GC(2, 14) = expr903;

%%   First derivative w/r to a(2) of constraint #15
expr904 = -2.*expr171.*expr179.*expr262.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr905 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr813).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182.*expr900;
expr906 = expr904 + expr905;
GC(2, 15) = expr906;

%%   First derivative w/r to a(2) of constraint #16
expr907 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr908 = 2.*expr171.*expr179.*expr262.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr909 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr823).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182.*expr907;
expr910 = expr908 + expr909;
GC(2, 16) = expr910;

%%   First derivative w/r to a(2) of constraint #17
expr911 = -2.*expr171.*expr179.*expr262.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr912 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr823).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182.*expr907;
expr913 = expr911 + expr912;
GC(2, 17) = expr913;

%%   First derivative w/r to a(2) of constraint #18
expr914 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr915 = 2.*expr171.*expr179.*expr262.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr916 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr833).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182.*expr914;
expr917 = expr915 + expr916;
GC(2, 18) = expr917;

%%   First derivative w/r to a(2) of constraint #19
expr918 = -2.*expr171.*expr179.*expr262.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr919 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr833).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182.*expr914;
expr920 = expr918 + expr919;
GC(2, 19) = expr920;

%%   First derivative w/r to a(2) of constraint #20
expr921 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr922 = 2.*expr171.*expr179.*expr262.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr923 = expr171.*expr175.*expr177.*expr179.*(expr167 + expr843).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182.*expr921;
expr924 = expr922 + expr923;
GC(2, 20) = expr924;

%%   First derivative w/r to a(2) of constraint #21
expr925 = -2.*expr171.*expr179.*expr262.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr926 = expr171.*expr177.*expr179.*expr215.*(expr167 + expr843).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182.*expr921;
expr927 = expr925 + expr926;
GC(2, 21) = expr927;

%%   First derivative w/r to a(2) of constraint #22
expr928 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr929 = 2.*expr171.*expr179.*expr262.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr175.*expr177.*expr179.*expr853.*expr854.*(expr852.*expr853.*expr854).^expr182.*expr928;
GC(2, 22) = expr929;

%%   First derivative w/r to a(2) of constraint #23
expr930 = -2.*expr171.*expr179.*expr262.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr177.*expr179.*expr215.*expr853.*expr854.*(expr852.*expr853.*expr854).^expr182.*expr928;
GC(2, 23) = expr930;

%%   First derivative w/r to a(2) of constraint #24
expr931 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr932 = 2.*expr171.*expr179.*expr262.*(expr858.*expr859.*expr860).^expr175 + expr171.*expr175.*expr177.*expr179.*expr859.*expr860.*(expr858.*expr859.*expr860).^expr182.*expr931;
GC(2, 24) = expr932;

%%   First derivative w/r to a(2) of constraint #25
GC(2, 25) = expr534;

%%   First derivative w/r to a(3) of constraint #1
expr933 = 0;
GC(3, 1) = expr933;

%%   First derivative w/r to a(3) of constraint #2
expr934 = 0;
GC(3, 2) = expr934;

%%   First derivative w/r to a(3) of constraint #3
expr935 = -1./(2.*sqrt(a(3).^2 + b(3).^2)) + sqrt(a(3).^2 + b(3).^2)./(2.*a(3).^2);
GC(3, 3) = expr935;

%%   First derivative w/r to a(3) of constraint #4
expr936 = (wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr937 = 2.*expr171.*expr177.*expr272.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr938 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr762).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182.*expr936;
expr939 = expr937 + expr938;
GC(3, 4) = expr939;

%%   First derivative w/r to a(3) of constraint #5
expr940 = -2.*expr171.*expr177.*expr272.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr941 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr762).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182.*expr936;
expr942 = expr940 + expr941;
GC(3, 5) = expr942;

%%   First derivative w/r to a(3) of constraint #6
expr943 = (4.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr944 = 2.*expr171.*expr177.*expr272.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr945 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr772).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182.*expr943;
expr946 = expr944 + expr945;
GC(3, 6) = expr946;

%%   First derivative w/r to a(3) of constraint #7
expr947 = -2.*expr171.*expr177.*expr272.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr948 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr772).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182.*expr943;
expr949 = expr947 + expr948;
GC(3, 7) = expr949;

%%   First derivative w/r to a(3) of constraint #8
expr950 = (9.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr951 = 2.*expr171.*expr177.*expr272.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr952 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr782).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182.*expr950;
expr953 = expr951 + expr952;
GC(3, 8) = expr953;

%%   First derivative w/r to a(3) of constraint #9
expr954 = -2.*expr171.*expr177.*expr272.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr955 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr782).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182.*expr950;
expr956 = expr954 + expr955;
GC(3, 9) = expr956;

%%   First derivative w/r to a(3) of constraint #10
expr957 = (16.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr958 = 2.*expr171.*expr177.*expr272.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr959 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr792).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182.*expr957;
expr960 = expr958 + expr959;
GC(3, 10) = expr960;

%%   First derivative w/r to a(3) of constraint #11
expr961 = -2.*expr171.*expr177.*expr272.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr962 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr792).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182.*expr957;
expr963 = expr961 + expr962;
GC(3, 11) = expr963;

%%   First derivative w/r to a(3) of constraint #12
expr964 = wp.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr965 = 2.*expr171.*expr177.*expr272.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr966 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr802).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182.*expr964;
expr967 = expr965 + expr966;
GC(3, 12) = expr967;

%%   First derivative w/r to a(3) of constraint #13
expr968 = -2.*expr171.*expr177.*expr272.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr969 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr802).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182.*expr964;
expr970 = expr968 + expr969;
GC(3, 13) = expr970;

%%   First derivative w/r to a(3) of constraint #14
expr971 = (36.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr972 = 2.*expr171.*expr177.*expr272.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr973 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr812).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182.*expr971;
expr974 = expr972 + expr973;
GC(3, 14) = expr974;

%%   First derivative w/r to a(3) of constraint #15
expr975 = -2.*expr171.*expr177.*expr272.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr976 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr812).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182.*expr971;
expr977 = expr975 + expr976;
GC(3, 15) = expr977;

%%   First derivative w/r to a(3) of constraint #16
expr978 = (49.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr979 = 2.*expr171.*expr177.*expr272.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr980 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr822).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182.*expr978;
expr981 = expr979 + expr980;
GC(3, 16) = expr981;

%%   First derivative w/r to a(3) of constraint #17
expr982 = -2.*expr171.*expr177.*expr272.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr983 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr822).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182.*expr978;
expr984 = expr982 + expr983;
GC(3, 17) = expr984;

%%   First derivative w/r to a(3) of constraint #18
expr985 = (64.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr986 = 2.*expr171.*expr177.*expr272.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr987 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr832).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182.*expr985;
expr988 = expr986 + expr987;
GC(3, 18) = expr988;

%%   First derivative w/r to a(3) of constraint #19
expr989 = -2.*expr171.*expr177.*expr272.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr990 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr832).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182.*expr985;
expr991 = expr989 + expr990;
GC(3, 19) = expr991;

%%   First derivative w/r to a(3) of constraint #20
expr992 = (81.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr993 = 2.*expr171.*expr177.*expr272.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr994 = expr171.*expr175.*expr177.*expr179.*(expr165 + expr842).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182.*expr992;
expr995 = expr993 + expr994;
GC(3, 20) = expr995;

%%   First derivative w/r to a(3) of constraint #21
expr996 = -2.*expr171.*expr177.*expr272.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr997 = expr171.*expr177.*expr179.*expr215.*(expr165 + expr842).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182.*expr992;
expr998 = expr996 + expr997;
GC(3, 21) = expr998;

%%   First derivative w/r to a(3) of constraint #22
expr999 = 4.*wp.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1000 = 2.*expr171.*expr177.*expr272.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr175.*expr177.*expr179.*expr852.*expr854.*(expr852.*expr853.*expr854).^expr182.*expr999;
GC(3, 22) = expr1000;

%%   First derivative w/r to a(3) of constraint #23
expr1001 = -2.*expr171.*expr177.*expr272.*(expr852.*expr853.*expr854).^expr175 + expr171.*expr177.*expr179.*expr215.*expr852.*expr854.*(expr852.*expr853.*expr854).^expr182.*expr999;
GC(3, 23) = expr1001;

%%   First derivative w/r to a(3) of constraint #24
expr1002 = 4.*ws.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1003 = 2.*expr171.*expr177.*expr272.*(expr858.*expr859.*expr860).^expr175 + expr1002.*expr171.*expr175.*expr177.*expr179.*expr858.*expr860.*(expr858.*expr859.*expr860).^expr182;
GC(3, 24) = expr1003;

%%   First derivative w/r to a(3) of constraint #25
GC(3, 25) = expr686;

%%   First derivative w/r to b(1) of constraint #1
expr1004 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(4, 1) = expr1004;

%%   First derivative w/r to b(1) of constraint #2
expr1005 = 0;
GC(4, 2) = expr1005;

%%   First derivative w/r to b(1) of constraint #3
expr1006 = 0;
GC(4, 3) = expr1006;

%%   First derivative w/r to b(1) of constraint #4
expr1007 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1008 = 2.*expr177.*expr179.*expr248.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1009 = expr1007.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr762).*(expr167 + expr763).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1010 = expr1008 + expr1009;
GC(4, 4) = expr1010;

%%   First derivative w/r to b(1) of constraint #5
expr1011 = -2.*expr177.*expr179.*expr248.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1012 = expr1007.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr762).*(expr167 + expr763).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1013 = expr1011 + expr1012;
GC(4, 5) = expr1013;

%%   First derivative w/r to b(1) of constraint #6
expr1014 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1015 = 2.*expr177.*expr179.*expr248.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1016 = expr1014.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr772).*(expr167 + expr773).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1017 = expr1015 + expr1016;
GC(4, 6) = expr1017;

%%   First derivative w/r to b(1) of constraint #7
expr1018 = -2.*expr177.*expr179.*expr248.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1019 = expr1014.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr772).*(expr167 + expr773).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1020 = expr1018 + expr1019;
GC(4, 7) = expr1020;

%%   First derivative w/r to b(1) of constraint #8
expr1021 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1022 = 2.*expr177.*expr179.*expr248.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1023 = expr1021.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr782).*(expr167 + expr783).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1024 = expr1022 + expr1023;
GC(4, 8) = expr1024;

%%   First derivative w/r to b(1) of constraint #9
expr1025 = -2.*expr177.*expr179.*expr248.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1026 = expr1021.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr782).*(expr167 + expr783).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1027 = expr1025 + expr1026;
GC(4, 9) = expr1027;

%%   First derivative w/r to b(1) of constraint #10
expr1028 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1029 = 2.*expr177.*expr179.*expr248.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1030 = expr1028.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr792).*(expr167 + expr793).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1031 = expr1029 + expr1030;
GC(4, 10) = expr1031;

%%   First derivative w/r to b(1) of constraint #11
expr1032 = -2.*expr177.*expr179.*expr248.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1033 = expr1028.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr792).*(expr167 + expr793).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1034 = expr1032 + expr1033;
GC(4, 11) = expr1034;

%%   First derivative w/r to b(1) of constraint #12
expr1035 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1036 = 2.*expr177.*expr179.*expr248.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1037 = expr1035.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr802).*(expr167 + expr803).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1038 = expr1036 + expr1037;
GC(4, 12) = expr1038;

%%   First derivative w/r to b(1) of constraint #13
expr1039 = -2.*expr177.*expr179.*expr248.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1040 = expr1035.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr802).*(expr167 + expr803).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1041 = expr1039 + expr1040;
GC(4, 13) = expr1041;

%%   First derivative w/r to b(1) of constraint #14
expr1042 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1043 = 2.*expr177.*expr179.*expr248.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1044 = expr1042.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr812).*(expr167 + expr813).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1045 = expr1043 + expr1044;
GC(4, 14) = expr1045;

%%   First derivative w/r to b(1) of constraint #15
expr1046 = -2.*expr177.*expr179.*expr248.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1047 = expr1042.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr812).*(expr167 + expr813).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1048 = expr1046 + expr1047;
GC(4, 15) = expr1048;

%%   First derivative w/r to b(1) of constraint #16
expr1049 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1050 = 2.*expr177.*expr179.*expr248.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1051 = expr1049.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr822).*(expr167 + expr823).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1052 = expr1050 + expr1051;
GC(4, 16) = expr1052;

%%   First derivative w/r to b(1) of constraint #17
expr1053 = -2.*expr177.*expr179.*expr248.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1054 = expr1049.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr822).*(expr167 + expr823).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1055 = expr1053 + expr1054;
GC(4, 17) = expr1055;

%%   First derivative w/r to b(1) of constraint #18
expr1056 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1057 = 2.*expr177.*expr179.*expr248.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1058 = expr1056.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr832).*(expr167 + expr833).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1059 = expr1057 + expr1058;
GC(4, 18) = expr1059;

%%   First derivative w/r to b(1) of constraint #19
expr1060 = -2.*expr177.*expr179.*expr248.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1061 = expr1056.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr832).*(expr167 + expr833).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1062 = expr1060 + expr1061;
GC(4, 19) = expr1062;

%%   First derivative w/r to b(1) of constraint #20
expr1063 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1064 = 2.*expr177.*expr179.*expr248.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1065 = expr1063.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr842).*(expr167 + expr843).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1066 = expr1064 + expr1065;
GC(4, 20) = expr1066;

%%   First derivative w/r to b(1) of constraint #21
expr1067 = -2.*expr177.*expr179.*expr248.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1068 = expr1063.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr842).*(expr167 + expr843).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1069 = expr1067 + expr1068;
GC(4, 21) = expr1069;

%%   First derivative w/r to b(1) of constraint #22
expr1070 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1071 = 2.*expr177.*expr179.*expr248.*(expr852.*expr853.*expr854).^expr175 + expr1070.*expr171.*expr175.*expr177.*expr179.*expr852.*expr853.*(expr852.*expr853.*expr854).^expr182;
GC(4, 22) = expr1071;

%%   First derivative w/r to b(1) of constraint #23
expr1072 = -2.*expr177.*expr179.*expr248.*(expr852.*expr853.*expr854).^expr175 + expr1070.*expr171.*expr177.*expr179.*expr215.*expr852.*expr853.*(expr852.*expr853.*expr854).^expr182;
GC(4, 23) = expr1072;

%%   First derivative w/r to b(1) of constraint #24
expr1073 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1074 = 2.*expr177.*expr179.*expr248.*(expr858.*expr859.*expr860).^expr175 + expr1073.*expr171.*expr175.*expr177.*expr179.*expr858.*expr859.*(expr858.*expr859.*expr860).^expr182;
GC(4, 24) = expr1074;

%%   First derivative w/r to b(1) of constraint #25
GC(4, 25) = expr449;

%%   First derivative w/r to b(2) of constraint #1
expr1075 = 0;
GC(5, 1) = expr1075;

%%   First derivative w/r to b(2) of constraint #2
expr1076 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(5, 2) = expr1076;

%%   First derivative w/r to b(2) of constraint #3
expr1077 = 0;
GC(5, 3) = expr1077;

%%   First derivative w/r to b(2) of constraint #4
expr1078 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1079 = 2.*expr171.*expr179.*expr257.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1080 = expr1078.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr763).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1081 = expr1079 + expr1080;
GC(5, 4) = expr1081;

%%   First derivative w/r to b(2) of constraint #5
expr1082 = -2.*expr171.*expr179.*expr257.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1083 = expr1078.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr763).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1084 = expr1082 + expr1083;
GC(5, 5) = expr1084;

%%   First derivative w/r to b(2) of constraint #6
expr1085 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1086 = 2.*expr171.*expr179.*expr257.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1087 = expr1085.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr773).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1088 = expr1086 + expr1087;
GC(5, 6) = expr1088;

%%   First derivative w/r to b(2) of constraint #7
expr1089 = -2.*expr171.*expr179.*expr257.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1090 = expr1085.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr773).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1091 = expr1089 + expr1090;
GC(5, 7) = expr1091;

%%   First derivative w/r to b(2) of constraint #8
expr1092 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1093 = 2.*expr171.*expr179.*expr257.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1094 = expr1092.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr783).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1095 = expr1093 + expr1094;
GC(5, 8) = expr1095;

%%   First derivative w/r to b(2) of constraint #9
expr1096 = -2.*expr171.*expr179.*expr257.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1097 = expr1092.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr783).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1098 = expr1096 + expr1097;
GC(5, 9) = expr1098;

%%   First derivative w/r to b(2) of constraint #10
expr1099 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1100 = 2.*expr171.*expr179.*expr257.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1101 = expr1099.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr793).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1102 = expr1100 + expr1101;
GC(5, 10) = expr1102;

%%   First derivative w/r to b(2) of constraint #11
expr1103 = -2.*expr171.*expr179.*expr257.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1104 = expr1099.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr793).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1105 = expr1103 + expr1104;
GC(5, 11) = expr1105;

%%   First derivative w/r to b(2) of constraint #12
expr1106 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1107 = 2.*expr171.*expr179.*expr257.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1108 = expr1106.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr803).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1109 = expr1107 + expr1108;
GC(5, 12) = expr1109;

%%   First derivative w/r to b(2) of constraint #13
expr1110 = -2.*expr171.*expr179.*expr257.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1111 = expr1106.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr803).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1112 = expr1110 + expr1111;
GC(5, 13) = expr1112;

%%   First derivative w/r to b(2) of constraint #14
expr1113 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1114 = 2.*expr171.*expr179.*expr257.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1115 = expr1113.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr813).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1116 = expr1114 + expr1115;
GC(5, 14) = expr1116;

%%   First derivative w/r to b(2) of constraint #15
expr1117 = -2.*expr171.*expr179.*expr257.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1118 = expr1113.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr813).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1119 = expr1117 + expr1118;
GC(5, 15) = expr1119;

%%   First derivative w/r to b(2) of constraint #16
expr1120 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1121 = 2.*expr171.*expr179.*expr257.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1122 = expr1120.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr823).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1123 = expr1121 + expr1122;
GC(5, 16) = expr1123;

%%   First derivative w/r to b(2) of constraint #17
expr1124 = -2.*expr171.*expr179.*expr257.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1125 = expr1120.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr823).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1126 = expr1124 + expr1125;
GC(5, 17) = expr1126;

%%   First derivative w/r to b(2) of constraint #18
expr1127 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1128 = 2.*expr171.*expr179.*expr257.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1129 = expr1127.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr833).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1130 = expr1128 + expr1129;
GC(5, 18) = expr1130;

%%   First derivative w/r to b(2) of constraint #19
expr1131 = -2.*expr171.*expr179.*expr257.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1132 = expr1127.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr833).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1133 = expr1131 + expr1132;
GC(5, 19) = expr1133;

%%   First derivative w/r to b(2) of constraint #20
expr1134 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1135 = 2.*expr171.*expr179.*expr257.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1136 = expr1134.*expr171.*expr175.*expr177.*expr179.*(expr167 + expr843).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1137 = expr1135 + expr1136;
GC(5, 20) = expr1137;

%%   First derivative w/r to b(2) of constraint #21
expr1138 = -2.*expr171.*expr179.*expr257.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1139 = expr1134.*expr171.*expr177.*expr179.*expr215.*(expr167 + expr843).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1140 = expr1138 + expr1139;
GC(5, 21) = expr1140;

%%   First derivative w/r to b(2) of constraint #22
expr1141 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1142 = 2.*expr171.*expr179.*expr257.*(expr852.*expr853.*expr854).^expr175 + expr1141.*expr171.*expr175.*expr177.*expr179.*expr853.*expr854.*(expr852.*expr853.*expr854).^expr182;
GC(5, 22) = expr1142;

%%   First derivative w/r to b(2) of constraint #23
expr1143 = -2.*expr171.*expr179.*expr257.*(expr852.*expr853.*expr854).^expr175 + expr1141.*expr171.*expr177.*expr179.*expr215.*expr853.*expr854.*(expr852.*expr853.*expr854).^expr182;
GC(5, 23) = expr1143;

%%   First derivative w/r to b(2) of constraint #24
expr1144 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1145 = 2.*expr171.*expr179.*expr257.*(expr858.*expr859.*expr860).^expr175 + expr1144.*expr171.*expr175.*expr177.*expr179.*expr859.*expr860.*(expr858.*expr859.*expr860).^expr182;
GC(5, 24) = expr1145;

%%   First derivative w/r to b(2) of constraint #25
GC(5, 25) = expr613;

%%   First derivative w/r to b(3) of constraint #1
expr1146 = 0;
GC(6, 1) = expr1146;

%%   First derivative w/r to b(3) of constraint #2
expr1147 = 0;
GC(6, 2) = expr1147;

%%   First derivative w/r to b(3) of constraint #3
expr1148 = -b(3)./(2.*a(3).*sqrt(a(3).^2 + b(3).^2));
GC(6, 3) = expr1148;

%%   First derivative w/r to b(3) of constraint #4
expr1149 = -(wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1150 = 2.*expr171.*expr177.*expr267.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1151 = expr1149.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr762).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1152 = expr1150 + expr1151;
GC(6, 4) = expr1152;

%%   First derivative w/r to b(3) of constraint #5
expr1153 = -2.*expr171.*expr177.*expr267.*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr175;
expr1154 = expr1149.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr762).*(expr162 + expr764).*((expr165 + expr762).*(expr167 + expr763).*(expr162 + expr764)).^expr182;
expr1155 = expr1153 + expr1154;
GC(6, 5) = expr1155;

%%   First derivative w/r to b(3) of constraint #6
expr1156 = (-4.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1157 = 2.*expr171.*expr177.*expr267.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1158 = expr1156.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr772).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1159 = expr1157 + expr1158;
GC(6, 6) = expr1159;

%%   First derivative w/r to b(3) of constraint #7
expr1160 = -2.*expr171.*expr177.*expr267.*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr175;
expr1161 = expr1156.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr772).*(expr162 + expr774).*((expr165 + expr772).*(expr167 + expr773).*(expr162 + expr774)).^expr182;
expr1162 = expr1160 + expr1161;
GC(6, 7) = expr1162;

%%   First derivative w/r to b(3) of constraint #8
expr1163 = (-9.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1164 = 2.*expr171.*expr177.*expr267.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1165 = expr1163.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr782).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1166 = expr1164 + expr1165;
GC(6, 8) = expr1166;

%%   First derivative w/r to b(3) of constraint #9
expr1167 = -2.*expr171.*expr177.*expr267.*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr175;
expr1168 = expr1163.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr782).*(expr162 + expr784).*((expr165 + expr782).*(expr167 + expr783).*(expr162 + expr784)).^expr182;
expr1169 = expr1167 + expr1168;
GC(6, 9) = expr1169;

%%   First derivative w/r to b(3) of constraint #10
expr1170 = (-16.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1171 = 2.*expr171.*expr177.*expr267.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1172 = expr1170.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr792).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1173 = expr1171 + expr1172;
GC(6, 10) = expr1173;

%%   First derivative w/r to b(3) of constraint #11
expr1174 = -2.*expr171.*expr177.*expr267.*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr175;
expr1175 = expr1170.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr792).*(expr162 + expr794).*((expr165 + expr792).*(expr167 + expr793).*(expr162 + expr794)).^expr182;
expr1176 = expr1174 + expr1175;
GC(6, 11) = expr1176;

%%   First derivative w/r to b(3) of constraint #12
expr1177 = -(wp.^2.*b(3)) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1178 = 2.*expr171.*expr177.*expr267.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1179 = expr1177.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr802).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1180 = expr1178 + expr1179;
GC(6, 12) = expr1180;

%%   First derivative w/r to b(3) of constraint #13
expr1181 = -2.*expr171.*expr177.*expr267.*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr175;
expr1182 = expr1177.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr802).*(expr162 + expr804).*((expr165 + expr802).*(expr167 + expr803).*(expr162 + expr804)).^expr182;
expr1183 = expr1181 + expr1182;
GC(6, 13) = expr1183;

%%   First derivative w/r to b(3) of constraint #14
expr1184 = (-36.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1185 = 2.*expr171.*expr177.*expr267.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1186 = expr1184.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr812).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1187 = expr1185 + expr1186;
GC(6, 14) = expr1187;

%%   First derivative w/r to b(3) of constraint #15
expr1188 = -2.*expr171.*expr177.*expr267.*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr175;
expr1189 = expr1184.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr812).*(expr162 + expr814).*((expr165 + expr812).*(expr167 + expr813).*(expr162 + expr814)).^expr182;
expr1190 = expr1188 + expr1189;
GC(6, 15) = expr1190;

%%   First derivative w/r to b(3) of constraint #16
expr1191 = (-49.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1192 = 2.*expr171.*expr177.*expr267.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1193 = expr1191.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr822).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1194 = expr1192 + expr1193;
GC(6, 16) = expr1194;

%%   First derivative w/r to b(3) of constraint #17
expr1195 = -2.*expr171.*expr177.*expr267.*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr175;
expr1196 = expr1191.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr822).*(expr162 + expr824).*((expr165 + expr822).*(expr167 + expr823).*(expr162 + expr824)).^expr182;
expr1197 = expr1195 + expr1196;
GC(6, 17) = expr1197;

%%   First derivative w/r to b(3) of constraint #18
expr1198 = (-64.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1199 = 2.*expr171.*expr177.*expr267.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1200 = expr1198.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr832).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1201 = expr1199 + expr1200;
GC(6, 18) = expr1201;

%%   First derivative w/r to b(3) of constraint #19
expr1202 = -2.*expr171.*expr177.*expr267.*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr175;
expr1203 = expr1198.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr832).*(expr162 + expr834).*((expr165 + expr832).*(expr167 + expr833).*(expr162 + expr834)).^expr182;
expr1204 = expr1202 + expr1203;
GC(6, 19) = expr1204;

%%   First derivative w/r to b(3) of constraint #20
expr1205 = (-81.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1206 = 2.*expr171.*expr177.*expr267.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1207 = expr1205.*expr171.*expr175.*expr177.*expr179.*(expr165 + expr842).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1208 = expr1206 + expr1207;
GC(6, 20) = expr1208;

%%   First derivative w/r to b(3) of constraint #21
expr1209 = -2.*expr171.*expr177.*expr267.*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr175;
expr1210 = expr1205.*expr171.*expr177.*expr179.*expr215.*(expr165 + expr842).*(expr162 + expr844).*((expr165 + expr842).*(expr167 + expr843).*(expr162 + expr844)).^expr182;
expr1211 = expr1209 + expr1210;
GC(6, 21) = expr1211;

%%   First derivative w/r to b(3) of constraint #22
expr1212 = -4.*wp.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1213 = 2.*expr171.*expr177.*expr267.*(expr852.*expr853.*expr854).^expr175 + expr1212.*expr171.*expr175.*expr177.*expr179.*expr852.*expr854.*(expr852.*expr853.*expr854).^expr182;
GC(6, 22) = expr1213;

%%   First derivative w/r to b(3) of constraint #23
expr1214 = -2.*expr171.*expr177.*expr267.*(expr852.*expr853.*expr854).^expr175 + expr1212.*expr171.*expr177.*expr179.*expr215.*expr852.*expr854.*(expr852.*expr853.*expr854).^expr182;
GC(6, 23) = expr1214;

%%   First derivative w/r to b(3) of constraint #24
expr1215 = -4.*ws.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1216 = 2.*expr171.*expr177.*expr267.*(expr858.*expr859.*expr860).^expr175 + expr1215.*expr171.*expr175.*expr177.*expr179.*expr858.*expr860.*(expr858.*expr859.*expr860).^expr182;
GC(6, 24) = expr1216;

%%   First derivative w/r to b(3) of constraint #25
GC(6, 25) = expr756;

end
