function f = stepresp(x, a, b, m1)
%STEPRESP computes the step response of an analog filter with any number of pole pairs.
%
%	This function takes four arguments:
%	  x is time
%	  a are the real values of the poles
%	  b are imaginary values of the poles
%	  m1 scales the step response
n1 = length(a);
sum11 = 0;
for j1 = [1:1:n1];
product1 = 1;
for j2 = [1:1:n1];
expr1 = a(j2).^2 + b(j2).^2;
product1 = product1 .* expr1;
end;
product2 = 1;
for j3 = [1:1:-1 + j1];
expr2 = ((a(j1) - a(j3)).^2 + (b(j1) - b(j3)).^2).*((a(j1) - a(j3)).^2 + (b(j1) + b(j3)).^2);
product2 = product2 .* expr2;
end;
product3 = 1;
for j4 = [1 + j1:1:n1];
expr3 = ((a(j1) - a(j4)).^2 + (b(j1) - b(j4)).^2).*((a(j1) - a(j4)).^2 + (b(j1) + b(j4)).^2);
product3 = product3 .* expr3;
end;
sum1 = 0;
for j5 = [1:1:-1 + j1];
expr4 = -angle(1 + (i.*(b(j1) - b(j5)))./(a(j1) - a(j5))) - angle(1 + (i.*(b(j1) + b(j5)))./(a(j1) - a(j5)));
sum1 = sum1 + expr4;
end;
sum2 = 0;
for j6 = [1 + j1:1:n1];
expr5 = -angle(1 + (i.*(b(j1) - b(j6)))./(a(j1) - a(j6))) - angle(1 + (i.*(b(j1) + b(j6)))./(a(j1) - a(j6)));
sum2 = sum2 + expr5;
end;
sum3 = 0;
for j7 = [1:1:-1 + j1];
expr6 = -angle(1 + (i.*(b(j1) - b(j7)))./(a(j1) - a(j7))) - angle(1 + (i.*(b(j1) + b(j7)))./(a(j1) - a(j7)));
sum3 = sum3 + expr6;
end;
sum4 = 0;
for j8 = [1 + j1:1:n1];
expr7 = -angle(1 + (i.*(b(j1) - b(j8)))./(a(j1) - a(j8))) - angle(1 + (i.*(b(j1) + b(j8)))./(a(j1) - a(j8)));
sum4 = sum4 + expr7;
end;
sum5 = 0;
for j9 = [1:1:-1 + j1];
expr8 = -angle(1 + (i.*(b(j1) - b(j9)))./(a(j1) - a(j9))) - angle(1 + (i.*(b(j1) + b(j9)))./(a(j1) - a(j9)));
sum5 = sum5 + expr8;
end;
sum6 = 0;
for j10 = [1 + j1:1:n1];
expr9 = -angle(1 + (i.*(b(j1) - b(j10)))./(a(j1) - a(j10))) - angle(1 + (i.*(b(j1) + b(j10)))./(a(j1) - a(j10)));
sum6 = sum6 + expr9;
end;
sum7 = 0;
for j11 = [1:1:-1 + j1];
expr10 = -angle(1 + (i.*(b(j1) - b(j11)))./(a(j1) - a(j11))) - angle(1 + (i.*(b(j1) + b(j11)))./(a(j1) - a(j11)));
sum7 = sum7 + expr10;
end;
sum8 = 0;
for j12 = [1 + j1:1:n1];
expr11 = -angle(1 + (i.*(b(j1) - b(j12)))./(a(j1) - a(j12))) - angle(1 + (i.*(b(j1) + b(j12)))./(a(j1) - a(j12)));
sum8 = sum8 + expr11;
end;
sum9 = 0;
for j13 = [1:1:-1 + j1];
expr12 = -angle(1 + (i.*(b(j1) - b(j13)))./(a(j1) - a(j13))) - angle(1 + (i.*(b(j1) + b(j13)))./(a(j1) - a(j13)));
sum9 = sum9 + expr12;
end;
sum10 = 0;
for j14 = [1 + j1:1:n1];
expr13 = -angle(1 + (i.*(b(j1) - b(j14)))./(a(j1) - a(j14))) - angle(1 + (i.*(b(j1) + b(j14)))./(a(j1) - a(j14)));
sum10 = sum10 + expr13;
end;
expr14 = sqrt(product2.*product3).^(-1);
expr15 = b(j1).^(-1);
expr16 = (a(j1).^2 + b(j1).^2).^(-1);
expr17 = b(j1).*cos(sum1 + sum2) - a(j1).*sin(sum3 + sum4);
expr18 = exp(x.*a(j1));
expr19 = cos(x.*b(j1));
expr20 = a(j1) + ((a(j1).^2 + b(j1).^2).*sin(sum5 + sum6))./(b(j1).*cos(sum7 + sum8) - a(j1).*sin(sum10 + sum9));
expr21 = sin(x.*b(j1));
expr22 = expr14.*expr15.*expr16.*expr17.*(1 - expr18.*(expr19 - expr15.*expr20.*expr21)).*product1;
sum11 = sum11 + expr22;
end;
f = m1.*sum11;
end
