function [gf,GC]=costder4(x)
% COSTDER4 computes the gradient of the cost function
%	for an analog filter having 4 complex pole pairs.
%
%	Code Generated by Mathematica packages written by Brian L. Evans
%	Copyright 1993 by the University of California

%% Extract real and imaginary components of the filters's poles a +/- j b
a = x(1:4);
b = x(5:8);

%% Global parameters
global dp ds maxO wmax Wmp Wms Wmt WO wp Wph WQ ws tpeak1;

%% Approximate tpeak by a differentiable function and assign it to tpa
expr198 = 1./4;
expr199 = -angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr200 = -angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr201 = -angle(1 + (i.*(b(1) - b(3)))./(a(1) - a(3)));
expr202 = -angle(1 + (i.*(b(1) + b(3)))./(a(1) - a(3)));
expr203 = -angle(1 + (i.*(b(1) - b(4)))./(a(1) - a(4)));
expr204 = -angle(1 + (i.*(b(1) + b(4)))./(a(1) - a(4)));
expr205 = b(1).^(-1);
expr206 = -angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr207 = -angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr208 = -angle(1 + (i.*(b(2) - b(3)))./(a(2) - a(3)));
expr209 = -angle(1 + (i.*(b(2) + b(3)))./(a(2) - a(3)));
expr210 = -angle(1 + (i.*(b(2) - b(4)))./(a(2) - a(4)));
expr211 = -angle(1 + (i.*(b(2) + b(4)))./(a(2) - a(4)));
expr212 = b(2).^(-1);
expr213 = -angle(1 + (i.*(-b(1) + b(3)))./(-a(1) + a(3)));
expr214 = -angle(1 + (i.*(b(1) + b(3)))./(-a(1) + a(3)));
expr215 = -angle(1 + (i.*(-b(2) + b(3)))./(-a(2) + a(3)));
expr216 = -angle(1 + (i.*(b(2) + b(3)))./(-a(2) + a(3)));
expr217 = -angle(1 + (i.*(b(3) - b(4)))./(a(3) - a(4)));
expr218 = -angle(1 + (i.*(b(3) + b(4)))./(a(3) - a(4)));
expr219 = b(3).^(-1);
expr220 = -angle(1 + (i.*(-b(1) + b(4)))./(-a(1) + a(4)));
expr221 = -angle(1 + (i.*(b(1) + b(4)))./(-a(1) + a(4)));
expr222 = -angle(1 + (i.*(-b(2) + b(4)))./(-a(2) + a(4)));
expr223 = -angle(1 + (i.*(b(2) + b(4)))./(-a(2) + a(4)));
expr224 = -angle(1 + (i.*(-b(3) + b(4)))./(-a(3) + a(4)));
expr225 = -angle(1 + (i.*(b(3) + b(4)))./(-a(3) + a(4)));
expr226 = b(4).^(-1);
expr227 = -(expr205.*(expr199 + expr200 + expr201 + expr202 + expr203 + expr204 + pi));
expr228 = -(expr212.*(expr206 + expr207 + expr208 + expr209 + expr210 + expr211 + pi));
expr229 = -(expr219.*(expr213 + expr214 + expr215 + expr216 + expr217 + expr218 + pi));
expr230 = -(expr226.*(expr220 + expr221 + expr222 + expr223 + expr224 + expr225 + pi));
expr231 = expr198.*(expr227 + expr228 + expr229 + expr230);
tpa = expr231;

%% Correction to approximation of tpeak is tpc
tpc = tpeak1./tpa;


%% Derivative for a(1)
w5 = [ws:(99.*ws)./100:100.*ws];
expr232 = -1./99;
expr233 = ws.^(-1);
expr234 = (a(1).^2 + b(1).^2).^2;
expr235 = 4.*w5.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr236 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr237 = (a(2).^2 + b(2).^2).^2;
expr238 = ((a(2).^2 + b(2).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr239 = (a(3).^2 + b(3).^2).^2;
expr240 = ((a(3).^2 + b(3).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr241 = (a(4).^2 + b(4).^2).^2;
expr242 = ((a(4).^2 + b(4).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr243 = 4./99;
expr244 = a(1);
expr245 = a(1).^2 + b(1).^2;
expr246 = ((a(1).^2 + b(1).^2).^2 + w5.^2.*(w5.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr247 = expr232.*expr233.*expr234.*expr235.*expr236.*expr237.*expr238.*expr239.*expr240.*expr241.*expr242.*Wms + expr233.*expr237.*expr238.*expr239.*expr240.*expr241.*expr242.*expr243.*expr244.*expr245.*expr246.*Wms;
integrate5 = trapz(w5, expr247);
w6 = [0:wp./100:wp];
expr248 = wp.^(-1);
expr249 = -1./2;
expr250 = 4.*w6.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr251 = a(2).^2 + b(2).^2;
expr252 = (a(2).^2 + b(2).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(2).^2 - b(2).^2));
expr253 = a(3).^2 + b(3).^2;
expr254 = (a(3).^2 + b(3).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(3).^2 - b(3).^2));
expr255 = a(4).^2 + b(4).^2;
expr256 = (a(4).^2 + b(4).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(4).^2 - b(4).^2));
expr257 = (a(1).^2 + b(1).^2).^2 + w6.^2.*(w6.^2 + 2.*(a(1).^2 - b(1).^2));
expr258 = -3./2;
expr259 = -1 + expr245.*expr251.*expr253.*expr255.*(expr252.*expr254.*expr256.*expr257).^expr249;
expr260 = 2.*expr244.*expr251.*expr253.*expr255.*(expr252.*expr254.*expr256.*expr257).^expr249 + expr245.*expr249.*expr250.*expr251.*expr252.*expr253.*expr254.*expr255.*expr256.*(expr252.*expr254.*expr256.*expr257).^expr258;
expr261 = 2.*expr248.*expr259.*expr260.*Wmp;
integrate6 = trapz(w6, expr261);
w7 = [wp:(-wp + ws)./100:ws];
expr262 = (-wp + ws).^(-1);
expr263 = 4.*w7.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr264 = (a(2).^2 + b(2).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(2).^2 - b(2).^2));
expr265 = (a(3).^2 + b(3).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(3).^2 - b(3).^2));
expr266 = (a(4).^2 + b(4).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(4).^2 - b(4).^2));
expr267 = (a(1).^2 + b(1).^2).^2 + w7.^2.*(w7.^2 + 2.*(a(1).^2 - b(1).^2));
expr268 = ws./(wp - ws);
expr269 = -(w7./(wp - ws));
expr270 = 2.*expr244.*expr251.*expr253.*expr255.*(expr264.*expr265.*expr266.*expr267).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr263.*expr264.*expr265.*expr266.*(expr264.*expr265.*expr266.*expr267).^expr258;
expr271 = expr245.*expr251.*expr253.*expr255.*(expr264.*expr265.*expr266.*expr267).^expr249 + expr268 + expr269;
expr272 = 2.*expr262.*expr270.*expr271.*Wmt;
integrate7 = trapz(w7, expr272);
w8 = [0:wmax./100:wmax];
expr273 = wmax.^(-1);
expr274 = -((w8 - b(1))./(a(1).^2.*(1 + (w8 - b(1)).^2./a(1).^2)));
expr275 = -((w8 + b(1))./(a(1).^2.*(1 + (w8 + b(1)).^2./a(1).^2)));
expr276 = wmax.^(-3);
expr277 = -2.*wmax;
expr278 = 2.*a(1).*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1)));
expr279 = (2.*(wmax - b(1)).^2.*b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2));
expr280 = (-2.*b(1).*(wmax + b(1)).^2)./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2));
expr281 = -wmax.^2 - a(1).^2 + b(1).^2;
expr282 = -((wmax - b(1))./(a(1).^2.*(1 + (wmax - b(1)).^2./a(1).^2)));
expr283 = -((wmax + b(1))./(a(1).^2.*(1 + (wmax + b(1)).^2./a(1).^2)));
expr284 = -(b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr285 = b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr286 = angle(1 + (i.*(w8 - b(1)))./a(1));
expr287 = angle(1 + (i.*(w8 + b(1)))./a(1));
expr288 = angle(1 + (i.*(w8 - b(2)))./a(2));
expr289 = angle(1 + (i.*(w8 + b(2)))./a(2));
expr290 = angle(1 + (i.*(w8 - b(3)))./a(3));
expr291 = angle(1 + (i.*(w8 + b(3)))./a(3));
expr292 = angle(1 + (i.*(w8 - b(4)))./a(4));
expr293 = angle(1 + (i.*(w8 + b(4)))./a(4));
expr294 = 1./2;
expr295 = -2.*wmax.*a(1);
expr296 = angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1));
expr297 = -(a(1).*b(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr298 = a(1).*b(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr299 = -2.*wmax.*a(2);
expr300 = angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2));
expr301 = -wmax.^2 - a(2).^2 + b(2).^2;
expr302 = -(a(2).*b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr303 = a(2).*b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr304 = -2.*wmax.*a(3);
expr305 = angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3));
expr306 = -wmax.^2 - a(3).^2 + b(3).^2;
expr307 = -(a(3).*b(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr308 = a(3).*b(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr309 = -2.*wmax.*a(4);
expr310 = angle(1 + (i.*(wmax - b(4)))./a(4)) + angle(1 + (i.*(wmax + b(4)))./a(4));
expr311 = -wmax.^2 - a(4).^2 + b(4).^2;
expr312 = -(a(4).*b(4).*log(1 + (wmax - b(4)).^2./a(4).^2));
expr313 = a(4).*b(4).*log(1 + (wmax + b(4)).^2./a(4).^2);
expr314 = expr274 + expr275 + expr258.*expr276.*(expr277 + expr278 + expr279 + expr280 - expr281.*(expr282 + expr283) + expr284 + expr285).*w8;
expr315 = expr294.*(expr295 - expr281.*expr296 + expr297 + expr298);
expr316 = expr294.*(expr299 - expr300.*expr301 + expr302 + expr303);
expr317 = expr294.*(expr304 - expr305.*expr306 + expr307 + expr308);
expr318 = expr294.*(expr309 - expr310.*expr311 + expr312 + expr313);
expr319 = 2.*expr273.*expr314.*Wph.*(expr286 + expr287 + expr288 + expr289 + expr290 + expr291 + expr292 + expr293 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w8);
integrate8 = trapz(w8, expr319);
expr320 = 1./8;
expr321 = a(1).^(-1);
expr322 = a(2).^(-1);
expr323 = a(3).^(-1);
expr324 = a(4).^(-1);
expr325 = sqrt(a(1).^2 + b(1).^2);
expr326 = sqrt(a(2).^2 + b(2).^2);
expr327 = sqrt(a(3).^2 + b(3).^2);
expr328 = sqrt(a(4).^2 + b(4).^2);
expr329 = -3./4;
expr330 = sqrt(a(1).^2 + b(1).^2).^(-1);
expr331 = a(1).^(-2);
expr332 = (a(1) - a(2)).^2 + (b(1) - b(2)).^2;
expr333 = (a(1) - a(2)).^2 + (b(1) + b(2)).^2;
expr334 = (a(1) - a(3)).^2 + (b(1) - b(3)).^2;
expr335 = (a(1) - a(3)).^2 + (b(1) + b(3)).^2;
expr336 = (a(1) - a(4)).^2 + (b(1) - b(4)).^2;
expr337 = (a(1) - a(4)).^2 + (b(1) + b(4)).^2;
expr338 = b(1);
expr339 = angle(1 + (i.*(b(1) - b(2)))./(a(1) - a(2)));
expr340 = angle(1 + (i.*(b(1) + b(2)))./(a(1) - a(2)));
expr341 = angle(1 + (i.*(b(1) - b(3)))./(a(1) - a(3)));
expr342 = angle(1 + (i.*(b(1) + b(3)))./(a(1) - a(3)));
expr343 = angle(1 + (i.*(b(1) - b(4)))./(a(1) - a(4)));
expr344 = angle(1 + (i.*(b(1) + b(4)))./(a(1) - a(4)));
expr345 = (-a(1) + a(2)).^2 + (-b(1) + b(2)).^2;
expr346 = (-a(1) + a(2)).^2 + (b(1) + b(2)).^2;
expr347 = (a(2) - a(3)).^2 + (b(2) - b(3)).^2;
expr348 = (a(2) - a(3)).^2 + (b(2) + b(3)).^2;
expr349 = (a(2) - a(4)).^2 + (b(2) - b(4)).^2;
expr350 = (a(2) - a(4)).^2 + (b(2) + b(4)).^2;
expr351 = b(2);
expr352 = angle(1 + (i.*(-b(1) + b(2)))./(-a(1) + a(2)));
expr353 = angle(1 + (i.*(b(1) + b(2)))./(-a(1) + a(2)));
expr354 = angle(1 + (i.*(b(2) - b(3)))./(a(2) - a(3)));
expr355 = angle(1 + (i.*(b(2) + b(3)))./(a(2) - a(3)));
expr356 = angle(1 + (i.*(b(2) - b(4)))./(a(2) - a(4)));
expr357 = angle(1 + (i.*(b(2) + b(4)))./(a(2) - a(4)));
expr358 = a(2);
expr359 = (-a(1) + a(3)).^2 + (-b(1) + b(3)).^2;
expr360 = (-a(1) + a(3)).^2 + (b(1) + b(3)).^2;
expr361 = (-a(2) + a(3)).^2 + (-b(2) + b(3)).^2;
expr362 = (-a(2) + a(3)).^2 + (b(2) + b(3)).^2;
expr363 = (a(3) - a(4)).^2 + (b(3) - b(4)).^2;
expr364 = (a(3) - a(4)).^2 + (b(3) + b(4)).^2;
expr365 = b(3);
expr366 = angle(1 + (i.*(-b(1) + b(3)))./(-a(1) + a(3)));
expr367 = angle(1 + (i.*(b(1) + b(3)))./(-a(1) + a(3)));
expr368 = angle(1 + (i.*(-b(2) + b(3)))./(-a(2) + a(3)));
expr369 = angle(1 + (i.*(b(2) + b(3)))./(-a(2) + a(3)));
expr370 = angle(1 + (i.*(b(3) - b(4)))./(a(3) - a(4)));
expr371 = angle(1 + (i.*(b(3) + b(4)))./(a(3) - a(4)));
expr372 = a(3);
expr373 = (-a(1) + a(4)).^2 + (-b(1) + b(4)).^2;
expr374 = (-a(1) + a(4)).^2 + (b(1) + b(4)).^2;
expr375 = (-a(2) + a(4)).^2 + (-b(2) + b(4)).^2;
expr376 = (-a(2) + a(4)).^2 + (b(2) + b(4)).^2;
expr377 = (-a(3) + a(4)).^2 + (-b(3) + b(4)).^2;
expr378 = (-a(3) + a(4)).^2 + (b(3) + b(4)).^2;
expr379 = b(4);
expr380 = angle(1 + (i.*(-b(1) + b(4)))./(-a(1) + a(4)));
expr381 = angle(1 + (i.*(b(1) + b(4)))./(-a(1) + a(4)));
expr382 = angle(1 + (i.*(-b(2) + b(4)))./(-a(2) + a(4)));
expr383 = angle(1 + (i.*(b(2) + b(4)))./(-a(2) + a(4)));
expr384 = angle(1 + (i.*(-b(3) + b(4)))./(-a(3) + a(4)));
expr385 = angle(1 + (i.*(b(3) + b(4)))./(-a(3) + a(4)));
expr386 = a(4);
expr387 = a(1) - a(4);
expr388 = a(1) - a(3);
expr389 = a(1) - a(2);
expr390 = (a(1) - a(2)).^(-2);
expr391 = (1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2).^(-1);
expr392 = b(1) - b(2);
expr393 = -((b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr394 = (a(1) - a(3)).^(-2);
expr395 = (1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2).^(-1);
expr396 = b(1) - b(3);
expr397 = -((b(1) + b(3))./((a(1) - a(3)).^2.*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2)));
expr398 = (a(1) - a(4)).^(-2);
expr399 = (1 + (b(1) - b(4)).^2./(a(1) - a(4)).^2).^(-1);
expr400 = b(1) - b(4);
expr401 = -((b(1) + b(4))./((a(1) - a(4)).^2.*(1 + (b(1) + b(4)).^2./(a(1) - a(4)).^2)));
expr402 = (-a(1) + a(2)).^(-2);
expr403 = -b(1) + b(2);
expr404 = (1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2).^(-1);
expr405 = -((b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr406 = (-a(1) + a(3)).^(-2);
expr407 = -b(1) + b(3);
expr408 = (1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2).^(-1);
expr409 = -((b(1) + b(3))./((-a(1) + a(3)).^2.*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr410 = (b(1) + b(2))./((a(1) - a(2)).^2.*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr411 = (b(1) + b(3))./((a(1) - a(3)).^2.*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2));
expr412 = (b(1) + b(4))./((a(1) - a(4)).^2.*(1 + (b(1) + b(4)).^2./(a(1) - a(4)).^2));
expr413 = (-a(1) + a(4)).^(-2);
expr414 = -b(1) + b(4);
expr415 = (1 + (-b(1) + b(4)).^2./(-a(1) + a(4)).^2).^(-1);
expr416 = -((b(1) + b(4))./((-a(1) + a(4)).^2.*(1 + (b(1) + b(4)).^2./(-a(1) + a(4)).^2)));
expr417 = -1./4;
expr418 = -a(1) + a(2);
expr419 = (b(1) + b(2))./((-a(1) + a(2)).^2.*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr420 = -a(1) + a(3);
expr421 = (b(1) + b(3))./((-a(1) + a(3)).^2.*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr422 = -a(1) + a(4);
expr423 = (b(1) + b(4))./((-a(1) + a(4)).^2.*(1 + (b(1) + b(4)).^2./(-a(1) + a(4)).^2));
expr424 = expr320.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*(expr322.*expr323.*expr324.*expr326.*expr327.*expr328.*expr330 - expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328.*expr331).*WQ;
expr425 = (expr332.*expr333.*expr334.*expr335.*expr336.*expr337).^expr249;
expr426 = expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr427 = expr244 - (expr245.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344));
expr428 = (expr345.*expr346.*expr347.*expr348.*expr349.*expr350).^expr249;
expr429 = expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr430 = expr358 - (expr251.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357));
expr431 = (expr359.*expr360.*expr361.*expr362.*expr363.*expr364).^expr249;
expr432 = expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr433 = expr372 - (expr253.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371));
expr434 = (expr373.*expr374.*expr375.*expr376.*expr377.*expr378).^expr249;
expr435 = expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr436 = expr386 - (expr255.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385));
expr437 = (expr332.*expr333.*expr334.*expr335.*expr336.*expr337).^expr258;
expr438 = 2.*expr332.*expr333.*expr334.*expr335.*expr336.*expr387;
expr439 = 2.*expr332.*expr333.*expr334.*expr335.*expr337.*expr387;
expr440 = 2.*expr332.*expr333.*expr334.*expr336.*expr337.*expr388;
expr441 = 2.*expr332.*expr333.*expr335.*expr336.*expr337.*expr388;
expr442 = 2.*expr332.*expr334.*expr335.*expr336.*expr337.*expr389;
expr443 = 2.*expr333.*expr334.*expr335.*expr336.*expr337.*expr389;
expr444 = expr244.*(-(expr390.*expr391.*expr392) + expr393 - expr394.*expr395.*expr396 + expr397 - expr398.*expr399.*expr400 + expr401).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr445 = sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr446 = -(expr338.*(-(expr390.*expr391.*expr392) + expr393 - expr394.*expr395.*expr396 + expr397 - expr398.*expr399.*expr400 + expr401).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344));
expr447 = -(expr212.*(-(expr402.*expr403.*expr404) + expr405));
expr448 = -(expr219.*(-(expr406.*expr407.*expr408) + expr409));
expr449 = -(expr205.*(expr390.*expr391.*expr392 + expr394.*expr395.*expr396 + expr398.*expr399.*expr400 + expr410 + expr411 + expr412));
expr450 = -(expr226.*(-(expr413.*expr414.*expr415) + expr416));
expr451 = -(expr390.*expr391.*expr392) + expr393 - expr394.*expr395.*expr396 + expr397 - expr398.*expr399.*expr400 + expr401;
expr452 = cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr453 = (expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344)).^(-1);
expr454 = (-2.*expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344));
expr455 = (expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344)).^(-2);
expr456 = (expr345.*expr346.*expr347.*expr348.*expr349.*expr350).^expr258;
expr457 = -2.*expr345.*expr347.*expr348.*expr349.*expr350.*expr418 - 2.*expr346.*expr347.*expr348.*expr349.*expr350.*expr418;
expr458 = expr358.*(expr402.*expr403.*expr404 + expr419).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr402.*expr403.*expr404 + expr419).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr459 = expr402.*expr403.*expr404 + expr419;
expr460 = cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr461 = (expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357)).^(-1);
expr462 = sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr463 = (expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357)).^(-2);
expr464 = (expr359.*expr360.*expr361.*expr362.*expr363.*expr364).^expr258;
expr465 = -2.*expr359.*expr361.*expr362.*expr363.*expr364.*expr420 - 2.*expr360.*expr361.*expr362.*expr363.*expr364.*expr420;
expr466 = expr372.*(expr406.*expr407.*expr408 + expr421).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - expr365.*(expr406.*expr407.*expr408 + expr421).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr467 = expr406.*expr407.*expr408 + expr421;
expr468 = cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr469 = (expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371)).^(-1);
expr470 = sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr471 = (expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371)).^(-2);
expr472 = (expr373.*expr374.*expr375.*expr376.*expr377.*expr378).^expr258;
expr473 = -2.*expr373.*expr375.*expr376.*expr377.*expr378.*expr422 - 2.*expr374.*expr375.*expr376.*expr377.*expr378.*expr422;
expr474 = expr386.*(expr413.*expr414.*expr415 + expr423).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - expr379.*(expr413.*expr414.*expr415 + expr423).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr475 = expr413.*expr414.*expr415 + expr423;
expr476 = cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr477 = (expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385)).^(-1);
expr478 = sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr479 = (expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385)).^(-2);
expr480 = -(exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr244.*tpc).*(cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc) - expr205.*expr427.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc)));
expr481 = -(exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr358.*tpc).*(cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc) - expr212.*expr430.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc)));
expr482 = -(exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr372.*tpc).*(cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc) - expr219.*expr433.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc)));
expr483 = -(exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr386.*tpc).*(cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc) - expr226.*expr436.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc)));
expr484 = expr438 + expr439 + expr440 + expr441 + expr442 + expr443;
expr485 = expr444 + expr445 + expr446;
expr486 = exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr244.*tpc);
expr487 = expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr244.*(expr447 + expr448 + expr449 + expr450).*tpc;
expr488 = cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc) - expr205.*expr427.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr489 = expr417.*expr427.*(expr447 + expr448 + expr449 + expr450).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr490 = -(expr205.*(1 - expr245.*expr451.*expr452.*expr453 + expr454 + expr245.*expr445.*(expr444 + expr445 + expr446).*expr455).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr491 = expr338.*expr417.*(expr447 + expr448 + expr449 + expr450).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr492 = exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr358.*tpc);
expr493 = expr447 + expr448 + expr449 + expr450;
expr494 = cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc) - expr212.*expr430.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr495 = expr417.*expr430.*(expr447 + expr448 + expr449 + expr450).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr496 = -(expr212.*(-(expr251.*expr459.*expr460.*expr461) + expr251.*expr458.*expr462.*expr463).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr497 = expr351.*expr417.*(expr447 + expr448 + expr449 + expr450).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr498 = exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr372.*tpc);
expr499 = cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc) - expr219.*expr433.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr500 = expr417.*expr433.*(expr447 + expr448 + expr449 + expr450).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr501 = -(expr219.*(-(expr253.*expr467.*expr468.*expr469) + expr253.*expr466.*expr470.*expr471).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr502 = expr365.*expr417.*(expr447 + expr448 + expr449 + expr450).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr503 = exp(expr198.*(expr227 + expr228 + expr229 + expr230).*expr386.*tpc);
expr504 = cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc) - expr226.*expr436.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr505 = expr417.*expr436.*(expr447 + expr448 + expr449 + expr450).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr506 = -(expr226.*(-(expr255.*expr475.*expr476.*expr477) + expr255.*expr474.*expr478.*expr479).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr507 = expr379.*expr417.*(expr447 + expr448 + expr449 + expr450).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr508 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(1 + expr480);
expr509 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(1 + expr481);
expr510 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(1 + expr482);
expr511 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(1 + expr483);
expr512 = 2.*expr212.*expr244.*expr253.*expr255.*expr428.*expr429.*(1 + expr481);
expr513 = expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*expr457.*(1 + expr481);
expr514 = expr212.*expr245.*expr253.*expr255.*expr428.*expr458.*(1 + expr481);
expr515 = 2.*expr219.*expr244.*expr251.*expr255.*expr431.*expr432.*(1 + expr482);
expr516 = expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*expr465.*(1 + expr482);
expr517 = expr219.*expr245.*expr251.*expr255.*expr431.*expr466.*(1 + expr482);
expr518 = 2.*expr226.*expr244.*expr251.*expr253.*expr434.*expr435.*(1 + expr483);
expr519 = expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*expr473.*(1 + expr483);
expr520 = expr226.*expr245.*expr251.*expr253.*expr434.*expr474.*(1 + expr483);
expr521 = expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480).*expr484;
expr522 = expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480).*expr485;
expr523 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-(expr486.*expr487.*expr488) - expr486.*(expr489 + expr490 + expr491));
expr524 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-(expr492.*(expr495 + expr496 + expr497)) + expr358.*expr417.*expr492.*expr493.*expr494.*tpc);
expr525 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-(expr498.*(expr500 + expr501 + expr502)) + expr372.*expr417.*expr493.*expr498.*expr499.*tpc);
expr526 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-(expr503.*(expr505 + expr506 + expr507)) + expr386.*expr417.*expr493.*expr503.*expr504.*tpc);
expr527 = expr424 + integrate5 + integrate6 + integrate7 + integrate8 + 200.*(-1 + expr508 + expr509 + expr510 + expr511).*(expr512 + expr513 + expr514 + expr515 + expr516 + expr517 + expr518 + expr519 + expr520 + expr521 + expr522 + expr523 + expr524 + expr525 + expr526).*WO;
gf(1) = expr527;

%% Derivative for b(1)
w9 = [ws:(99.*ws)./100:100.*ws];
expr528 = -4.*w9.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr529 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-2);
expr530 = ((a(2).^2 + b(2).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr531 = ((a(3).^2 + b(3).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr532 = ((a(4).^2 + b(4).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr533 = ((a(1).^2 + b(1).^2).^2 + w9.^2.*(w9.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr534 = expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*expr528.*expr529.*expr530.*expr531.*expr532.*Wms + expr233.*expr237.*expr239.*expr241.*expr243.*expr245.*expr338.*expr530.*expr531.*expr532.*expr533.*Wms;
integrate9 = trapz(w9, expr534);
w10 = [0:wp./100:wp];
expr535 = -4.*w10.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr536 = (a(2).^2 + b(2).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(2).^2 - b(2).^2));
expr537 = (a(3).^2 + b(3).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(3).^2 - b(3).^2));
expr538 = (a(4).^2 + b(4).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(4).^2 - b(4).^2));
expr539 = (a(1).^2 + b(1).^2).^2 + w10.^2.*(w10.^2 + 2.*(a(1).^2 - b(1).^2));
expr540 = -1 + expr245.*expr251.*expr253.*expr255.*(expr536.*expr537.*expr538.*expr539).^expr249;
expr541 = 2.*expr251.*expr253.*expr255.*expr338.*(expr536.*expr537.*expr538.*expr539).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr535.*expr536.*expr537.*expr538.*(expr536.*expr537.*expr538.*expr539).^expr258;
expr542 = 2.*expr248.*expr540.*expr541.*Wmp;
integrate10 = trapz(w10, expr542);
w11 = [wp:(-wp + ws)./100:ws];
expr543 = -4.*w11.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr544 = (a(2).^2 + b(2).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(2).^2 - b(2).^2));
expr545 = (a(3).^2 + b(3).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(3).^2 - b(3).^2));
expr546 = (a(4).^2 + b(4).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(4).^2 - b(4).^2));
expr547 = (a(1).^2 + b(1).^2).^2 + w11.^2.*(w11.^2 + 2.*(a(1).^2 - b(1).^2));
expr548 = -(w11./(wp - ws));
expr549 = 2.*expr251.*expr253.*expr255.*expr338.*(expr544.*expr545.*expr546.*expr547).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr543.*expr544.*expr545.*expr546.*(expr544.*expr545.*expr546.*expr547).^expr258;
expr550 = expr268 + expr245.*expr251.*expr253.*expr255.*(expr544.*expr545.*expr546.*expr547).^expr249 + expr548;
expr551 = 2.*expr262.*expr549.*expr550.*Wmt;
integrate11 = trapz(w11, expr551);
w12 = [0:wmax./100:wmax];
expr552 = -(1./(a(1).*(1 + (w12 - b(1)).^2./a(1).^2)));
expr553 = 1./(a(1).*(1 + (w12 + b(1)).^2./a(1).^2));
expr554 = -2.*(angle(1 + (i.*(wmax - b(1)))./a(1)) + angle(1 + (i.*(wmax + b(1)))./a(1))).*b(1);
expr555 = (2.*(wmax - b(1)).*b(1))./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2));
expr556 = (2.*b(1).*(wmax + b(1)))./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr557 = -(1./(a(1).*(1 + (wmax - b(1)).^2./a(1).^2)));
expr558 = 1./(a(1).*(1 + (wmax + b(1)).^2./a(1).^2));
expr559 = -(a(1).*log(1 + (wmax - b(1)).^2./a(1).^2));
expr560 = a(1).*log(1 + (wmax + b(1)).^2./a(1).^2);
expr561 = angle(1 + (i.*(w12 - b(1)))./a(1));
expr562 = angle(1 + (i.*(w12 + b(1)))./a(1));
expr563 = angle(1 + (i.*(w12 - b(2)))./a(2));
expr564 = angle(1 + (i.*(w12 + b(2)))./a(2));
expr565 = angle(1 + (i.*(w12 - b(3)))./a(3));
expr566 = angle(1 + (i.*(w12 + b(3)))./a(3));
expr567 = angle(1 + (i.*(w12 - b(4)))./a(4));
expr568 = angle(1 + (i.*(w12 + b(4)))./a(4));
expr569 = expr552 + expr553 + expr258.*expr276.*(expr554 + expr555 + expr556 - expr281.*(expr557 + expr558) + expr559 + expr560).*w12;
expr570 = 2.*expr273.*expr569.*Wph.*(expr561 + expr562 + expr563 + expr564 + expr565 + expr566 + expr567 + expr568 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w12);
integrate12 = trapz(w12, expr570);
expr571 = b(1).^(-2);
expr572 = b(1) + b(4);
expr573 = b(1) + b(3);
expr574 = b(1) + b(2);
expr575 = 1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2));
expr576 = 1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2));
expr577 = 1./((a(1) - a(3)).*(1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2));
expr578 = 1./((a(1) - a(3)).*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2));
expr579 = 1./((a(1) - a(4)).*(1 + (b(1) - b(4)).^2./(a(1) - a(4)).^2));
expr580 = 1./((a(1) - a(4)).*(1 + (b(1) + b(4)).^2./(a(1) - a(4)).^2));
expr581 = 1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr582 = -(1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr583 = 1./((-a(1) + a(3)).*(1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr584 = -(1./((-a(1) + a(3)).*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr585 = -(1./((a(1) - a(2)).*(1 + (b(1) - b(2)).^2./(a(1) - a(2)).^2)));
expr586 = -(1./((a(1) - a(2)).*(1 + (b(1) + b(2)).^2./(a(1) - a(2)).^2)));
expr587 = -(1./((a(1) - a(3)).*(1 + (b(1) - b(3)).^2./(a(1) - a(3)).^2)));
expr588 = -(1./((a(1) - a(3)).*(1 + (b(1) + b(3)).^2./(a(1) - a(3)).^2)));
expr589 = -(1./((a(1) - a(4)).*(1 + (b(1) - b(4)).^2./(a(1) - a(4)).^2)));
expr590 = -(1./((a(1) - a(4)).*(1 + (b(1) + b(4)).^2./(a(1) - a(4)).^2)));
expr591 = 1./((-a(1) + a(4)).*(1 + (-b(1) + b(4)).^2./(-a(1) + a(4)).^2));
expr592 = -(1./((-a(1) + a(4)).*(1 + (b(1) + b(4)).^2./(-a(1) + a(4)).^2)));
expr593 = -(1./((-a(1) + a(2)).*(1 + (-b(1) + b(2)).^2./(-a(1) + a(2)).^2)));
expr594 = 1./((-a(1) + a(2)).*(1 + (b(1) + b(2)).^2./(-a(1) + a(2)).^2));
expr595 = -(1./((-a(1) + a(3)).*(1 + (-b(1) + b(3)).^2./(-a(1) + a(3)).^2)));
expr596 = 1./((-a(1) + a(3)).*(1 + (b(1) + b(3)).^2./(-a(1) + a(3)).^2));
expr597 = -(1./((-a(1) + a(4)).*(1 + (-b(1) + b(4)).^2./(-a(1) + a(4)).^2)));
expr598 = 1./((-a(1) + a(4)).*(1 + (b(1) + b(4)).^2./(-a(1) + a(4)).^2));
expr599 = expr320.*expr321.*expr322.*expr323.*expr324.*expr326.*expr327.*expr328.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*expr330.*expr338.*WQ;
expr600 = 2.*expr333.*expr334.*expr335.*expr336.*expr337.*expr392;
expr601 = 2.*expr332.*expr333.*expr335.*expr336.*expr337.*expr396;
expr602 = 2.*expr332.*expr333.*expr334.*expr335.*expr337.*expr400;
expr603 = 2.*expr332.*expr333.*expr334.*expr335.*expr336.*expr572;
expr604 = 2.*expr332.*expr333.*expr334.*expr336.*expr337.*expr573;
expr605 = 2.*expr332.*expr334.*expr335.*expr336.*expr337.*expr574;
expr606 = expr244.*(expr575 + expr576 + expr577 + expr578 + expr579 + expr580).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr607 = -(expr338.*(expr575 + expr576 + expr577 + expr578 + expr579 + expr580).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344));
expr608 = -(expr212.*(expr581 + expr582)) - expr219.*(expr583 + expr584) - expr205.*(expr585 + expr586 + expr587 + expr588 + expr589 + expr590) - expr226.*(expr591 + expr592) + expr571.*(expr199 + expr200 + expr201 + expr202 + expr203 + expr204 + pi);
expr609 = expr575 + expr576 + expr577 + expr578 + expr579 + expr580;
expr610 = (-2.*expr338.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344));
expr611 = -2.*expr346.*expr347.*expr348.*expr349.*expr350.*expr403 + 2.*expr345.*expr347.*expr348.*expr349.*expr350.*expr574;
expr612 = expr358.*(expr593 + expr594).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr593 + expr594).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr613 = -((expr251.*(expr593 + expr594).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357)));
expr614 = -2.*expr360.*expr361.*expr362.*expr363.*expr364.*expr407 + 2.*expr359.*expr361.*expr362.*expr363.*expr364.*expr573;
expr615 = expr372.*(expr595 + expr596).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - expr365.*(expr595 + expr596).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr616 = -((expr253.*(expr595 + expr596).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371)));
expr617 = -2.*expr374.*expr375.*expr376.*expr377.*expr378.*expr414 + 2.*expr373.*expr375.*expr376.*expr377.*expr378.*expr572;
expr618 = expr386.*(expr597 + expr598).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - expr379.*(expr597 + expr598).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr619 = -((expr255.*(expr597 + expr598).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385)));
expr620 = expr600 + expr601 + expr602 + expr603 + expr604 + expr605;
expr621 = expr452 + expr606 + expr607;
expr622 = -(expr205.*expr427.*(expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr338.*expr608.*tpc).*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr623 = expr427.*expr571.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr624 = -(expr205.*(expr245.*expr445.*expr455.*(expr452 + expr606 + expr607) - expr245.*expr452.*expr453.*expr609 + expr610).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr625 = -((expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr338.*expr608.*tpc).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr626 = expr417.*expr430.*expr608.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr627 = -(expr212.*(expr251.*expr462.*expr463.*expr612 + expr613).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr628 = expr351.*expr417.*expr608.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr629 = expr417.*expr433.*expr608.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr630 = -(expr219.*(expr253.*expr470.*expr471.*expr615 + expr616).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr631 = expr365.*expr417.*expr608.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr632 = expr417.*expr436.*expr608.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr633 = -(expr226.*(expr255.*expr478.*expr479.*expr618 + expr619).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr634 = expr379.*expr417.*expr608.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr635 = 2.*expr212.*expr253.*expr255.*expr338.*expr428.*expr429.*(1 + expr481);
expr636 = 2.*expr219.*expr251.*expr255.*expr338.*expr431.*expr432.*(1 + expr482);
expr637 = 2.*expr226.*expr251.*expr253.*expr338.*expr434.*expr435.*(1 + expr483);
expr638 = -(expr251.*expr253.*expr255.*expr425.*expr426.*(1 + expr480).*expr571);
expr639 = expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481).*expr611;
expr640 = expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481).*expr612;
expr641 = expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482).*expr614;
expr642 = expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482).*expr615;
expr643 = expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483).*expr617;
expr644 = expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483).*expr618;
expr645 = expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480).*expr620;
expr646 = expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480).*expr621;
expr647 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-(expr486.*(expr622 + expr623 + expr624 + expr625)) + expr244.*expr417.*expr486.*expr488.*expr608.*tpc);
expr648 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-(expr492.*(expr626 + expr627 + expr628)) + expr358.*expr417.*expr492.*expr494.*expr608.*tpc);
expr649 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-(expr498.*(expr629 + expr630 + expr631)) + expr372.*expr417.*expr498.*expr499.*expr608.*tpc);
expr650 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-(expr503.*(expr632 + expr633 + expr634)) + expr386.*expr417.*expr503.*expr504.*expr608.*tpc);
expr651 = expr599 + integrate10 + integrate11 + integrate12 + integrate9 + 200.*(-1 + expr508 + expr509 + expr510 + expr511).*(expr635 + expr636 + expr637 + expr638 + expr639 + expr640 + expr641 + expr642 + expr643 + expr644 + expr645 + expr646 + expr647 + expr648 + expr649 + expr650).*WO;
gf(5) = expr651;

%% Derivative for a(2)
w13 = [ws:(99.*ws)./100:100.*ws];
expr652 = ((a(1).^2 + b(1).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr653 = 4.*w13.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr654 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr655 = ((a(3).^2 + b(3).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr656 = ((a(4).^2 + b(4).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr657 = ((a(2).^2 + b(2).^2).^2 + w13.^2.*(w13.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr658 = expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*expr652.*expr653.*expr654.*expr655.*expr656.*Wms + expr233.*expr234.*expr239.*expr241.*expr243.*expr251.*expr358.*expr652.*expr655.*expr656.*expr657.*Wms;
integrate13 = trapz(w13, expr658);
w14 = [0:wp./100:wp];
expr659 = (a(1).^2 + b(1).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(1).^2 - b(1).^2));
expr660 = 4.*w14.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr661 = (a(3).^2 + b(3).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(3).^2 - b(3).^2));
expr662 = (a(4).^2 + b(4).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(4).^2 - b(4).^2));
expr663 = (a(2).^2 + b(2).^2).^2 + w14.^2.*(w14.^2 + 2.*(a(2).^2 - b(2).^2));
expr664 = -1 + expr245.*expr251.*expr253.*expr255.*(expr659.*expr661.*expr662.*expr663).^expr249;
expr665 = 2.*expr245.*expr253.*expr255.*expr358.*(expr659.*expr661.*expr662.*expr663).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr659.*expr660.*expr661.*expr662.*(expr659.*expr661.*expr662.*expr663).^expr258;
expr666 = 2.*expr248.*expr664.*expr665.*Wmp;
integrate14 = trapz(w14, expr666);
w15 = [wp:(-wp + ws)./100:ws];
expr667 = (a(1).^2 + b(1).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(1).^2 - b(1).^2));
expr668 = 4.*w15.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr669 = (a(3).^2 + b(3).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(3).^2 - b(3).^2));
expr670 = (a(4).^2 + b(4).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(4).^2 - b(4).^2));
expr671 = (a(2).^2 + b(2).^2).^2 + w15.^2.*(w15.^2 + 2.*(a(2).^2 - b(2).^2));
expr672 = -(w15./(wp - ws));
expr673 = 2.*expr245.*expr253.*expr255.*expr358.*(expr667.*expr669.*expr670.*expr671).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr667.*expr668.*expr669.*expr670.*(expr667.*expr669.*expr670.*expr671).^expr258;
expr674 = expr268 + expr245.*expr251.*expr253.*expr255.*(expr667.*expr669.*expr670.*expr671).^expr249 + expr672;
expr675 = 2.*expr262.*expr673.*expr674.*Wmt;
integrate15 = trapz(w15, expr675);
w16 = [0:wmax./100:wmax];
expr676 = -((w16 - b(2))./(a(2).^2.*(1 + (w16 - b(2)).^2./a(2).^2)));
expr677 = -((w16 + b(2))./(a(2).^2.*(1 + (w16 + b(2)).^2./a(2).^2)));
expr678 = 2.*a(2).*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2)));
expr679 = (2.*(wmax - b(2)).^2.*b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2));
expr680 = (-2.*b(2).*(wmax + b(2)).^2)./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2));
expr681 = -((wmax - b(2))./(a(2).^2.*(1 + (wmax - b(2)).^2./a(2).^2)));
expr682 = -((wmax + b(2))./(a(2).^2.*(1 + (wmax + b(2)).^2./a(2).^2)));
expr683 = -(b(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr684 = b(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr685 = angle(1 + (i.*(w16 - b(1)))./a(1));
expr686 = angle(1 + (i.*(w16 + b(1)))./a(1));
expr687 = angle(1 + (i.*(w16 - b(2)))./a(2));
expr688 = angle(1 + (i.*(w16 + b(2)))./a(2));
expr689 = angle(1 + (i.*(w16 - b(3)))./a(3));
expr690 = angle(1 + (i.*(w16 + b(3)))./a(3));
expr691 = angle(1 + (i.*(w16 - b(4)))./a(4));
expr692 = angle(1 + (i.*(w16 + b(4)))./a(4));
expr693 = expr676 + expr677 + expr258.*expr276.*(expr277 + expr678 + expr679 + expr680 - expr301.*(expr681 + expr682) + expr683 + expr684).*w16;
expr694 = 2.*expr273.*expr693.*Wph.*(expr685 + expr686 + expr687 + expr688 + expr689 + expr690 + expr691 + expr692 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w16);
integrate16 = trapz(w16, expr694);
expr695 = sqrt(a(2).^2 + b(2).^2).^(-1);
expr696 = a(2).^(-2);
expr697 = (-a(2) + a(3)).^(-2);
expr698 = -b(2) + b(3);
expr699 = (1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2).^(-1);
expr700 = -((b(2) + b(3))./((-a(2) + a(3)).^2.*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr701 = (a(2) - a(3)).^(-2);
expr702 = (1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2).^(-1);
expr703 = b(2) - b(3);
expr704 = (b(2) + b(3))./((a(2) - a(3)).^2.*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2));
expr705 = (a(2) - a(4)).^(-2);
expr706 = (1 + (b(2) - b(4)).^2./(a(2) - a(4)).^2).^(-1);
expr707 = b(2) - b(4);
expr708 = (b(2) + b(4))./((a(2) - a(4)).^2.*(1 + (b(2) + b(4)).^2./(a(2) - a(4)).^2));
expr709 = (-a(2) + a(4)).^(-2);
expr710 = -b(2) + b(4);
expr711 = (1 + (-b(2) + b(4)).^2./(-a(2) + a(4)).^2).^(-1);
expr712 = -((b(2) + b(4))./((-a(2) + a(4)).^2.*(1 + (b(2) + b(4)).^2./(-a(2) + a(4)).^2)));
expr713 = a(2) - a(4);
expr714 = a(2) - a(3);
expr715 = -((b(2) + b(3))./((a(2) - a(3)).^2.*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2)));
expr716 = -((b(2) + b(4))./((a(2) - a(4)).^2.*(1 + (b(2) + b(4)).^2./(a(2) - a(4)).^2)));
expr717 = -a(2) + a(3);
expr718 = (b(2) + b(3))./((-a(2) + a(3)).^2.*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr719 = -a(2) + a(4);
expr720 = (b(2) + b(4))./((-a(2) + a(4)).^2.*(1 + (b(2) + b(4)).^2./(-a(2) + a(4)).^2));
expr721 = expr320.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*(expr321.*expr323.*expr324.*expr325.*expr327.*expr328.*expr695 - expr321.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328.*expr696).*WQ;
expr722 = -2.*expr332.*expr334.*expr335.*expr336.*expr337.*expr389 - 2.*expr333.*expr334.*expr335.*expr336.*expr337.*expr389;
expr723 = expr244.*(expr390.*expr391.*expr392 + expr410).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr390.*expr391.*expr392 + expr410).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr724 = -(expr205.*(-(expr390.*expr391.*expr392) + expr393));
expr725 = -(expr219.*(-(expr697.*expr698.*expr699) + expr700));
expr726 = -(expr212.*(expr402.*expr403.*expr404 + expr419 + expr701.*expr702.*expr703 + expr704 + expr705.*expr706.*expr707 + expr708));
expr727 = -(expr226.*(-(expr709.*expr710.*expr711) + expr712));
expr728 = expr390.*expr391.*expr392 + expr410;
expr729 = 2.*expr345.*expr347.*expr348.*expr349.*expr350.*expr418;
expr730 = 2.*expr346.*expr347.*expr348.*expr349.*expr350.*expr418;
expr731 = 2.*expr345.*expr346.*expr347.*expr348.*expr349.*expr713;
expr732 = 2.*expr345.*expr346.*expr347.*expr348.*expr350.*expr713;
expr733 = 2.*expr345.*expr346.*expr347.*expr349.*expr350.*expr714;
expr734 = 2.*expr345.*expr346.*expr348.*expr349.*expr350.*expr714;
expr735 = expr358.*(-(expr402.*expr403.*expr404) + expr405 - expr701.*expr702.*expr703 - expr705.*expr706.*expr707 + expr715 + expr716).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr736 = -(expr351.*(-(expr402.*expr403.*expr404) + expr405 - expr701.*expr702.*expr703 - expr705.*expr706.*expr707 + expr715 + expr716).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357));
expr737 = -(expr402.*expr403.*expr404) + expr405 - expr701.*expr702.*expr703 - expr705.*expr706.*expr707 + expr715 + expr716;
expr738 = (-2.*expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357));
expr739 = -2.*expr359.*expr360.*expr361.*expr363.*expr364.*expr717 - 2.*expr359.*expr360.*expr362.*expr363.*expr364.*expr717;
expr740 = expr372.*(expr697.*expr698.*expr699 + expr718).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - expr365.*(expr697.*expr698.*expr699 + expr718).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr741 = expr697.*expr698.*expr699 + expr718;
expr742 = -2.*expr373.*expr374.*expr375.*expr377.*expr378.*expr719 - 2.*expr373.*expr374.*expr376.*expr377.*expr378.*expr719;
expr743 = expr386.*(expr709.*expr710.*expr711 + expr720).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - expr379.*(expr709.*expr710.*expr711 + expr720).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr744 = expr709.*expr710.*expr711 + expr720;
expr745 = expr724 + expr725 + expr726 + expr727;
expr746 = expr417.*expr427.*(expr724 + expr725 + expr726 + expr727).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr747 = -(expr205.*(expr245.*expr445.*expr455.*expr723 - expr245.*expr452.*expr453.*expr728).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr748 = expr338.*expr417.*(expr724 + expr725 + expr726 + expr727).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr749 = expr729 + expr730 + expr731 + expr732 + expr733 + expr734;
expr750 = expr462 + expr735 + expr736;
expr751 = expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr358.*(expr724 + expr725 + expr726 + expr727).*tpc;
expr752 = expr417.*expr430.*(expr724 + expr725 + expr726 + expr727).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr753 = -(expr212.*(1 + expr251.*expr462.*expr463.*(expr462 + expr735 + expr736) - expr251.*expr460.*expr461.*expr737 + expr738).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr754 = expr351.*expr417.*(expr724 + expr725 + expr726 + expr727).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr755 = expr417.*expr433.*(expr724 + expr725 + expr726 + expr727).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr756 = -(expr219.*(expr253.*expr470.*expr471.*expr740 - expr253.*expr468.*expr469.*expr741).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr757 = expr365.*expr417.*(expr724 + expr725 + expr726 + expr727).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr758 = expr417.*expr436.*(expr724 + expr725 + expr726 + expr727).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr759 = -(expr226.*(expr255.*expr478.*expr479.*expr743 - expr255.*expr476.*expr477.*expr744).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr760 = expr379.*expr417.*(expr724 + expr725 + expr726 + expr727).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr761 = 2.*expr205.*expr253.*expr255.*expr358.*expr425.*expr426.*(1 + expr480);
expr762 = 2.*expr219.*expr245.*expr255.*expr358.*expr431.*expr432.*(1 + expr482);
expr763 = 2.*expr226.*expr245.*expr253.*expr358.*expr434.*expr435.*(1 + expr483);
expr764 = expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480).*expr722;
expr765 = expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480).*expr723;
expr766 = expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482).*expr739;
expr767 = expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482).*expr740;
expr768 = expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483).*expr742;
expr769 = expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483).*expr743;
expr770 = expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481).*expr749;
expr771 = expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481).*expr750;
expr772 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-(expr492.*expr494.*expr751) - expr492.*(expr752 + expr753 + expr754));
expr773 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-(expr486.*(expr746 + expr747 + expr748)) + expr244.*expr417.*expr486.*expr488.*expr745.*tpc);
expr774 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-(expr498.*(expr755 + expr756 + expr757)) + expr372.*expr417.*expr498.*expr499.*expr745.*tpc);
expr775 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-(expr503.*(expr758 + expr759 + expr760)) + expr386.*expr417.*expr503.*expr504.*expr745.*tpc);
expr776 = expr721 + integrate13 + integrate14 + integrate15 + integrate16 + 200.*(-1 + expr508 + expr509 + expr510 + expr511).*(expr761 + expr762 + expr763 + expr764 + expr765 + expr766 + expr767 + expr768 + expr769 + expr770 + expr771 + expr772 + expr773 + expr774 + expr775).*WO;
gf(2) = expr776;

%% Derivative for b(2)
w17 = [ws:(99.*ws)./100:100.*ws];
expr777 = ((a(1).^2 + b(1).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr778 = -4.*w17.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr779 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-2);
expr780 = ((a(3).^2 + b(3).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr781 = ((a(4).^2 + b(4).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr782 = ((a(2).^2 + b(2).^2).^2 + w17.^2.*(w17.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr783 = expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*expr777.*expr778.*expr779.*expr780.*expr781.*Wms + expr233.*expr234.*expr239.*expr241.*expr243.*expr251.*expr351.*expr777.*expr780.*expr781.*expr782.*Wms;
integrate17 = trapz(w17, expr783);
w18 = [0:wp./100:wp];
expr784 = (a(1).^2 + b(1).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(1).^2 - b(1).^2));
expr785 = -4.*w18.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr786 = (a(3).^2 + b(3).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(3).^2 - b(3).^2));
expr787 = (a(4).^2 + b(4).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(4).^2 - b(4).^2));
expr788 = (a(2).^2 + b(2).^2).^2 + w18.^2.*(w18.^2 + 2.*(a(2).^2 - b(2).^2));
expr789 = -1 + expr245.*expr251.*expr253.*expr255.*(expr784.*expr786.*expr787.*expr788).^expr249;
expr790 = 2.*expr245.*expr253.*expr255.*expr351.*(expr784.*expr786.*expr787.*expr788).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr784.*expr785.*expr786.*expr787.*(expr784.*expr786.*expr787.*expr788).^expr258;
expr791 = 2.*expr248.*expr789.*expr790.*Wmp;
integrate18 = trapz(w18, expr791);
w19 = [wp:(-wp + ws)./100:ws];
expr792 = (a(1).^2 + b(1).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(1).^2 - b(1).^2));
expr793 = -4.*w19.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr794 = (a(3).^2 + b(3).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(3).^2 - b(3).^2));
expr795 = (a(4).^2 + b(4).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(4).^2 - b(4).^2));
expr796 = (a(2).^2 + b(2).^2).^2 + w19.^2.*(w19.^2 + 2.*(a(2).^2 - b(2).^2));
expr797 = -(w19./(wp - ws));
expr798 = 2.*expr245.*expr253.*expr255.*expr351.*(expr792.*expr794.*expr795.*expr796).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr792.*expr793.*expr794.*expr795.*(expr792.*expr794.*expr795.*expr796).^expr258;
expr799 = expr268 + expr245.*expr251.*expr253.*expr255.*(expr792.*expr794.*expr795.*expr796).^expr249 + expr797;
expr800 = 2.*expr262.*expr798.*expr799.*Wmt;
integrate19 = trapz(w19, expr800);
w20 = [0:wmax./100:wmax];
expr801 = -(1./(a(2).*(1 + (w20 - b(2)).^2./a(2).^2)));
expr802 = 1./(a(2).*(1 + (w20 + b(2)).^2./a(2).^2));
expr803 = -2.*(angle(1 + (i.*(wmax - b(2)))./a(2)) + angle(1 + (i.*(wmax + b(2)))./a(2))).*b(2);
expr804 = (2.*(wmax - b(2)).*b(2))./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2));
expr805 = (2.*b(2).*(wmax + b(2)))./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr806 = -(1./(a(2).*(1 + (wmax - b(2)).^2./a(2).^2)));
expr807 = 1./(a(2).*(1 + (wmax + b(2)).^2./a(2).^2));
expr808 = -(a(2).*log(1 + (wmax - b(2)).^2./a(2).^2));
expr809 = a(2).*log(1 + (wmax + b(2)).^2./a(2).^2);
expr810 = angle(1 + (i.*(w20 - b(1)))./a(1));
expr811 = angle(1 + (i.*(w20 + b(1)))./a(1));
expr812 = angle(1 + (i.*(w20 - b(2)))./a(2));
expr813 = angle(1 + (i.*(w20 + b(2)))./a(2));
expr814 = angle(1 + (i.*(w20 - b(3)))./a(3));
expr815 = angle(1 + (i.*(w20 + b(3)))./a(3));
expr816 = angle(1 + (i.*(w20 - b(4)))./a(4));
expr817 = angle(1 + (i.*(w20 + b(4)))./a(4));
expr818 = expr801 + expr802 + expr258.*expr276.*(expr803 + expr804 + expr805 - expr301.*(expr806 + expr807) + expr808 + expr809).*w20;
expr819 = 2.*expr273.*expr818.*Wph.*(expr810 + expr811 + expr812 + expr813 + expr814 + expr815 + expr816 + expr817 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w20);
integrate20 = trapz(w20, expr819);
expr820 = b(2).^(-2);
expr821 = 1./((-a(2) + a(3)).*(1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr822 = -(1./((-a(2) + a(3)).*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr823 = -(1./((a(2) - a(3)).*(1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2)));
expr824 = -(1./((a(2) - a(3)).*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2)));
expr825 = -(1./((a(2) - a(4)).*(1 + (b(2) - b(4)).^2./(a(2) - a(4)).^2)));
expr826 = -(1./((a(2) - a(4)).*(1 + (b(2) + b(4)).^2./(a(2) - a(4)).^2)));
expr827 = 1./((-a(2) + a(4)).*(1 + (-b(2) + b(4)).^2./(-a(2) + a(4)).^2));
expr828 = -(1./((-a(2) + a(4)).*(1 + (b(2) + b(4)).^2./(-a(2) + a(4)).^2)));
expr829 = b(2) + b(4);
expr830 = b(2) + b(3);
expr831 = 1./((a(2) - a(3)).*(1 + (b(2) - b(3)).^2./(a(2) - a(3)).^2));
expr832 = 1./((a(2) - a(3)).*(1 + (b(2) + b(3)).^2./(a(2) - a(3)).^2));
expr833 = 1./((a(2) - a(4)).*(1 + (b(2) - b(4)).^2./(a(2) - a(4)).^2));
expr834 = 1./((a(2) - a(4)).*(1 + (b(2) + b(4)).^2./(a(2) - a(4)).^2));
expr835 = -(1./((-a(2) + a(3)).*(1 + (-b(2) + b(3)).^2./(-a(2) + a(3)).^2)));
expr836 = 1./((-a(2) + a(3)).*(1 + (b(2) + b(3)).^2./(-a(2) + a(3)).^2));
expr837 = -(1./((-a(2) + a(4)).*(1 + (-b(2) + b(4)).^2./(-a(2) + a(4)).^2)));
expr838 = 1./((-a(2) + a(4)).*(1 + (b(2) + b(4)).^2./(-a(2) + a(4)).^2));
expr839 = expr320.*expr321.*expr322.*expr323.*expr324.*expr325.*expr327.*expr328.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*expr351.*expr695.*WQ;
expr840 = -2.*expr333.*expr334.*expr335.*expr336.*expr337.*expr392 + 2.*expr332.*expr334.*expr335.*expr336.*expr337.*expr574;
expr841 = expr244.*(expr576 + expr585).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr576 + expr585).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr842 = -(expr205.*(expr575 + expr586)) - expr219.*(expr821 + expr822) - expr212.*(expr582 + expr593 + expr823 + expr824 + expr825 + expr826) - expr226.*(expr827 + expr828) + expr820.*(expr206 + expr207 + expr208 + expr209 + expr210 + expr211 + pi);
expr843 = -((expr245.*(expr576 + expr585).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344)));
expr844 = 2.*expr346.*expr347.*expr348.*expr349.*expr350.*expr403;
expr845 = 2.*expr345.*expr347.*expr348.*expr349.*expr350.*expr574;
expr846 = 2.*expr345.*expr346.*expr348.*expr349.*expr350.*expr703;
expr847 = 2.*expr345.*expr346.*expr347.*expr348.*expr350.*expr707;
expr848 = 2.*expr345.*expr346.*expr347.*expr348.*expr349.*expr829;
expr849 = 2.*expr345.*expr346.*expr347.*expr349.*expr350.*expr830;
expr850 = expr358.*(expr581 + expr594 + expr831 + expr832 + expr833 + expr834).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr851 = -(expr351.*(expr581 + expr594 + expr831 + expr832 + expr833 + expr834).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357));
expr852 = expr581 + expr594 + expr831 + expr832 + expr833 + expr834;
expr853 = (-2.*expr351.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357));
expr854 = -2.*expr359.*expr360.*expr362.*expr363.*expr364.*expr698 + 2.*expr359.*expr360.*expr361.*expr363.*expr364.*expr830;
expr855 = expr372.*(expr835 + expr836).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - expr365.*(expr835 + expr836).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr856 = -((expr253.*(expr835 + expr836).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371)));
expr857 = -2.*expr373.*expr374.*expr376.*expr377.*expr378.*expr710 + 2.*expr373.*expr374.*expr375.*expr377.*expr378.*expr829;
expr858 = expr386.*(expr837 + expr838).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - expr379.*(expr837 + expr838).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr859 = -((expr255.*(expr837 + expr838).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385)));
expr860 = expr417.*expr427.*expr842.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr861 = -(expr205.*(expr245.*expr445.*expr455.*expr841 + expr843).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr862 = expr338.*expr417.*expr842.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr863 = expr844 + expr845 + expr846 + expr847 + expr848 + expr849;
expr864 = expr460 + expr850 + expr851;
expr865 = -(expr212.*expr430.*(expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr351.*expr842.*tpc).*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr866 = expr430.*expr820.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr867 = -(expr212.*(expr251.*expr462.*expr463.*(expr460 + expr850 + expr851) - expr251.*expr460.*expr461.*expr852 + expr853).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr868 = -((expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr351.*expr842.*tpc).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr869 = expr417.*expr433.*expr842.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr870 = -(expr219.*(expr253.*expr470.*expr471.*expr855 + expr856).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr871 = expr365.*expr417.*expr842.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr872 = expr417.*expr436.*expr842.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr873 = -(expr226.*(expr255.*expr478.*expr479.*expr858 + expr859).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr874 = expr379.*expr417.*expr842.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr875 = 2.*expr205.*expr253.*expr255.*expr351.*expr425.*expr426.*(1 + expr480);
expr876 = 2.*expr219.*expr245.*expr255.*expr351.*expr431.*expr432.*(1 + expr482);
expr877 = 2.*expr226.*expr245.*expr253.*expr351.*expr434.*expr435.*(1 + expr483);
expr878 = -(expr245.*expr253.*expr255.*expr428.*expr429.*(1 + expr481).*expr820);
expr879 = expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480).*expr840;
expr880 = expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480).*expr841;
expr881 = expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482).*expr854;
expr882 = expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482).*expr855;
expr883 = expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483).*expr857;
expr884 = expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483).*expr858;
expr885 = expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481).*expr863;
expr886 = expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481).*expr864;
expr887 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-(expr486.*(expr860 + expr861 + expr862)) + expr244.*expr417.*expr486.*expr488.*expr842.*tpc);
expr888 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-(expr492.*(expr865 + expr866 + expr867 + expr868)) + expr358.*expr417.*expr492.*expr494.*expr842.*tpc);
expr889 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-(expr498.*(expr869 + expr870 + expr871)) + expr372.*expr417.*expr498.*expr499.*expr842.*tpc);
expr890 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-(expr503.*(expr872 + expr873 + expr874)) + expr386.*expr417.*expr503.*expr504.*expr842.*tpc);
expr891 = expr839 + integrate17 + integrate18 + integrate19 + integrate20 + 200.*(-1 + expr508 + expr509 + expr510 + expr511).*(expr875 + expr876 + expr877 + expr878 + expr879 + expr880 + expr881 + expr882 + expr883 + expr884 + expr885 + expr886 + expr887 + expr888 + expr889 + expr890).*WO;
gf(6) = expr891;

%% Derivative for a(3)
w21 = [ws:(99.*ws)./100:100.*ws];
expr892 = ((a(1).^2 + b(1).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr893 = ((a(2).^2 + b(2).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr894 = 4.*w21.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr895 = ((a(3).^2 + b(3).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(3).^2 - b(3).^2))).^(-2);
expr896 = ((a(4).^2 + b(4).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr897 = ((a(3).^2 + b(3).^2).^2 + w21.^2.*(w21.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr898 = expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*expr892.*expr893.*expr894.*expr895.*expr896.*Wms + expr233.*expr234.*expr237.*expr241.*expr243.*expr253.*expr372.*expr892.*expr893.*expr896.*expr897.*Wms;
integrate21 = trapz(w21, expr898);
w22 = [0:wp./100:wp];
expr899 = (a(1).^2 + b(1).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(1).^2 - b(1).^2));
expr900 = (a(2).^2 + b(2).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(2).^2 - b(2).^2));
expr901 = 4.*w22.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr902 = (a(4).^2 + b(4).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(4).^2 - b(4).^2));
expr903 = (a(3).^2 + b(3).^2).^2 + w22.^2.*(w22.^2 + 2.*(a(3).^2 - b(3).^2));
expr904 = -1 + expr245.*expr251.*expr253.*expr255.*(expr899.*expr900.*expr902.*expr903).^expr249;
expr905 = 2.*expr245.*expr251.*expr255.*expr372.*(expr899.*expr900.*expr902.*expr903).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr899.*expr900.*expr901.*expr902.*(expr899.*expr900.*expr902.*expr903).^expr258;
expr906 = 2.*expr248.*expr904.*expr905.*Wmp;
integrate22 = trapz(w22, expr906);
w23 = [wp:(-wp + ws)./100:ws];
expr907 = (a(1).^2 + b(1).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(1).^2 - b(1).^2));
expr908 = (a(2).^2 + b(2).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(2).^2 - b(2).^2));
expr909 = 4.*w23.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr910 = (a(4).^2 + b(4).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(4).^2 - b(4).^2));
expr911 = (a(3).^2 + b(3).^2).^2 + w23.^2.*(w23.^2 + 2.*(a(3).^2 - b(3).^2));
expr912 = -(w23./(wp - ws));
expr913 = 2.*expr245.*expr251.*expr255.*expr372.*(expr907.*expr908.*expr910.*expr911).^expr249 + expr245.*expr249.*expr251.*expr253.*expr255.*expr907.*expr908.*expr909.*expr910.*(expr907.*expr908.*expr910.*expr911).^expr258;
expr914 = expr268 + expr245.*expr251.*expr253.*expr255.*(expr907.*expr908.*expr910.*expr911).^expr249 + expr912;
expr915 = 2.*expr262.*expr913.*expr914.*Wmt;
integrate23 = trapz(w23, expr915);
w24 = [0:wmax./100:wmax];
expr916 = -((w24 - b(3))./(a(3).^2.*(1 + (w24 - b(3)).^2./a(3).^2)));
expr917 = -((w24 + b(3))./(a(3).^2.*(1 + (w24 + b(3)).^2./a(3).^2)));
expr918 = 2.*a(3).*(angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3)));
expr919 = (2.*(wmax - b(3)).^2.*b(3))./(a(3).^2.*(1 + (wmax - b(3)).^2./a(3).^2));
expr920 = (-2.*b(3).*(wmax + b(3)).^2)./(a(3).^2.*(1 + (wmax + b(3)).^2./a(3).^2));
expr921 = -((wmax - b(3))./(a(3).^2.*(1 + (wmax - b(3)).^2./a(3).^2)));
expr922 = -((wmax + b(3))./(a(3).^2.*(1 + (wmax + b(3)).^2./a(3).^2)));
expr923 = -(b(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr924 = b(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr925 = angle(1 + (i.*(w24 - b(1)))./a(1));
expr926 = angle(1 + (i.*(w24 + b(1)))./a(1));
expr927 = angle(1 + (i.*(w24 - b(2)))./a(2));
expr928 = angle(1 + (i.*(w24 + b(2)))./a(2));
expr929 = angle(1 + (i.*(w24 - b(3)))./a(3));
expr930 = angle(1 + (i.*(w24 + b(3)))./a(3));
expr931 = angle(1 + (i.*(w24 - b(4)))./a(4));
expr932 = angle(1 + (i.*(w24 + b(4)))./a(4));
expr933 = expr916 + expr917 + expr258.*expr276.*(expr277 + expr918 + expr919 + expr920 - expr306.*(expr921 + expr922) + expr923 + expr924).*w24;
expr934 = 2.*expr273.*expr933.*Wph.*(expr925 + expr926 + expr927 + expr928 + expr929 + expr930 + expr931 + expr932 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w24);
integrate24 = trapz(w24, expr934);
expr935 = sqrt(a(3).^2 + b(3).^2).^(-1);
expr936 = a(3).^(-2);
expr937 = (a(3) - a(4)).^(-2);
expr938 = (1 + (b(3) - b(4)).^2./(a(3) - a(4)).^2).^(-1);
expr939 = b(3) - b(4);
expr940 = (b(3) + b(4))./((a(3) - a(4)).^2.*(1 + (b(3) + b(4)).^2./(a(3) - a(4)).^2));
expr941 = (-a(3) + a(4)).^(-2);
expr942 = -b(3) + b(4);
expr943 = (1 + (-b(3) + b(4)).^2./(-a(3) + a(4)).^2).^(-1);
expr944 = -((b(3) + b(4))./((-a(3) + a(4)).^2.*(1 + (b(3) + b(4)).^2./(-a(3) + a(4)).^2)));
expr945 = a(3) - a(4);
expr946 = -((b(3) + b(4))./((a(3) - a(4)).^2.*(1 + (b(3) + b(4)).^2./(a(3) - a(4)).^2)));
expr947 = -a(3) + a(4);
expr948 = (b(3) + b(4))./((-a(3) + a(4)).^2.*(1 + (b(3) + b(4)).^2./(-a(3) + a(4)).^2));
expr949 = expr320.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*(expr321.*expr322.*expr324.*expr325.*expr326.*expr328.*expr935 - expr321.*expr322.*expr324.*expr325.*expr326.*expr327.*expr328.*expr936).*WQ;
expr950 = -2.*expr332.*expr333.*expr334.*expr336.*expr337.*expr388 - 2.*expr332.*expr333.*expr335.*expr336.*expr337.*expr388;
expr951 = expr244.*(expr394.*expr395.*expr396 + expr411).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr394.*expr395.*expr396 + expr411).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr952 = -(expr205.*(-(expr394.*expr395.*expr396) + expr397));
expr953 = -(expr212.*(-(expr701.*expr702.*expr703) + expr715));
expr954 = -(expr219.*(expr406.*expr407.*expr408 + expr421 + expr697.*expr698.*expr699 + expr718 + expr937.*expr938.*expr939 + expr940));
expr955 = -(expr226.*(-(expr941.*expr942.*expr943) + expr944));
expr956 = expr394.*expr395.*expr396 + expr411;
expr957 = -2.*expr345.*expr346.*expr347.*expr349.*expr350.*expr714 - 2.*expr345.*expr346.*expr348.*expr349.*expr350.*expr714;
expr958 = expr358.*(expr701.*expr702.*expr703 + expr704).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr701.*expr702.*expr703 + expr704).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr959 = expr701.*expr702.*expr703 + expr704;
expr960 = 2.*expr359.*expr361.*expr362.*expr363.*expr364.*expr420;
expr961 = 2.*expr360.*expr361.*expr362.*expr363.*expr364.*expr420;
expr962 = 2.*expr359.*expr360.*expr361.*expr363.*expr364.*expr717;
expr963 = 2.*expr359.*expr360.*expr362.*expr363.*expr364.*expr717;
expr964 = 2.*expr359.*expr360.*expr361.*expr362.*expr363.*expr945;
expr965 = 2.*expr359.*expr360.*expr361.*expr362.*expr364.*expr945;
expr966 = expr372.*(-(expr406.*expr407.*expr408) + expr409 - expr697.*expr698.*expr699 + expr700 - expr937.*expr938.*expr939 + expr946).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr967 = -(expr365.*(-(expr406.*expr407.*expr408) + expr409 - expr697.*expr698.*expr699 + expr700 - expr937.*expr938.*expr939 + expr946).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371));
expr968 = -(expr406.*expr407.*expr408) + expr409 - expr697.*expr698.*expr699 + expr700 - expr937.*expr938.*expr939 + expr946;
expr969 = (-2.*expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371));
expr970 = -2.*expr373.*expr374.*expr375.*expr376.*expr377.*expr947 - 2.*expr373.*expr374.*expr375.*expr376.*expr378.*expr947;
expr971 = expr386.*(expr941.*expr942.*expr943 + expr948).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - expr379.*(expr941.*expr942.*expr943 + expr948).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr972 = expr941.*expr942.*expr943 + expr948;
expr973 = expr952 + expr953 + expr954 + expr955;
expr974 = expr417.*expr427.*(expr952 + expr953 + expr954 + expr955).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr975 = -(expr205.*(expr245.*expr445.*expr455.*expr951 - expr245.*expr452.*expr453.*expr956).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr976 = expr338.*expr417.*(expr952 + expr953 + expr954 + expr955).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr977 = expr417.*expr430.*(expr952 + expr953 + expr954 + expr955).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr978 = -(expr212.*(expr251.*expr462.*expr463.*expr958 - expr251.*expr460.*expr461.*expr959).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr979 = expr351.*expr417.*(expr952 + expr953 + expr954 + expr955).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr980 = expr960 + expr961 + expr962 + expr963 + expr964 + expr965;
expr981 = expr470 + expr966 + expr967;
expr982 = expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr198.*expr372.*(expr952 + expr953 + expr954 + expr955).*tpc;
expr983 = expr417.*expr433.*(expr952 + expr953 + expr954 + expr955).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr984 = -(expr219.*(1 + expr253.*expr470.*expr471.*(expr470 + expr966 + expr967) - expr253.*expr468.*expr469.*expr968 + expr969).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr985 = expr365.*expr417.*(expr952 + expr953 + expr954 + expr955).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr986 = expr417.*expr436.*(expr952 + expr953 + expr954 + expr955).*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr987 = -(expr226.*(expr255.*expr478.*expr479.*expr971 - expr255.*expr476.*expr477.*expr972).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr988 = expr379.*expr417.*(expr952 + expr953 + expr954 + expr955).*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr989 = 2.*expr205.*expr251.*expr255.*expr372.*expr425.*expr426.*(1 + expr480);
expr990 = 2.*expr212.*expr245.*expr255.*expr372.*expr428.*expr429.*(1 + expr481);
expr991 = 2.*expr226.*expr245.*expr251.*expr372.*expr434.*expr435.*(1 + expr483);
expr992 = expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480).*expr950;
expr993 = expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480).*expr951;
expr994 = expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481).*expr957;
expr995 = expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481).*expr958;
expr996 = expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483).*expr970;
expr997 = expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483).*expr971;
expr998 = expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482).*expr980;
expr999 = expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482).*expr981;
expr1000 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-(expr498.*expr499.*expr982) - expr498.*(expr983 + expr984 + expr985));
expr1001 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-(expr486.*(expr974 + expr975 + expr976)) + expr244.*expr417.*expr486.*expr488.*expr973.*tpc);
expr1002 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-(expr492.*(expr977 + expr978 + expr979)) + expr358.*expr417.*expr492.*expr494.*expr973.*tpc);
expr1003 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-(expr503.*(expr986 + expr987 + expr988)) + expr386.*expr417.*expr503.*expr504.*expr973.*tpc);
expr1004 = expr949 + integrate21 + integrate22 + integrate23 + integrate24 + 200.*(-1 + expr508 + expr509 + expr510 + expr511).*(expr1000 + expr1001 + expr1002 + expr1003 + expr989 + expr990 + expr991 + expr992 + expr993 + expr994 + expr995 + expr996 + expr997 + expr998 + expr999).*WO;
gf(3) = expr1004;

%% Derivative for b(3)
w25 = [ws:(99.*ws)./100:100.*ws];
expr1005 = ((a(1).^2 + b(1).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr1006 = ((a(2).^2 + b(2).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr1007 = -4.*w25.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1008 = ((a(3).^2 + b(3).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(3).^2 - b(3).^2))).^(-2);
expr1009 = ((a(4).^2 + b(4).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr1010 = ((a(3).^2 + b(3).^2).^2 + w25.^2.*(w25.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr1011 = expr1005.*expr1006.*expr1007.*expr1008.*expr1009.*expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*Wms + expr1005.*expr1006.*expr1009.*expr1010.*expr233.*expr234.*expr237.*expr241.*expr243.*expr253.*expr365.*Wms;
integrate25 = trapz(w25, expr1011);
w26 = [0:wp./100:wp];
expr1012 = (a(1).^2 + b(1).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(1).^2 - b(1).^2));
expr1013 = (a(2).^2 + b(2).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(2).^2 - b(2).^2));
expr1014 = -4.*w26.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1015 = (a(4).^2 + b(4).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(4).^2 - b(4).^2));
expr1016 = (a(3).^2 + b(3).^2).^2 + w26.^2.*(w26.^2 + 2.*(a(3).^2 - b(3).^2));
expr1017 = -1 + (expr1012.*expr1013.*expr1015.*expr1016).^expr249.*expr245.*expr251.*expr253.*expr255;
expr1018 = expr1012.*expr1013.*expr1014.*expr1015.*(expr1012.*expr1013.*expr1015.*expr1016).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1012.*expr1013.*expr1015.*expr1016).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1019 = 2.*expr1017.*expr1018.*expr248.*Wmp;
integrate26 = trapz(w26, expr1019);
w27 = [wp:(-wp + ws)./100:ws];
expr1020 = (a(1).^2 + b(1).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(1).^2 - b(1).^2));
expr1021 = (a(2).^2 + b(2).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(2).^2 - b(2).^2));
expr1022 = -4.*w27.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1023 = (a(4).^2 + b(4).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(4).^2 - b(4).^2));
expr1024 = (a(3).^2 + b(3).^2).^2 + w27.^2.*(w27.^2 + 2.*(a(3).^2 - b(3).^2));
expr1025 = -(w27./(wp - ws));
expr1026 = expr1025 + (expr1020.*expr1021.*expr1023.*expr1024).^expr249.*expr245.*expr251.*expr253.*expr255 + expr268;
expr1027 = expr1020.*expr1021.*expr1022.*expr1023.*(expr1020.*expr1021.*expr1023.*expr1024).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1020.*expr1021.*expr1023.*expr1024).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1028 = 2.*expr1026.*expr1027.*expr262.*Wmt;
integrate27 = trapz(w27, expr1028);
w28 = [0:wmax./100:wmax];
expr1029 = -(1./(a(3).*(1 + (w28 - b(3)).^2./a(3).^2)));
expr1030 = 1./(a(3).*(1 + (w28 + b(3)).^2./a(3).^2));
expr1031 = -2.*(angle(1 + (i.*(wmax - b(3)))./a(3)) + angle(1 + (i.*(wmax + b(3)))./a(3))).*b(3);
expr1032 = (2.*(wmax - b(3)).*b(3))./(a(3).*(1 + (wmax - b(3)).^2./a(3).^2));
expr1033 = (2.*b(3).*(wmax + b(3)))./(a(3).*(1 + (wmax + b(3)).^2./a(3).^2));
expr1034 = -(1./(a(3).*(1 + (wmax - b(3)).^2./a(3).^2)));
expr1035 = 1./(a(3).*(1 + (wmax + b(3)).^2./a(3).^2));
expr1036 = -(a(3).*log(1 + (wmax - b(3)).^2./a(3).^2));
expr1037 = a(3).*log(1 + (wmax + b(3)).^2./a(3).^2);
expr1038 = angle(1 + (i.*(w28 - b(1)))./a(1));
expr1039 = angle(1 + (i.*(w28 + b(1)))./a(1));
expr1040 = angle(1 + (i.*(w28 - b(2)))./a(2));
expr1041 = angle(1 + (i.*(w28 + b(2)))./a(2));
expr1042 = angle(1 + (i.*(w28 - b(3)))./a(3));
expr1043 = angle(1 + (i.*(w28 + b(3)))./a(3));
expr1044 = angle(1 + (i.*(w28 - b(4)))./a(4));
expr1045 = angle(1 + (i.*(w28 + b(4)))./a(4));
expr1046 = expr1029 + expr1030 + expr258.*expr276.*(expr1031 + expr1032 + expr1033 + expr1036 + expr1037 - (expr1034 + expr1035).*expr306).*w28;
expr1047 = 2.*expr1046.*expr273.*Wph.*(expr1038 + expr1039 + expr1040 + expr1041 + expr1042 + expr1043 + expr1044 + expr1045 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w28);
integrate28 = trapz(w28, expr1047);
expr1048 = b(3).^(-2);
expr1049 = -(1./((a(3) - a(4)).*(1 + (b(3) - b(4)).^2./(a(3) - a(4)).^2)));
expr1050 = -(1./((a(3) - a(4)).*(1 + (b(3) + b(4)).^2./(a(3) - a(4)).^2)));
expr1051 = 1./((-a(3) + a(4)).*(1 + (-b(3) + b(4)).^2./(-a(3) + a(4)).^2));
expr1052 = -(1./((-a(3) + a(4)).*(1 + (b(3) + b(4)).^2./(-a(3) + a(4)).^2)));
expr1053 = b(3) + b(4);
expr1054 = 1./((a(3) - a(4)).*(1 + (b(3) - b(4)).^2./(a(3) - a(4)).^2));
expr1055 = 1./((a(3) - a(4)).*(1 + (b(3) + b(4)).^2./(a(3) - a(4)).^2));
expr1056 = -(1./((-a(3) + a(4)).*(1 + (-b(3) + b(4)).^2./(-a(3) + a(4)).^2)));
expr1057 = 1./((-a(3) + a(4)).*(1 + (b(3) + b(4)).^2./(-a(3) + a(4)).^2));
expr1058 = expr320.*expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr328.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*expr365.*expr935.*WQ;
expr1059 = -2.*expr332.*expr333.*expr335.*expr336.*expr337.*expr396 + 2.*expr332.*expr333.*expr334.*expr336.*expr337.*expr573;
expr1060 = expr244.*(expr578 + expr587).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr578 + expr587).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr1061 = -((expr1051 + expr1052).*expr226) - expr205.*(expr577 + expr588) - expr212.*(expr824 + expr831) - expr219.*(expr1049 + expr1050 + expr584 + expr595 + expr822 + expr835) + expr1048.*(expr213 + expr214 + expr215 + expr216 + expr217 + expr218 + pi);
expr1062 = -((expr245.*(expr578 + expr587).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344)));
expr1063 = -2.*expr345.*expr346.*expr348.*expr349.*expr350.*expr703 + 2.*expr345.*expr346.*expr347.*expr349.*expr350.*expr830;
expr1064 = expr358.*(expr823 + expr832).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr823 + expr832).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr1065 = -((expr251.*(expr823 + expr832).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357)));
expr1066 = 2.*expr1053.*expr359.*expr360.*expr361.*expr362.*expr363;
expr1067 = 2.*expr360.*expr361.*expr362.*expr363.*expr364.*expr407;
expr1068 = 2.*expr359.*expr361.*expr362.*expr363.*expr364.*expr573;
expr1069 = 2.*expr359.*expr360.*expr362.*expr363.*expr364.*expr698;
expr1070 = 2.*expr359.*expr360.*expr361.*expr363.*expr364.*expr830;
expr1071 = 2.*expr359.*expr360.*expr361.*expr362.*expr364.*expr939;
expr1072 = expr372.*(expr1054 + expr1055 + expr583 + expr596 + expr821 + expr836).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr1073 = -(expr365.*(expr1054 + expr1055 + expr583 + expr596 + expr821 + expr836).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371));
expr1074 = expr1054 + expr1055 + expr583 + expr596 + expr821 + expr836;
expr1075 = (-2.*expr365.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371));
expr1076 = (expr1056 + expr1057).*expr386.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) - (expr1056 + expr1057).*expr379.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr1077 = 2.*expr1053.*expr373.*expr374.*expr375.*expr376.*expr377 - 2.*expr373.*expr374.*expr375.*expr376.*expr378.*expr942;
expr1078 = -(((expr1056 + expr1057).*expr255.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385)));
expr1079 = expr1061.*expr417.*expr427.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1080 = -(expr205.*(expr1062 + expr1060.*expr245.*expr445.*expr455).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr1081 = expr1061.*expr338.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1082 = expr1061.*expr417.*expr430.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1083 = -(expr212.*(expr1065 + expr1064.*expr251.*expr462.*expr463).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr1084 = expr1061.*expr351.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1085 = expr1066 + expr1067 + expr1068 + expr1069 + expr1070 + expr1071;
expr1086 = expr1072 + expr1073 + expr468;
expr1087 = -(expr219.*expr433.*(expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr1061.*expr198.*expr365.*tpc).*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr1088 = expr1048.*expr433.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr1089 = -(expr219.*(expr1075 - expr1074.*expr253.*expr468.*expr469 + expr253.*(expr1072 + expr1073 + expr468).*expr470.*expr471).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr1090 = -((expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr1061.*expr198.*expr365.*tpc).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr1091 = expr1061.*expr417.*expr436.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr1092 = -(expr226.*(expr1078 + expr1076.*expr255.*expr478.*expr479).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr1093 = expr1061.*expr379.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr1094 = expr1060.*expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480);
expr1095 = 2.*expr205.*expr251.*expr255.*expr365.*expr425.*expr426.*(1 + expr480);
expr1096 = expr1059.*expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480);
expr1097 = expr1064.*expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481);
expr1098 = 2.*expr212.*expr245.*expr255.*expr365.*expr428.*expr429.*(1 + expr481);
expr1099 = expr1063.*expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481);
expr1100 = expr1086.*expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482);
expr1101 = -(expr1048.*expr245.*expr251.*expr255.*expr431.*expr432.*(1 + expr482));
expr1102 = expr1085.*expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482);
expr1103 = expr1076.*expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483);
expr1104 = 2.*expr226.*expr245.*expr251.*expr365.*expr434.*expr435.*(1 + expr483);
expr1105 = expr1077.*expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483);
expr1106 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-((expr1079 + expr1080 + expr1081).*expr486) + expr1061.*expr244.*expr417.*expr486.*expr488.*tpc);
expr1107 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-((expr1082 + expr1083 + expr1084).*expr492) + expr1061.*expr358.*expr417.*expr492.*expr494.*tpc);
expr1108 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-((expr1087 + expr1088 + expr1089 + expr1090).*expr498) + expr1061.*expr372.*expr417.*expr498.*expr499.*tpc);
expr1109 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-((expr1091 + expr1092 + expr1093).*expr503) + expr1061.*expr386.*expr417.*expr503.*expr504.*tpc);
expr1110 = expr1058 + integrate25 + integrate26 + integrate27 + integrate28 + 200.*(expr1094 + expr1095 + expr1096 + expr1097 + expr1098 + expr1099 + expr1100 + expr1101 + expr1102 + expr1103 + expr1104 + expr1105 + expr1106 + expr1107 + expr1108 + expr1109).*(-1 + expr508 + expr509 + expr510 + expr511).*WO;
gf(7) = expr1110;

%% Derivative for a(4)
w29 = [ws:(99.*ws)./100:100.*ws];
expr1111 = ((a(1).^2 + b(1).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr1112 = ((a(2).^2 + b(2).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr1113 = ((a(3).^2 + b(3).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr1114 = 4.*w29.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1115 = ((a(4).^2 + b(4).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(4).^2 - b(4).^2))).^(-2);
expr1116 = ((a(4).^2 + b(4).^2).^2 + w29.^2.*(w29.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr1117 = expr1111.*expr1112.*expr1113.*expr1114.*expr1115.*expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*Wms + expr1111.*expr1112.*expr1113.*expr1116.*expr233.*expr234.*expr237.*expr239.*expr243.*expr255.*expr386.*Wms;
integrate29 = trapz(w29, expr1117);
w30 = [0:wp./100:wp];
expr1118 = (a(1).^2 + b(1).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(1).^2 - b(1).^2));
expr1119 = (a(2).^2 + b(2).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(2).^2 - b(2).^2));
expr1120 = (a(3).^2 + b(3).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(3).^2 - b(3).^2));
expr1121 = 4.*w30.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1122 = (a(4).^2 + b(4).^2).^2 + w30.^2.*(w30.^2 + 2.*(a(4).^2 - b(4).^2));
expr1123 = -1 + (expr1118.*expr1119.*expr1120.*expr1122).^expr249.*expr245.*expr251.*expr253.*expr255;
expr1124 = expr1118.*expr1119.*expr1120.*expr1121.*(expr1118.*expr1119.*expr1120.*expr1122).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1118.*expr1119.*expr1120.*expr1122).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1125 = 2.*expr1123.*expr1124.*expr248.*Wmp;
integrate30 = trapz(w30, expr1125);
w31 = [wp:(-wp + ws)./100:ws];
expr1126 = (a(1).^2 + b(1).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(1).^2 - b(1).^2));
expr1127 = (a(2).^2 + b(2).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(2).^2 - b(2).^2));
expr1128 = (a(3).^2 + b(3).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(3).^2 - b(3).^2));
expr1129 = 4.*w31.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1130 = (a(4).^2 + b(4).^2).^2 + w31.^2.*(w31.^2 + 2.*(a(4).^2 - b(4).^2));
expr1131 = -(w31./(wp - ws));
expr1132 = expr1131 + (expr1126.*expr1127.*expr1128.*expr1130).^expr249.*expr245.*expr251.*expr253.*expr255 + expr268;
expr1133 = expr1126.*expr1127.*expr1128.*expr1129.*(expr1126.*expr1127.*expr1128.*expr1130).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1126.*expr1127.*expr1128.*expr1130).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1134 = 2.*expr1132.*expr1133.*expr262.*Wmt;
integrate31 = trapz(w31, expr1134);
w32 = [0:wmax./100:wmax];
expr1135 = -((w32 - b(4))./(a(4).^2.*(1 + (w32 - b(4)).^2./a(4).^2)));
expr1136 = -((w32 + b(4))./(a(4).^2.*(1 + (w32 + b(4)).^2./a(4).^2)));
expr1137 = 2.*a(4).*(angle(1 + (i.*(wmax - b(4)))./a(4)) + angle(1 + (i.*(wmax + b(4)))./a(4)));
expr1138 = (2.*(wmax - b(4)).^2.*b(4))./(a(4).^2.*(1 + (wmax - b(4)).^2./a(4).^2));
expr1139 = (-2.*b(4).*(wmax + b(4)).^2)./(a(4).^2.*(1 + (wmax + b(4)).^2./a(4).^2));
expr1140 = -((wmax - b(4))./(a(4).^2.*(1 + (wmax - b(4)).^2./a(4).^2)));
expr1141 = -((wmax + b(4))./(a(4).^2.*(1 + (wmax + b(4)).^2./a(4).^2)));
expr1142 = -(b(4).*log(1 + (wmax - b(4)).^2./a(4).^2));
expr1143 = b(4).*log(1 + (wmax + b(4)).^2./a(4).^2);
expr1144 = angle(1 + (i.*(w32 - b(1)))./a(1));
expr1145 = angle(1 + (i.*(w32 + b(1)))./a(1));
expr1146 = angle(1 + (i.*(w32 - b(2)))./a(2));
expr1147 = angle(1 + (i.*(w32 + b(2)))./a(2));
expr1148 = angle(1 + (i.*(w32 - b(3)))./a(3));
expr1149 = angle(1 + (i.*(w32 + b(3)))./a(3));
expr1150 = angle(1 + (i.*(w32 - b(4)))./a(4));
expr1151 = angle(1 + (i.*(w32 + b(4)))./a(4));
expr1152 = expr1135 + expr1136 + expr258.*expr276.*(expr1137 + expr1138 + expr1139 + expr1142 + expr1143 + expr277 - (expr1140 + expr1141).*expr311).*w32;
expr1153 = 2.*expr1152.*expr273.*Wph.*(expr1144 + expr1145 + expr1146 + expr1147 + expr1148 + expr1149 + expr1150 + expr1151 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w32);
integrate32 = trapz(w32, expr1153);
expr1154 = sqrt(a(4).^2 + b(4).^2).^(-1);
expr1155 = a(4).^(-2);
expr1156 = expr320.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*(expr1154.*expr321.*expr322.*expr323.*expr325.*expr326.*expr327 - expr1155.*expr321.*expr322.*expr323.*expr325.*expr326.*expr327.*expr328).*WQ;
expr1157 = -2.*expr332.*expr333.*expr334.*expr335.*expr336.*expr387 - 2.*expr332.*expr333.*expr334.*expr335.*expr337.*expr387;
expr1158 = expr244.*(expr398.*expr399.*expr400 + expr412).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr398.*expr399.*expr400 + expr412).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr1159 = -(expr205.*(-(expr398.*expr399.*expr400) + expr401));
expr1160 = -(expr212.*(-(expr705.*expr706.*expr707) + expr716));
expr1161 = -(expr219.*(-(expr937.*expr938.*expr939) + expr946));
expr1162 = -(expr226.*(expr413.*expr414.*expr415 + expr423 + expr709.*expr710.*expr711 + expr720 + expr941.*expr942.*expr943 + expr948));
expr1163 = expr398.*expr399.*expr400 + expr412;
expr1164 = -2.*expr345.*expr346.*expr347.*expr348.*expr349.*expr713 - 2.*expr345.*expr346.*expr347.*expr348.*expr350.*expr713;
expr1165 = expr358.*(expr705.*expr706.*expr707 + expr708).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr705.*expr706.*expr707 + expr708).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr1166 = expr705.*expr706.*expr707 + expr708;
expr1167 = -2.*expr359.*expr360.*expr361.*expr362.*expr363.*expr945 - 2.*expr359.*expr360.*expr361.*expr362.*expr364.*expr945;
expr1168 = expr372.*(expr937.*expr938.*expr939 + expr940).*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - expr365.*(expr937.*expr938.*expr939 + expr940).*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr1169 = expr937.*expr938.*expr939 + expr940;
expr1170 = 2.*expr373.*expr375.*expr376.*expr377.*expr378.*expr422;
expr1171 = 2.*expr374.*expr375.*expr376.*expr377.*expr378.*expr422;
expr1172 = 2.*expr373.*expr374.*expr375.*expr377.*expr378.*expr719;
expr1173 = 2.*expr373.*expr374.*expr376.*expr377.*expr378.*expr719;
expr1174 = 2.*expr373.*expr374.*expr375.*expr376.*expr377.*expr947;
expr1175 = 2.*expr373.*expr374.*expr375.*expr376.*expr378.*expr947;
expr1176 = expr386.*(-(expr413.*expr414.*expr415) + expr416 - expr709.*expr710.*expr711 + expr712 - expr941.*expr942.*expr943 + expr944).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr1177 = -(expr379.*(-(expr413.*expr414.*expr415) + expr416 - expr709.*expr710.*expr711 + expr712 - expr941.*expr942.*expr943 + expr944).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385));
expr1178 = -(expr413.*expr414.*expr415) + expr416 - expr709.*expr710.*expr711 + expr712 - expr941.*expr942.*expr943 + expr944;
expr1179 = (-2.*expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385));
expr1180 = expr1159 + expr1160 + expr1161 + expr1162;
expr1181 = (expr1159 + expr1160 + expr1161 + expr1162).*expr417.*expr427.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1182 = -(expr205.*(-(expr1163.*expr245.*expr452.*expr453) + expr1158.*expr245.*expr445.*expr455).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr1183 = (expr1159 + expr1160 + expr1161 + expr1162).*expr338.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1184 = (expr1159 + expr1160 + expr1161 + expr1162).*expr417.*expr430.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1185 = -(expr212.*(-(expr1166.*expr251.*expr460.*expr461) + expr1165.*expr251.*expr462.*expr463).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr1186 = (expr1159 + expr1160 + expr1161 + expr1162).*expr351.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1187 = (expr1159 + expr1160 + expr1161 + expr1162).*expr417.*expr433.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr1188 = -(expr219.*(-(expr1169.*expr253.*expr468.*expr469) + expr1168.*expr253.*expr470.*expr471).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr1189 = (expr1159 + expr1160 + expr1161 + expr1162).*expr365.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr1190 = expr1170 + expr1171 + expr1172 + expr1173 + expr1174 + expr1175;
expr1191 = expr1176 + expr1177 + expr478;
expr1192 = expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + (expr1159 + expr1160 + expr1161 + expr1162).*expr198.*expr386.*tpc;
expr1193 = (expr1159 + expr1160 + expr1161 + expr1162).*expr417.*expr436.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr1194 = -(expr226.*(1 + expr1179 - expr1178.*expr255.*expr476.*expr477 + expr255.*expr478.*(expr1176 + expr1177 + expr478).*expr479).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr1195 = (expr1159 + expr1160 + expr1161 + expr1162).*expr379.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr1196 = expr1158.*expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480);
expr1197 = 2.*expr205.*expr251.*expr253.*expr386.*expr425.*expr426.*(1 + expr480);
expr1198 = expr1157.*expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480);
expr1199 = expr1165.*expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481);
expr1200 = 2.*expr212.*expr245.*expr253.*expr386.*expr428.*expr429.*(1 + expr481);
expr1201 = expr1164.*expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481);
expr1202 = expr1168.*expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482);
expr1203 = 2.*expr219.*expr245.*expr251.*expr386.*expr431.*expr432.*(1 + expr482);
expr1204 = expr1167.*expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482);
expr1205 = expr1191.*expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483);
expr1206 = expr1190.*expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483);
expr1207 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-((expr1193 + expr1194 + expr1195).*expr503) - expr1192.*expr503.*expr504);
expr1208 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-((expr1181 + expr1182 + expr1183).*expr486) + expr1180.*expr244.*expr417.*expr486.*expr488.*tpc);
expr1209 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-((expr1184 + expr1185 + expr1186).*expr492) + expr1180.*expr358.*expr417.*expr492.*expr494.*tpc);
expr1210 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-((expr1187 + expr1188 + expr1189).*expr498) + expr1180.*expr372.*expr417.*expr498.*expr499.*tpc);
expr1211 = expr1156 + integrate29 + integrate30 + integrate31 + integrate32 + 200.*(expr1196 + expr1197 + expr1198 + expr1199 + expr1200 + expr1201 + expr1202 + expr1203 + expr1204 + expr1205 + expr1206 + expr1207 + expr1208 + expr1209 + expr1210).*(-1 + expr508 + expr509 + expr510 + expr511).*WO;
gf(4) = expr1211;

%% Derivative for b(4)
w33 = [ws:(99.*ws)./100:100.*ws];
expr1212 = ((a(1).^2 + b(1).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(1).^2 - b(1).^2))).^(-1);
expr1213 = ((a(2).^2 + b(2).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(2).^2 - b(2).^2))).^(-1);
expr1214 = ((a(3).^2 + b(3).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(3).^2 - b(3).^2))).^(-1);
expr1215 = -4.*w33.^2.*b(4) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1216 = ((a(4).^2 + b(4).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(4).^2 - b(4).^2))).^(-2);
expr1217 = ((a(4).^2 + b(4).^2).^2 + w33.^2.*(w33.^2 + 2.*(a(4).^2 - b(4).^2))).^(-1);
expr1218 = expr1212.*expr1213.*expr1214.*expr1215.*expr1216.*expr232.*expr233.*expr234.*expr237.*expr239.*expr241.*Wms + expr1212.*expr1213.*expr1214.*expr1217.*expr233.*expr234.*expr237.*expr239.*expr243.*expr255.*expr379.*Wms;
integrate33 = trapz(w33, expr1218);
w34 = [0:wp./100:wp];
expr1219 = (a(1).^2 + b(1).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(1).^2 - b(1).^2));
expr1220 = (a(2).^2 + b(2).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(2).^2 - b(2).^2));
expr1221 = (a(3).^2 + b(3).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(3).^2 - b(3).^2));
expr1222 = -4.*w34.^2.*b(4) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1223 = (a(4).^2 + b(4).^2).^2 + w34.^2.*(w34.^2 + 2.*(a(4).^2 - b(4).^2));
expr1224 = -1 + (expr1219.*expr1220.*expr1221.*expr1223).^expr249.*expr245.*expr251.*expr253.*expr255;
expr1225 = expr1219.*expr1220.*expr1221.*expr1222.*(expr1219.*expr1220.*expr1221.*expr1223).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1219.*expr1220.*expr1221.*expr1223).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1226 = 2.*expr1224.*expr1225.*expr248.*Wmp;
integrate34 = trapz(w34, expr1226);
w35 = [wp:(-wp + ws)./100:ws];
expr1227 = (a(1).^2 + b(1).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(1).^2 - b(1).^2));
expr1228 = (a(2).^2 + b(2).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(2).^2 - b(2).^2));
expr1229 = (a(3).^2 + b(3).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(3).^2 - b(3).^2));
expr1230 = -4.*w35.^2.*b(4) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1231 = (a(4).^2 + b(4).^2).^2 + w35.^2.*(w35.^2 + 2.*(a(4).^2 - b(4).^2));
expr1232 = -(w35./(wp - ws));
expr1233 = expr1232 + (expr1227.*expr1228.*expr1229.*expr1231).^expr249.*expr245.*expr251.*expr253.*expr255 + expr268;
expr1234 = expr1227.*expr1228.*expr1229.*expr1230.*(expr1227.*expr1228.*expr1229.*expr1231).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1227.*expr1228.*expr1229.*expr1231).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1235 = 2.*expr1233.*expr1234.*expr262.*Wmt;
integrate35 = trapz(w35, expr1235);
w36 = [0:wmax./100:wmax];
expr1236 = -(1./(a(4).*(1 + (w36 - b(4)).^2./a(4).^2)));
expr1237 = 1./(a(4).*(1 + (w36 + b(4)).^2./a(4).^2));
expr1238 = -2.*(angle(1 + (i.*(wmax - b(4)))./a(4)) + angle(1 + (i.*(wmax + b(4)))./a(4))).*b(4);
expr1239 = (2.*(wmax - b(4)).*b(4))./(a(4).*(1 + (wmax - b(4)).^2./a(4).^2));
expr1240 = (2.*b(4).*(wmax + b(4)))./(a(4).*(1 + (wmax + b(4)).^2./a(4).^2));
expr1241 = -(1./(a(4).*(1 + (wmax - b(4)).^2./a(4).^2)));
expr1242 = 1./(a(4).*(1 + (wmax + b(4)).^2./a(4).^2));
expr1243 = -(a(4).*log(1 + (wmax - b(4)).^2./a(4).^2));
expr1244 = a(4).*log(1 + (wmax + b(4)).^2./a(4).^2);
expr1245 = angle(1 + (i.*(w36 - b(1)))./a(1));
expr1246 = angle(1 + (i.*(w36 + b(1)))./a(1));
expr1247 = angle(1 + (i.*(w36 - b(2)))./a(2));
expr1248 = angle(1 + (i.*(w36 + b(2)))./a(2));
expr1249 = angle(1 + (i.*(w36 - b(3)))./a(3));
expr1250 = angle(1 + (i.*(w36 + b(3)))./a(3));
expr1251 = angle(1 + (i.*(w36 - b(4)))./a(4));
expr1252 = angle(1 + (i.*(w36 + b(4)))./a(4));
expr1253 = expr1236 + expr1237 + expr258.*expr276.*(expr1238 + expr1239 + expr1240 + expr1243 + expr1244 - (expr1241 + expr1242).*expr311).*w36;
expr1254 = 2.*expr1253.*expr273.*Wph.*(expr1245 + expr1246 + expr1247 + expr1248 + expr1249 + expr1250 + expr1251 + expr1252 - 3.*expr276.*(expr315 + expr316 + expr317 + expr318).*w36);
integrate36 = trapz(w36, expr1254);
expr1255 = b(4).^(-2);
expr1256 = expr1154.*expr320.*expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*(expr321.*expr322.*expr323.*expr324.*expr325.*expr326.*expr327.*expr328).^expr329.*expr379.*WQ;
expr1257 = -2.*expr332.*expr333.*expr334.*expr335.*expr337.*expr400 + 2.*expr332.*expr333.*expr334.*expr335.*expr336.*expr572;
expr1258 = expr244.*(expr580 + expr589).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) - expr338.*(expr580 + expr589).*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344);
expr1259 = -((expr1050 + expr1054).*expr219) - expr205.*(expr579 + expr590) - expr212.*(expr826 + expr833) - expr226.*(expr1052 + expr1056 + expr592 + expr597 + expr828 + expr837) + expr1255.*(expr220 + expr221 + expr222 + expr223 + expr224 + expr225 + pi);
expr1260 = -((expr245.*(expr580 + expr589).*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344))./(expr338.*cos(expr339 + expr340 + expr341 + expr342 + expr343 + expr344) + expr244.*sin(expr339 + expr340 + expr341 + expr342 + expr343 + expr344)));
expr1261 = -2.*expr345.*expr346.*expr347.*expr348.*expr350.*expr707 + 2.*expr345.*expr346.*expr347.*expr348.*expr349.*expr829;
expr1262 = expr358.*(expr825 + expr834).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) - expr351.*(expr825 + expr834).*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357);
expr1263 = -((expr251.*(expr825 + expr834).*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357))./(expr351.*cos(expr352 + expr353 + expr354 + expr355 + expr356 + expr357) + expr358.*sin(expr352 + expr353 + expr354 + expr355 + expr356 + expr357)));
expr1264 = (expr1049 + expr1055).*expr372.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) - (expr1049 + expr1055).*expr365.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371);
expr1265 = 2.*expr1053.*expr359.*expr360.*expr361.*expr362.*expr363 - 2.*expr359.*expr360.*expr361.*expr362.*expr364.*expr939;
expr1266 = -(((expr1049 + expr1055).*expr253.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371))./(expr365.*cos(expr366 + expr367 + expr368 + expr369 + expr370 + expr371) + expr372.*sin(expr366 + expr367 + expr368 + expr369 + expr370 + expr371)));
expr1267 = 2.*expr1053.*expr373.*expr374.*expr375.*expr376.*expr377;
expr1268 = 2.*expr374.*expr375.*expr376.*expr377.*expr378.*expr414;
expr1269 = 2.*expr373.*expr375.*expr376.*expr377.*expr378.*expr572;
expr1270 = 2.*expr373.*expr374.*expr376.*expr377.*expr378.*expr710;
expr1271 = 2.*expr373.*expr374.*expr375.*expr377.*expr378.*expr829;
expr1272 = 2.*expr373.*expr374.*expr375.*expr376.*expr378.*expr942;
expr1273 = expr386.*(expr1051 + expr1057 + expr591 + expr598 + expr827 + expr838).*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385);
expr1274 = -(expr379.*(expr1051 + expr1057 + expr591 + expr598 + expr827 + expr838).*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385));
expr1275 = expr1051 + expr1057 + expr591 + expr598 + expr827 + expr838;
expr1276 = (-2.*expr379.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385))./(expr379.*cos(expr380 + expr381 + expr382 + expr383 + expr384 + expr385) + expr386.*sin(expr380 + expr381 + expr382 + expr383 + expr384 + expr385));
expr1277 = expr1259.*expr417.*expr427.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1278 = -(expr205.*(expr1260 + expr1258.*expr245.*expr445.*expr455).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc));
expr1279 = expr1259.*expr338.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr338.*tpc);
expr1280 = expr1259.*expr417.*expr430.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1281 = -(expr212.*(expr1263 + expr1262.*expr251.*expr462.*expr463).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc));
expr1282 = expr1259.*expr351.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr351.*tpc);
expr1283 = expr1259.*expr417.*expr433.*tpc.*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr1284 = -(expr219.*(expr1266 + expr1264.*expr253.*expr470.*expr471).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc));
expr1285 = expr1259.*expr365.*expr417.*tpc.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr365.*tpc);
expr1286 = expr1267 + expr1268 + expr1269 + expr1270 + expr1271 + expr1272;
expr1287 = expr1273 + expr1274 + expr476;
expr1288 = -(expr226.*expr436.*(expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr1259.*expr198.*expr379.*tpc).*cos(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr1289 = expr1255.*expr436.*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc);
expr1290 = -(expr226.*(expr1276 - expr1275.*expr255.*expr476.*expr477 + expr255.*(expr1273 + expr1274 + expr476).*expr478.*expr479).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr1291 = -((expr198.*(expr227 + expr228 + expr229 + expr230).*tpc + expr1259.*expr198.*expr379.*tpc).*sin(expr198.*(expr227 + expr228 + expr229 + expr230).*expr379.*tpc));
expr1292 = expr1258.*expr205.*expr251.*expr253.*expr255.*expr425.*(1 + expr480);
expr1293 = 2.*expr205.*expr251.*expr253.*expr379.*expr425.*expr426.*(1 + expr480);
expr1294 = expr1257.*expr205.*expr249.*expr251.*expr253.*expr255.*expr426.*expr437.*(1 + expr480);
expr1295 = expr1262.*expr212.*expr245.*expr253.*expr255.*expr428.*(1 + expr481);
expr1296 = 2.*expr212.*expr245.*expr253.*expr379.*expr428.*expr429.*(1 + expr481);
expr1297 = expr1261.*expr212.*expr245.*expr249.*expr253.*expr255.*expr429.*expr456.*(1 + expr481);
expr1298 = expr1264.*expr219.*expr245.*expr251.*expr255.*expr431.*(1 + expr482);
expr1299 = 2.*expr219.*expr245.*expr251.*expr379.*expr431.*expr432.*(1 + expr482);
expr1300 = expr1265.*expr219.*expr245.*expr249.*expr251.*expr255.*expr432.*expr464.*(1 + expr482);
expr1301 = expr1287.*expr226.*expr245.*expr251.*expr253.*expr434.*(1 + expr483);
expr1302 = -(expr1255.*expr245.*expr251.*expr253.*expr434.*expr435.*(1 + expr483));
expr1303 = expr1286.*expr226.*expr245.*expr249.*expr251.*expr253.*expr435.*expr472.*(1 + expr483);
expr1304 = expr205.*expr251.*expr253.*expr255.*expr425.*expr426.*(-((expr1277 + expr1278 + expr1279).*expr486) + expr1259.*expr244.*expr417.*expr486.*expr488.*tpc);
expr1305 = expr212.*expr245.*expr253.*expr255.*expr428.*expr429.*(-((expr1280 + expr1281 + expr1282).*expr492) + expr1259.*expr358.*expr417.*expr492.*expr494.*tpc);
expr1306 = expr219.*expr245.*expr251.*expr255.*expr431.*expr432.*(-((expr1283 + expr1284 + expr1285).*expr498) + expr1259.*expr372.*expr417.*expr498.*expr499.*tpc);
expr1307 = expr226.*expr245.*expr251.*expr253.*expr434.*expr435.*(-((expr1288 + expr1289 + expr1290 + expr1291).*expr503) + expr1259.*expr386.*expr417.*expr503.*expr504.*tpc);
expr1308 = expr1256 + integrate33 + integrate34 + integrate35 + integrate36 + 200.*(expr1292 + expr1293 + expr1294 + expr1295 + expr1296 + expr1297 + expr1298 + expr1299 + expr1300 + expr1301 + expr1302 + expr1303 + expr1304 + expr1305 + expr1306 + expr1307).*(-1 + expr508 + expr509 + expr510 + expr511).*WO;
gf(8) = expr1308;

%% Derivative of constraints on the cost function

%%   First derivative w/r to a(1) of constraint #1
expr1309 = -1./(2.*sqrt(a(1).^2 + b(1).^2)) + sqrt(a(1).^2 + b(1).^2)./(2.*a(1).^2);
GC(1, 1) = expr1309;

%%   First derivative w/r to a(1) of constraint #2
expr1310 = 0;
GC(1, 2) = expr1310;

%%   First derivative w/r to a(1) of constraint #3
expr1311 = 0;
GC(1, 3) = expr1311;

%%   First derivative w/r to a(1) of constraint #4
expr1312 = 0;
GC(1, 4) = expr1312;

%%   First derivative w/r to a(1) of constraint #5
expr1313 = (wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1314 = (wp.^2.*(wp.^2./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1315 = (wp.^2.*(wp.^2./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr1316 = (wp.^2.*(wp.^2./100 + 2.*(a(4).^2 - b(4).^2)))./100;
expr1317 = (wp.^2.*(wp.^2./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1318 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1319 = expr1313.*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1320 = expr1318 + expr1319;
GC(1, 5) = expr1320;

%%   First derivative w/r to a(1) of constraint #6
expr1321 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1322 = expr1313.*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1323 = expr1321 + expr1322;
GC(1, 6) = expr1323;

%%   First derivative w/r to a(1) of constraint #7
expr1324 = (4.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1325 = (wp.^2.*(wp.^2./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1326 = (wp.^2.*(wp.^2./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr1327 = (wp.^2.*(wp.^2./25 + 2.*(a(4).^2 - b(4).^2)))./25;
expr1328 = (wp.^2.*(wp.^2./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1329 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1330 = expr1324.*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1331 = expr1329 + expr1330;
GC(1, 7) = expr1331;

%%   First derivative w/r to a(1) of constraint #8
expr1332 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1333 = expr1324.*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1334 = expr1332 + expr1333;
GC(1, 8) = expr1334;

%%   First derivative w/r to a(1) of constraint #9
expr1335 = (9.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1336 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1337 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr1338 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(4).^2 - b(4).^2)))./100;
expr1339 = (9.*wp.^2.*((9.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1340 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1341 = expr1335.*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1342 = expr1340 + expr1341;
GC(1, 9) = expr1342;

%%   First derivative w/r to a(1) of constraint #10
expr1343 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1344 = expr1335.*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1345 = expr1343 + expr1344;
GC(1, 10) = expr1345;

%%   First derivative w/r to a(1) of constraint #11
expr1346 = (16.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1347 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1348 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr1349 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(4).^2 - b(4).^2)))./25;
expr1350 = (4.*wp.^2.*((4.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1351 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1352 = expr1346.*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1353 = expr1351 + expr1352;
GC(1, 11) = expr1353;

%%   First derivative w/r to a(1) of constraint #12
expr1354 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1355 = expr1346.*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1356 = expr1354 + expr1355;
GC(1, 12) = expr1356;

%%   First derivative w/r to a(1) of constraint #13
expr1357 = wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1358 = (wp.^2.*(wp.^2./4 + 2.*(a(2).^2 - b(2).^2)))./4;
expr1359 = (wp.^2.*(wp.^2./4 + 2.*(a(3).^2 - b(3).^2)))./4;
expr1360 = (wp.^2.*(wp.^2./4 + 2.*(a(4).^2 - b(4).^2)))./4;
expr1361 = (wp.^2.*(wp.^2./4 + 2.*(a(1).^2 - b(1).^2)))./4;
expr1362 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1363 = expr1357.*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1364 = expr1362 + expr1363;
GC(1, 13) = expr1364;

%%   First derivative w/r to a(1) of constraint #14
expr1365 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1366 = expr1357.*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1367 = expr1365 + expr1366;
GC(1, 14) = expr1367;

%%   First derivative w/r to a(1) of constraint #15
expr1368 = (36.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1369 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1370 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr1371 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(4).^2 - b(4).^2)))./25;
expr1372 = (9.*wp.^2.*((9.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1373 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1374 = expr1368.*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1375 = expr1373 + expr1374;
GC(1, 15) = expr1375;

%%   First derivative w/r to a(1) of constraint #16
expr1376 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1377 = expr1368.*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1378 = expr1376 + expr1377;
GC(1, 16) = expr1378;

%%   First derivative w/r to a(1) of constraint #17
expr1379 = (49.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1380 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1381 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr1382 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(4).^2 - b(4).^2)))./100;
expr1383 = (49.*wp.^2.*((49.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1384 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1385 = expr1379.*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1386 = expr1384 + expr1385;
GC(1, 17) = expr1386;

%%   First derivative w/r to a(1) of constraint #18
expr1387 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1388 = expr1379.*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1389 = expr1387 + expr1388;
GC(1, 18) = expr1389;

%%   First derivative w/r to a(1) of constraint #19
expr1390 = (64.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1391 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(2).^2 - b(2).^2)))./25;
expr1392 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(3).^2 - b(3).^2)))./25;
expr1393 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(4).^2 - b(4).^2)))./25;
expr1394 = (16.*wp.^2.*((16.*wp.^2)./25 + 2.*(a(1).^2 - b(1).^2)))./25;
expr1395 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1396 = expr1390.*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1397 = expr1395 + expr1396;
GC(1, 19) = expr1397;

%%   First derivative w/r to a(1) of constraint #20
expr1398 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1399 = expr1390.*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1400 = expr1398 + expr1399;
GC(1, 20) = expr1400;

%%   First derivative w/r to a(1) of constraint #21
expr1401 = (81.*wp.^2.*a(1))./25 + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1402 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(2).^2 - b(2).^2)))./100;
expr1403 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(3).^2 - b(3).^2)))./100;
expr1404 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(4).^2 - b(4).^2)))./100;
expr1405 = (81.*wp.^2.*((81.*wp.^2)./100 + 2.*(a(1).^2 - b(1).^2)))./100;
expr1406 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1407 = expr1401.*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1408 = expr1406 + expr1407;
GC(1, 21) = expr1408;

%%   First derivative w/r to a(1) of constraint #22
expr1409 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr244.*expr251.*expr253.*expr255;
expr1410 = expr1401.*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1411 = expr1409 + expr1410;
GC(1, 22) = expr1411;

%%   First derivative w/r to a(1) of constraint #23
expr1412 = 4.*wp.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1413 = (a(2).^2 + b(2).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(2).^2 - b(2).^2));
expr1414 = (a(3).^2 + b(3).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(3).^2 - b(3).^2));
expr1415 = (a(4).^2 + b(4).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(4).^2 - b(4).^2));
expr1416 = (a(1).^2 + b(1).^2).^2 + wp.^2.*(wp.^2 + 2.*(a(1).^2 - b(1).^2));
expr1417 = 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr244.*expr251.*expr253.*expr255 + expr1412.*expr1413.*expr1414.*expr1415.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
GC(1, 23) = expr1417;

%%   First derivative w/r to a(1) of constraint #24
expr1418 = -2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr244.*expr251.*expr253.*expr255 + expr1412.*expr1413.*expr1414.*expr1415.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
GC(1, 24) = expr1418;

%%   First derivative w/r to a(1) of constraint #25
expr1419 = 4.*ws.^2.*a(1) + 4.*a(1).*(a(1).^2 + b(1).^2);
expr1420 = (a(2).^2 + b(2).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(2).^2 - b(2).^2));
expr1421 = (a(3).^2 + b(3).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(3).^2 - b(3).^2));
expr1422 = (a(4).^2 + b(4).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(4).^2 - b(4).^2));
expr1423 = (a(1).^2 + b(1).^2).^2 + ws.^2.*(ws.^2 + 2.*(a(1).^2 - b(1).^2));
expr1424 = 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr244.*expr251.*expr253.*expr255 + expr1419.*expr1420.*expr1421.*expr1422.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
GC(1, 25) = expr1424;

%%   First derivative w/r to a(1) of constraint #26
expr1425 = expr512 + expr513 + expr514 + expr515 + expr516 + expr517 + expr518 + expr519 + expr520 + expr521 + expr522 + expr523 + expr524 + expr525 + expr526;
GC(1, 26) = expr1425;

%%   First derivative w/r to a(2) of constraint #1
expr1426 = 0;
GC(2, 1) = expr1426;

%%   First derivative w/r to a(2) of constraint #2
expr1427 = -1./(2.*sqrt(a(2).^2 + b(2).^2)) + sqrt(a(2).^2 + b(2).^2)./(2.*a(2).^2);
GC(2, 2) = expr1427;

%%   First derivative w/r to a(2) of constraint #3
expr1428 = 0;
GC(2, 3) = expr1428;

%%   First derivative w/r to a(2) of constraint #4
expr1429 = 0;
GC(2, 4) = expr1429;

%%   First derivative w/r to a(2) of constraint #5
expr1430 = (wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1431 = expr1430.*(expr1317 + expr234).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1432 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1433 = expr1431 + expr1432;
GC(2, 5) = expr1433;

%%   First derivative w/r to a(2) of constraint #6
expr1434 = expr1430.*(expr1317 + expr234).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1435 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1436 = expr1434 + expr1435;
GC(2, 6) = expr1436;

%%   First derivative w/r to a(2) of constraint #7
expr1437 = (4.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1438 = expr1437.*(expr1328 + expr234).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1439 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1440 = expr1438 + expr1439;
GC(2, 7) = expr1440;

%%   First derivative w/r to a(2) of constraint #8
expr1441 = expr1437.*(expr1328 + expr234).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1442 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1443 = expr1441 + expr1442;
GC(2, 8) = expr1443;

%%   First derivative w/r to a(2) of constraint #9
expr1444 = (9.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1445 = expr1444.*(expr1339 + expr234).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1446 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1447 = expr1445 + expr1446;
GC(2, 9) = expr1447;

%%   First derivative w/r to a(2) of constraint #10
expr1448 = expr1444.*(expr1339 + expr234).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1449 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1450 = expr1448 + expr1449;
GC(2, 10) = expr1450;

%%   First derivative w/r to a(2) of constraint #11
expr1451 = (16.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1452 = expr1451.*(expr1350 + expr234).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1453 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1454 = expr1452 + expr1453;
GC(2, 11) = expr1454;

%%   First derivative w/r to a(2) of constraint #12
expr1455 = expr1451.*(expr1350 + expr234).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1456 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1457 = expr1455 + expr1456;
GC(2, 12) = expr1457;

%%   First derivative w/r to a(2) of constraint #13
expr1458 = wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1459 = expr1458.*(expr1361 + expr234).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1460 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1461 = expr1459 + expr1460;
GC(2, 13) = expr1461;

%%   First derivative w/r to a(2) of constraint #14
expr1462 = expr1458.*(expr1361 + expr234).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1463 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1464 = expr1462 + expr1463;
GC(2, 14) = expr1464;

%%   First derivative w/r to a(2) of constraint #15
expr1465 = (36.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1466 = expr1465.*(expr1372 + expr234).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1467 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1468 = expr1466 + expr1467;
GC(2, 15) = expr1468;

%%   First derivative w/r to a(2) of constraint #16
expr1469 = expr1465.*(expr1372 + expr234).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1470 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1471 = expr1469 + expr1470;
GC(2, 16) = expr1471;

%%   First derivative w/r to a(2) of constraint #17
expr1472 = (49.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1473 = expr1472.*(expr1383 + expr234).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1474 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1475 = expr1473 + expr1474;
GC(2, 17) = expr1475;

%%   First derivative w/r to a(2) of constraint #18
expr1476 = expr1472.*(expr1383 + expr234).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1477 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1478 = expr1476 + expr1477;
GC(2, 18) = expr1478;

%%   First derivative w/r to a(2) of constraint #19
expr1479 = (64.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1480 = expr1479.*(expr1394 + expr234).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1481 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1482 = expr1480 + expr1481;
GC(2, 19) = expr1482;

%%   First derivative w/r to a(2) of constraint #20
expr1483 = expr1479.*(expr1394 + expr234).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1484 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1485 = expr1483 + expr1484;
GC(2, 20) = expr1485;

%%   First derivative w/r to a(2) of constraint #21
expr1486 = (81.*wp.^2.*a(2))./25 + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1487 = expr1486.*(expr1405 + expr234).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1488 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1489 = expr1487 + expr1488;
GC(2, 21) = expr1489;

%%   First derivative w/r to a(2) of constraint #22
expr1490 = expr1486.*(expr1405 + expr234).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1491 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr358;
expr1492 = expr1490 + expr1491;
GC(2, 22) = expr1492;

%%   First derivative w/r to a(2) of constraint #23
expr1493 = 4.*wp.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1494 = expr1414.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1493.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr253.*expr255.*expr358;
GC(2, 23) = expr1494;

%%   First derivative w/r to a(2) of constraint #24
expr1495 = expr1414.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1493.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr253.*expr255.*expr358;
GC(2, 24) = expr1495;

%%   First derivative w/r to a(2) of constraint #25
expr1496 = 4.*ws.^2.*a(2) + 4.*a(2).*(a(2).^2 + b(2).^2);
expr1497 = expr1421.*expr1422.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1496.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr253.*expr255.*expr358;
GC(2, 25) = expr1497;

%%   First derivative w/r to a(2) of constraint #26
expr1498 = expr761 + expr762 + expr763 + expr764 + expr765 + expr766 + expr767 + expr768 + expr769 + expr770 + expr771 + expr772 + expr773 + expr774 + expr775;
GC(2, 26) = expr1498;

%%   First derivative w/r to a(3) of constraint #1
expr1499 = 0;
GC(3, 1) = expr1499;

%%   First derivative w/r to a(3) of constraint #2
expr1500 = 0;
GC(3, 2) = expr1500;

%%   First derivative w/r to a(3) of constraint #3
expr1501 = -1./(2.*sqrt(a(3).^2 + b(3).^2)) + sqrt(a(3).^2 + b(3).^2)./(2.*a(3).^2);
GC(3, 3) = expr1501;

%%   First derivative w/r to a(3) of constraint #4
expr1502 = 0;
GC(3, 4) = expr1502;

%%   First derivative w/r to a(3) of constraint #5
expr1503 = (wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1504 = expr1503.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1505 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1506 = expr1504 + expr1505;
GC(3, 5) = expr1506;

%%   First derivative w/r to a(3) of constraint #6
expr1507 = expr1503.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1508 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1509 = expr1507 + expr1508;
GC(3, 6) = expr1509;

%%   First derivative w/r to a(3) of constraint #7
expr1510 = (4.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1511 = expr1510.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1512 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1513 = expr1511 + expr1512;
GC(3, 7) = expr1513;

%%   First derivative w/r to a(3) of constraint #8
expr1514 = expr1510.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1515 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1516 = expr1514 + expr1515;
GC(3, 8) = expr1516;

%%   First derivative w/r to a(3) of constraint #9
expr1517 = (9.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1518 = expr1517.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1519 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1520 = expr1518 + expr1519;
GC(3, 9) = expr1520;

%%   First derivative w/r to a(3) of constraint #10
expr1521 = expr1517.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1522 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1523 = expr1521 + expr1522;
GC(3, 10) = expr1523;

%%   First derivative w/r to a(3) of constraint #11
expr1524 = (16.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1525 = expr1524.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1526 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1527 = expr1525 + expr1526;
GC(3, 11) = expr1527;

%%   First derivative w/r to a(3) of constraint #12
expr1528 = expr1524.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1529 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1530 = expr1528 + expr1529;
GC(3, 12) = expr1530;

%%   First derivative w/r to a(3) of constraint #13
expr1531 = wp.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1532 = expr1531.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1533 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1534 = expr1532 + expr1533;
GC(3, 13) = expr1534;

%%   First derivative w/r to a(3) of constraint #14
expr1535 = expr1531.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1536 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1537 = expr1535 + expr1536;
GC(3, 14) = expr1537;

%%   First derivative w/r to a(3) of constraint #15
expr1538 = (36.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1539 = expr1538.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1540 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1541 = expr1539 + expr1540;
GC(3, 15) = expr1541;

%%   First derivative w/r to a(3) of constraint #16
expr1542 = expr1538.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1543 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1544 = expr1542 + expr1543;
GC(3, 16) = expr1544;

%%   First derivative w/r to a(3) of constraint #17
expr1545 = (49.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1546 = expr1545.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1547 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1548 = expr1546 + expr1547;
GC(3, 17) = expr1548;

%%   First derivative w/r to a(3) of constraint #18
expr1549 = expr1545.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1550 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1551 = expr1549 + expr1550;
GC(3, 18) = expr1551;

%%   First derivative w/r to a(3) of constraint #19
expr1552 = (64.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1553 = expr1552.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1554 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1555 = expr1553 + expr1554;
GC(3, 19) = expr1555;

%%   First derivative w/r to a(3) of constraint #20
expr1556 = expr1552.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1557 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1558 = expr1556 + expr1557;
GC(3, 20) = expr1558;

%%   First derivative w/r to a(3) of constraint #21
expr1559 = (81.*wp.^2.*a(3))./25 + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1560 = expr1559.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1561 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1562 = expr1560 + expr1561;
GC(3, 21) = expr1562;

%%   First derivative w/r to a(3) of constraint #22
expr1563 = expr1559.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1564 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr372;
expr1565 = expr1563 + expr1564;
GC(3, 22) = expr1565;

%%   First derivative w/r to a(3) of constraint #23
expr1566 = 4.*wp.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1567 = expr1413.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1566.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr255.*expr372;
GC(3, 23) = expr1567;

%%   First derivative w/r to a(3) of constraint #24
expr1568 = expr1413.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1566.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr255.*expr372;
GC(3, 24) = expr1568;

%%   First derivative w/r to a(3) of constraint #25
expr1569 = 4.*ws.^2.*a(3) + 4.*a(3).*(a(3).^2 + b(3).^2);
expr1570 = expr1420.*expr1422.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1569.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr251.*expr255.*expr372;
GC(3, 25) = expr1570;

%%   First derivative w/r to a(3) of constraint #26
expr1571 = expr1000 + expr1001 + expr1002 + expr1003 + expr989 + expr990 + expr991 + expr992 + expr993 + expr994 + expr995 + expr996 + expr997 + expr998 + expr999;
GC(3, 26) = expr1571;

%%   First derivative w/r to a(4) of constraint #1
expr1572 = 0;
GC(4, 1) = expr1572;

%%   First derivative w/r to a(4) of constraint #2
expr1573 = 0;
GC(4, 2) = expr1573;

%%   First derivative w/r to a(4) of constraint #3
expr1574 = 0;
GC(4, 3) = expr1574;

%%   First derivative w/r to a(4) of constraint #4
expr1575 = -1./(2.*sqrt(a(4).^2 + b(4).^2)) + sqrt(a(4).^2 + b(4).^2)./(2.*a(4).^2);
GC(4, 4) = expr1575;

%%   First derivative w/r to a(4) of constraint #5
expr1576 = (wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1577 = expr1576.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1578 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1579 = expr1577 + expr1578;
GC(4, 5) = expr1579;

%%   First derivative w/r to a(4) of constraint #6
expr1580 = expr1576.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1581 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1582 = expr1580 + expr1581;
GC(4, 6) = expr1582;

%%   First derivative w/r to a(4) of constraint #7
expr1583 = (4.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1584 = expr1583.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1585 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1586 = expr1584 + expr1585;
GC(4, 7) = expr1586;

%%   First derivative w/r to a(4) of constraint #8
expr1587 = expr1583.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1588 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1589 = expr1587 + expr1588;
GC(4, 8) = expr1589;

%%   First derivative w/r to a(4) of constraint #9
expr1590 = (9.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1591 = expr1590.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1592 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1593 = expr1591 + expr1592;
GC(4, 9) = expr1593;

%%   First derivative w/r to a(4) of constraint #10
expr1594 = expr1590.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1595 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1596 = expr1594 + expr1595;
GC(4, 10) = expr1596;

%%   First derivative w/r to a(4) of constraint #11
expr1597 = (16.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1598 = expr1597.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1599 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1600 = expr1598 + expr1599;
GC(4, 11) = expr1600;

%%   First derivative w/r to a(4) of constraint #12
expr1601 = expr1597.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1602 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1603 = expr1601 + expr1602;
GC(4, 12) = expr1603;

%%   First derivative w/r to a(4) of constraint #13
expr1604 = wp.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1605 = expr1604.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1606 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1607 = expr1605 + expr1606;
GC(4, 13) = expr1607;

%%   First derivative w/r to a(4) of constraint #14
expr1608 = expr1604.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1609 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1610 = expr1608 + expr1609;
GC(4, 14) = expr1610;

%%   First derivative w/r to a(4) of constraint #15
expr1611 = (36.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1612 = expr1611.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1613 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1614 = expr1612 + expr1613;
GC(4, 15) = expr1614;

%%   First derivative w/r to a(4) of constraint #16
expr1615 = expr1611.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1616 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1617 = expr1615 + expr1616;
GC(4, 16) = expr1617;

%%   First derivative w/r to a(4) of constraint #17
expr1618 = (49.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1619 = expr1618.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1620 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1621 = expr1619 + expr1620;
GC(4, 17) = expr1621;

%%   First derivative w/r to a(4) of constraint #18
expr1622 = expr1618.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1623 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1624 = expr1622 + expr1623;
GC(4, 18) = expr1624;

%%   First derivative w/r to a(4) of constraint #19
expr1625 = (64.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1626 = expr1625.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1627 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1628 = expr1626 + expr1627;
GC(4, 19) = expr1628;

%%   First derivative w/r to a(4) of constraint #20
expr1629 = expr1625.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1630 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1631 = expr1629 + expr1630;
GC(4, 20) = expr1631;

%%   First derivative w/r to a(4) of constraint #21
expr1632 = (81.*wp.^2.*a(4))./25 + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1633 = expr1632.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1634 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1635 = expr1633 + expr1634;
GC(4, 21) = expr1635;

%%   First derivative w/r to a(4) of constraint #22
expr1636 = expr1632.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1637 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr386;
expr1638 = expr1636 + expr1637;
GC(4, 22) = expr1638;

%%   First derivative w/r to a(4) of constraint #23
expr1639 = 4.*wp.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1640 = expr1413.*expr1414.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1639.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr253.*expr386;
GC(4, 23) = expr1640;

%%   First derivative w/r to a(4) of constraint #24
expr1641 = expr1413.*expr1414.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1639.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr253.*expr386;
GC(4, 24) = expr1641;

%%   First derivative w/r to a(4) of constraint #25
expr1642 = 4.*ws.^2.*a(4) + 4.*a(4).*(a(4).^2 + b(4).^2);
expr1643 = expr1420.*expr1421.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1642.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr251.*expr253.*expr386;
GC(4, 25) = expr1643;

%%   First derivative w/r to a(4) of constraint #26
expr1644 = expr1196 + expr1197 + expr1198 + expr1199 + expr1200 + expr1201 + expr1202 + expr1203 + expr1204 + expr1205 + expr1206 + expr1207 + expr1208 + expr1209 + expr1210;
GC(4, 26) = expr1644;

%%   First derivative w/r to b(1) of constraint #1
expr1645 = -b(1)./(2.*a(1).*sqrt(a(1).^2 + b(1).^2));
GC(5, 1) = expr1645;

%%   First derivative w/r to b(1) of constraint #2
expr1646 = 0;
GC(5, 2) = expr1646;

%%   First derivative w/r to b(1) of constraint #3
expr1647 = 0;
GC(5, 3) = expr1647;

%%   First derivative w/r to b(1) of constraint #4
expr1648 = 0;
GC(5, 4) = expr1648;

%%   First derivative w/r to b(1) of constraint #5
expr1649 = -(wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1650 = expr1649.*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1651 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1652 = expr1650 + expr1651;
GC(5, 5) = expr1652;

%%   First derivative w/r to b(1) of constraint #6
expr1653 = expr1649.*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1654 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1655 = expr1653 + expr1654;
GC(5, 6) = expr1655;

%%   First derivative w/r to b(1) of constraint #7
expr1656 = (-4.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1657 = expr1656.*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1658 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1659 = expr1657 + expr1658;
GC(5, 7) = expr1659;

%%   First derivative w/r to b(1) of constraint #8
expr1660 = expr1656.*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1661 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1662 = expr1660 + expr1661;
GC(5, 8) = expr1662;

%%   First derivative w/r to b(1) of constraint #9
expr1663 = (-9.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1664 = expr1663.*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1665 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1666 = expr1664 + expr1665;
GC(5, 9) = expr1666;

%%   First derivative w/r to b(1) of constraint #10
expr1667 = expr1663.*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1668 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1669 = expr1667 + expr1668;
GC(5, 10) = expr1669;

%%   First derivative w/r to b(1) of constraint #11
expr1670 = (-16.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1671 = expr1670.*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1672 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1673 = expr1671 + expr1672;
GC(5, 11) = expr1673;

%%   First derivative w/r to b(1) of constraint #12
expr1674 = expr1670.*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1675 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1676 = expr1674 + expr1675;
GC(5, 12) = expr1676;

%%   First derivative w/r to b(1) of constraint #13
expr1677 = -(wp.^2.*b(1)) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1678 = expr1677.*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1679 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1680 = expr1678 + expr1679;
GC(5, 13) = expr1680;

%%   First derivative w/r to b(1) of constraint #14
expr1681 = expr1677.*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1682 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1683 = expr1681 + expr1682;
GC(5, 14) = expr1683;

%%   First derivative w/r to b(1) of constraint #15
expr1684 = (-36.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1685 = expr1684.*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1686 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1687 = expr1685 + expr1686;
GC(5, 15) = expr1687;

%%   First derivative w/r to b(1) of constraint #16
expr1688 = expr1684.*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1689 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1690 = expr1688 + expr1689;
GC(5, 16) = expr1690;

%%   First derivative w/r to b(1) of constraint #17
expr1691 = (-49.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1692 = expr1691.*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1693 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1694 = expr1692 + expr1693;
GC(5, 17) = expr1694;

%%   First derivative w/r to b(1) of constraint #18
expr1695 = expr1691.*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1696 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1697 = expr1695 + expr1696;
GC(5, 18) = expr1697;

%%   First derivative w/r to b(1) of constraint #19
expr1698 = (-64.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1699 = expr1698.*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1700 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1701 = expr1699 + expr1700;
GC(5, 19) = expr1701;

%%   First derivative w/r to b(1) of constraint #20
expr1702 = expr1698.*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1703 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1704 = expr1702 + expr1703;
GC(5, 20) = expr1704;

%%   First derivative w/r to b(1) of constraint #21
expr1705 = (-81.*wp.^2.*b(1))./25 + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1706 = expr1705.*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1707 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1708 = expr1706 + expr1707;
GC(5, 21) = expr1708;

%%   First derivative w/r to b(1) of constraint #22
expr1709 = expr1705.*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1710 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr251.*expr253.*expr255.*expr338;
expr1711 = expr1709 + expr1710;
GC(5, 22) = expr1711;

%%   First derivative w/r to b(1) of constraint #23
expr1712 = -4.*wp.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1713 = expr1413.*expr1414.*expr1415.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1712.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr251.*expr253.*expr255.*expr338;
GC(5, 23) = expr1713;

%%   First derivative w/r to b(1) of constraint #24
expr1714 = expr1413.*expr1414.*expr1415.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1712.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr251.*expr253.*expr255.*expr338;
GC(5, 24) = expr1714;

%%   First derivative w/r to b(1) of constraint #25
expr1715 = -4.*ws.^2.*b(1) + 4.*b(1).*(a(1).^2 + b(1).^2);
expr1716 = expr1420.*expr1421.*expr1422.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1715.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr251.*expr253.*expr255.*expr338;
GC(5, 25) = expr1716;

%%   First derivative w/r to b(1) of constraint #26
expr1717 = expr635 + expr636 + expr637 + expr638 + expr639 + expr640 + expr641 + expr642 + expr643 + expr644 + expr645 + expr646 + expr647 + expr648 + expr649 + expr650;
GC(5, 26) = expr1717;

%%   First derivative w/r to b(2) of constraint #1
expr1718 = 0;
GC(6, 1) = expr1718;

%%   First derivative w/r to b(2) of constraint #2
expr1719 = -b(2)./(2.*a(2).*sqrt(a(2).^2 + b(2).^2));
GC(6, 2) = expr1719;

%%   First derivative w/r to b(2) of constraint #3
expr1720 = 0;
GC(6, 3) = expr1720;

%%   First derivative w/r to b(2) of constraint #4
expr1721 = 0;
GC(6, 4) = expr1721;

%%   First derivative w/r to b(2) of constraint #5
expr1722 = -(wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1723 = expr1722.*(expr1317 + expr234).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1724 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1725 = expr1723 + expr1724;
GC(6, 5) = expr1725;

%%   First derivative w/r to b(2) of constraint #6
expr1726 = expr1722.*(expr1317 + expr234).*(expr1315 + expr239).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1727 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1728 = expr1726 + expr1727;
GC(6, 6) = expr1728;

%%   First derivative w/r to b(2) of constraint #7
expr1729 = (-4.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1730 = expr1729.*(expr1328 + expr234).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1731 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1732 = expr1730 + expr1731;
GC(6, 7) = expr1732;

%%   First derivative w/r to b(2) of constraint #8
expr1733 = expr1729.*(expr1328 + expr234).*(expr1326 + expr239).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1734 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1735 = expr1733 + expr1734;
GC(6, 8) = expr1735;

%%   First derivative w/r to b(2) of constraint #9
expr1736 = (-9.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1737 = expr1736.*(expr1339 + expr234).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1738 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1739 = expr1737 + expr1738;
GC(6, 9) = expr1739;

%%   First derivative w/r to b(2) of constraint #10
expr1740 = expr1736.*(expr1339 + expr234).*(expr1337 + expr239).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1741 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1742 = expr1740 + expr1741;
GC(6, 10) = expr1742;

%%   First derivative w/r to b(2) of constraint #11
expr1743 = (-16.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1744 = expr1743.*(expr1350 + expr234).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1745 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1746 = expr1744 + expr1745;
GC(6, 11) = expr1746;

%%   First derivative w/r to b(2) of constraint #12
expr1747 = expr1743.*(expr1350 + expr234).*(expr1348 + expr239).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1748 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1749 = expr1747 + expr1748;
GC(6, 12) = expr1749;

%%   First derivative w/r to b(2) of constraint #13
expr1750 = -(wp.^2.*b(2)) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1751 = expr1750.*(expr1361 + expr234).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1752 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1753 = expr1751 + expr1752;
GC(6, 13) = expr1753;

%%   First derivative w/r to b(2) of constraint #14
expr1754 = expr1750.*(expr1361 + expr234).*(expr1359 + expr239).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1755 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1756 = expr1754 + expr1755;
GC(6, 14) = expr1756;

%%   First derivative w/r to b(2) of constraint #15
expr1757 = (-36.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1758 = expr1757.*(expr1372 + expr234).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1759 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1760 = expr1758 + expr1759;
GC(6, 15) = expr1760;

%%   First derivative w/r to b(2) of constraint #16
expr1761 = expr1757.*(expr1372 + expr234).*(expr1370 + expr239).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1762 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1763 = expr1761 + expr1762;
GC(6, 16) = expr1763;

%%   First derivative w/r to b(2) of constraint #17
expr1764 = (-49.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1765 = expr1764.*(expr1383 + expr234).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1766 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1767 = expr1765 + expr1766;
GC(6, 17) = expr1767;

%%   First derivative w/r to b(2) of constraint #18
expr1768 = expr1764.*(expr1383 + expr234).*(expr1381 + expr239).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1769 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1770 = expr1768 + expr1769;
GC(6, 18) = expr1770;

%%   First derivative w/r to b(2) of constraint #19
expr1771 = (-64.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1772 = expr1771.*(expr1394 + expr234).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1773 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1774 = expr1772 + expr1773;
GC(6, 19) = expr1774;

%%   First derivative w/r to b(2) of constraint #20
expr1775 = expr1771.*(expr1394 + expr234).*(expr1392 + expr239).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1776 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1777 = expr1775 + expr1776;
GC(6, 20) = expr1777;

%%   First derivative w/r to b(2) of constraint #21
expr1778 = (-81.*wp.^2.*b(2))./25 + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1779 = expr1778.*(expr1405 + expr234).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1780 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1781 = expr1779 + expr1780;
GC(6, 21) = expr1781;

%%   First derivative w/r to b(2) of constraint #22
expr1782 = expr1778.*(expr1405 + expr234).*(expr1403 + expr239).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1783 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr253.*expr255.*expr351;
expr1784 = expr1782 + expr1783;
GC(6, 22) = expr1784;

%%   First derivative w/r to b(2) of constraint #23
expr1785 = -4.*wp.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1786 = expr1414.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1785.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr253.*expr255.*expr351;
GC(6, 23) = expr1786;

%%   First derivative w/r to b(2) of constraint #24
expr1787 = expr1414.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1785.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr253.*expr255.*expr351;
GC(6, 24) = expr1787;

%%   First derivative w/r to b(2) of constraint #25
expr1788 = -4.*ws.^2.*b(2) + 4.*b(2).*(a(2).^2 + b(2).^2);
expr1789 = expr1421.*expr1422.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1788.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr253.*expr255.*expr351;
GC(6, 25) = expr1789;

%%   First derivative w/r to b(2) of constraint #26
expr1790 = expr875 + expr876 + expr877 + expr878 + expr879 + expr880 + expr881 + expr882 + expr883 + expr884 + expr885 + expr886 + expr887 + expr888 + expr889 + expr890;
GC(6, 26) = expr1790;

%%   First derivative w/r to b(3) of constraint #1
expr1791 = 0;
GC(7, 1) = expr1791;

%%   First derivative w/r to b(3) of constraint #2
expr1792 = 0;
GC(7, 2) = expr1792;

%%   First derivative w/r to b(3) of constraint #3
expr1793 = -b(3)./(2.*a(3).*sqrt(a(3).^2 + b(3).^2));
GC(7, 3) = expr1793;

%%   First derivative w/r to b(3) of constraint #4
expr1794 = 0;
GC(7, 4) = expr1794;

%%   First derivative w/r to b(3) of constraint #5
expr1795 = -(wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1796 = expr1795.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1797 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1798 = expr1796 + expr1797;
GC(7, 5) = expr1798;

%%   First derivative w/r to b(3) of constraint #6
expr1799 = expr1795.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1316 + expr241).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1800 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1801 = expr1799 + expr1800;
GC(7, 6) = expr1801;

%%   First derivative w/r to b(3) of constraint #7
expr1802 = (-4.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1803 = expr1802.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1804 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1805 = expr1803 + expr1804;
GC(7, 7) = expr1805;

%%   First derivative w/r to b(3) of constraint #8
expr1806 = expr1802.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1327 + expr241).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1807 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1808 = expr1806 + expr1807;
GC(7, 8) = expr1808;

%%   First derivative w/r to b(3) of constraint #9
expr1809 = (-9.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1810 = expr1809.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1811 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1812 = expr1810 + expr1811;
GC(7, 9) = expr1812;

%%   First derivative w/r to b(3) of constraint #10
expr1813 = expr1809.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1338 + expr241).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1814 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1815 = expr1813 + expr1814;
GC(7, 10) = expr1815;

%%   First derivative w/r to b(3) of constraint #11
expr1816 = (-16.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1817 = expr1816.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1818 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1819 = expr1817 + expr1818;
GC(7, 11) = expr1819;

%%   First derivative w/r to b(3) of constraint #12
expr1820 = expr1816.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1349 + expr241).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1821 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1822 = expr1820 + expr1821;
GC(7, 12) = expr1822;

%%   First derivative w/r to b(3) of constraint #13
expr1823 = -(wp.^2.*b(3)) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1824 = expr1823.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1825 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1826 = expr1824 + expr1825;
GC(7, 13) = expr1826;

%%   First derivative w/r to b(3) of constraint #14
expr1827 = expr1823.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1360 + expr241).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1828 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1829 = expr1827 + expr1828;
GC(7, 14) = expr1829;

%%   First derivative w/r to b(3) of constraint #15
expr1830 = (-36.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1831 = expr1830.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1832 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1833 = expr1831 + expr1832;
GC(7, 15) = expr1833;

%%   First derivative w/r to b(3) of constraint #16
expr1834 = expr1830.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1371 + expr241).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1835 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1836 = expr1834 + expr1835;
GC(7, 16) = expr1836;

%%   First derivative w/r to b(3) of constraint #17
expr1837 = (-49.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1838 = expr1837.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1839 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1840 = expr1838 + expr1839;
GC(7, 17) = expr1840;

%%   First derivative w/r to b(3) of constraint #18
expr1841 = expr1837.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1382 + expr241).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1842 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1843 = expr1841 + expr1842;
GC(7, 18) = expr1843;

%%   First derivative w/r to b(3) of constraint #19
expr1844 = (-64.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1845 = expr1844.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1846 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1847 = expr1845 + expr1846;
GC(7, 19) = expr1847;

%%   First derivative w/r to b(3) of constraint #20
expr1848 = expr1844.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1393 + expr241).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1849 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1850 = expr1848 + expr1849;
GC(7, 20) = expr1850;

%%   First derivative w/r to b(3) of constraint #21
expr1851 = (-81.*wp.^2.*b(3))./25 + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1852 = expr1851.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1853 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1854 = expr1852 + expr1853;
GC(7, 21) = expr1854;

%%   First derivative w/r to b(3) of constraint #22
expr1855 = expr1851.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1404 + expr241).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1856 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr255.*expr365;
expr1857 = expr1855 + expr1856;
GC(7, 22) = expr1857;

%%   First derivative w/r to b(3) of constraint #23
expr1858 = -4.*wp.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1859 = expr1413.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1858.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr255.*expr365;
GC(7, 23) = expr1859;

%%   First derivative w/r to b(3) of constraint #24
expr1860 = expr1413.*expr1415.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1858.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr255.*expr365;
GC(7, 24) = expr1860;

%%   First derivative w/r to b(3) of constraint #25
expr1861 = -4.*ws.^2.*b(3) + 4.*b(3).*(a(3).^2 + b(3).^2);
expr1862 = expr1420.*expr1422.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1861.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr251.*expr255.*expr365;
GC(7, 25) = expr1862;

%%   First derivative w/r to b(3) of constraint #26
expr1863 = expr1094 + expr1095 + expr1096 + expr1097 + expr1098 + expr1099 + expr1100 + expr1101 + expr1102 + expr1103 + expr1104 + expr1105 + expr1106 + expr1107 + expr1108 + expr1109;
GC(7, 26) = expr1863;

%%   First derivative w/r to b(4) of constraint #1
expr1864 = 0;
GC(8, 1) = expr1864;

%%   First derivative w/r to b(4) of constraint #2
expr1865 = 0;
GC(8, 2) = expr1865;

%%   First derivative w/r to b(4) of constraint #3
expr1866 = 0;
GC(8, 3) = expr1866;

%%   First derivative w/r to b(4) of constraint #4
expr1867 = -b(4)./(2.*a(4).*sqrt(a(4).^2 + b(4).^2));
GC(8, 4) = expr1867;

%%   First derivative w/r to b(4) of constraint #5
expr1868 = -(wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1869 = expr1868.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1870 = 2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1871 = expr1869 + expr1870;
GC(8, 5) = expr1871;

%%   First derivative w/r to b(4) of constraint #6
expr1872 = expr1868.*(expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1873 = -2.*((expr1317 + expr234).*(expr1314 + expr237).*(expr1315 + expr239).*(expr1316 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1874 = expr1872 + expr1873;
GC(8, 6) = expr1874;

%%   First derivative w/r to b(4) of constraint #7
expr1875 = (-4.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1876 = expr1875.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1877 = 2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1878 = expr1876 + expr1877;
GC(8, 7) = expr1878;

%%   First derivative w/r to b(4) of constraint #8
expr1879 = expr1875.*(expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1880 = -2.*((expr1328 + expr234).*(expr1325 + expr237).*(expr1326 + expr239).*(expr1327 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1881 = expr1879 + expr1880;
GC(8, 8) = expr1881;

%%   First derivative w/r to b(4) of constraint #9
expr1882 = (-9.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1883 = expr1882.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1884 = 2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1885 = expr1883 + expr1884;
GC(8, 9) = expr1885;

%%   First derivative w/r to b(4) of constraint #10
expr1886 = expr1882.*(expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1887 = -2.*((expr1339 + expr234).*(expr1336 + expr237).*(expr1337 + expr239).*(expr1338 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1888 = expr1886 + expr1887;
GC(8, 10) = expr1888;

%%   First derivative w/r to b(4) of constraint #11
expr1889 = (-16.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1890 = expr1889.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1891 = 2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1892 = expr1890 + expr1891;
GC(8, 11) = expr1892;

%%   First derivative w/r to b(4) of constraint #12
expr1893 = expr1889.*(expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1894 = -2.*((expr1350 + expr234).*(expr1347 + expr237).*(expr1348 + expr239).*(expr1349 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1895 = expr1893 + expr1894;
GC(8, 12) = expr1895;

%%   First derivative w/r to b(4) of constraint #13
expr1896 = -(wp.^2.*b(4)) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1897 = expr1896.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1898 = 2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1899 = expr1897 + expr1898;
GC(8, 13) = expr1899;

%%   First derivative w/r to b(4) of constraint #14
expr1900 = expr1896.*(expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1901 = -2.*((expr1361 + expr234).*(expr1358 + expr237).*(expr1359 + expr239).*(expr1360 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1902 = expr1900 + expr1901;
GC(8, 14) = expr1902;

%%   First derivative w/r to b(4) of constraint #15
expr1903 = (-36.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1904 = expr1903.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1905 = 2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1906 = expr1904 + expr1905;
GC(8, 15) = expr1906;

%%   First derivative w/r to b(4) of constraint #16
expr1907 = expr1903.*(expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1908 = -2.*((expr1372 + expr234).*(expr1369 + expr237).*(expr1370 + expr239).*(expr1371 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1909 = expr1907 + expr1908;
GC(8, 16) = expr1909;

%%   First derivative w/r to b(4) of constraint #17
expr1910 = (-49.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1911 = expr1910.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1912 = 2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1913 = expr1911 + expr1912;
GC(8, 17) = expr1913;

%%   First derivative w/r to b(4) of constraint #18
expr1914 = expr1910.*(expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1915 = -2.*((expr1383 + expr234).*(expr1380 + expr237).*(expr1381 + expr239).*(expr1382 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1916 = expr1914 + expr1915;
GC(8, 18) = expr1916;

%%   First derivative w/r to b(4) of constraint #19
expr1917 = (-64.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1918 = expr1917.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1919 = 2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1920 = expr1918 + expr1919;
GC(8, 19) = expr1920;

%%   First derivative w/r to b(4) of constraint #20
expr1921 = expr1917.*(expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1922 = -2.*((expr1394 + expr234).*(expr1391 + expr237).*(expr1392 + expr239).*(expr1393 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1923 = expr1921 + expr1922;
GC(8, 20) = expr1923;

%%   First derivative w/r to b(4) of constraint #21
expr1924 = (-81.*wp.^2.*b(4))./25 + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1925 = expr1924.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr249.*expr251.*expr253.*expr255;
expr1926 = 2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1927 = expr1925 + expr1926;
GC(8, 21) = expr1927;

%%   First derivative w/r to b(4) of constraint #22
expr1928 = expr1924.*(expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr258.*expr245.*expr251.*expr253.*expr255.*expr294;
expr1929 = -2.*((expr1405 + expr234).*(expr1402 + expr237).*(expr1403 + expr239).*(expr1404 + expr241)).^expr249.*expr245.*expr251.*expr253.*expr379;
expr1930 = expr1928 + expr1929;
GC(8, 22) = expr1930;

%%   First derivative w/r to b(4) of constraint #23
expr1931 = -4.*wp.^2.*b(4) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1932 = expr1413.*expr1414.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1931.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr253.*expr379;
GC(8, 23) = expr1932;

%%   First derivative w/r to b(4) of constraint #24
expr1933 = expr1413.*expr1414.*expr1416.*(expr1413.*expr1414.*expr1415.*expr1416).^expr258.*expr1931.*expr245.*expr251.*expr253.*expr255.*expr294 - 2.*(expr1413.*expr1414.*expr1415.*expr1416).^expr249.*expr245.*expr251.*expr253.*expr379;
GC(8, 24) = expr1933;

%%   First derivative w/r to b(4) of constraint #25
expr1934 = -4.*ws.^2.*b(4) + 4.*b(4).*(a(4).^2 + b(4).^2);
expr1935 = expr1420.*expr1421.*expr1423.*(expr1420.*expr1421.*expr1422.*expr1423).^expr258.*expr1934.*expr245.*expr249.*expr251.*expr253.*expr255 + 2.*(expr1420.*expr1421.*expr1422.*expr1423).^expr249.*expr245.*expr251.*expr253.*expr379;
GC(8, 25) = expr1935;

%%   First derivative w/r to b(4) of constraint #26
expr1936 = expr1292 + expr1293 + expr1294 + expr1295 + expr1296 + expr1297 + expr1298 + expr1299 + expr1300 + expr1301 + expr1302 + expr1303 + expr1304 + expr1305 + expr1306 + expr1307;
GC(8, 26) = expr1936;

end
